/*
Copyright (C) 2018-2019 de4dot@gmail.com

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

// ⚠️This file was generated by GENERATOR!🦹‍♂️

#nullable enable

#if MASM
namespace Iced.Intel.MasmFormatterInternal {
	static partial class InstrInfos {
#if HAS_SPAN
		static System.ReadOnlySpan<byte> GetSerializedInstrInfos() =>
#else
		static byte[] GetSerializedInstrInfos() =>
#endif
			new byte[] {
				// INVALID
				0x01,// Normal_1
				0x80, 0x01,// 128 = "(bad)"

				// DeclareByte
				0x08,// DeclareData
				0x82, 0x01,// 130 = "db"

				// DeclareWord
				0x08,// DeclareData
				0x84, 0x01,// 132 = "dw"

				// DeclareDword
				0x08,// DeclareData
				0x86, 0x01,// 134 = "dd"

				// DeclareQword
				0x08,// DeclareData
				0x88, 0x01,// 136 = "dq"

				// Add_rm8_r8
				0x01,// Normal_1
				0x03,// 3 = "add"

				// Add_rm16_r16
				0x00,// Previous

				// Add_rm32_r32
				0x00,// Previous

				// Add_rm64_r64
				0x00,// Previous

				// Add_r8_rm8
				0x00,// Previous

				// Add_r16_rm16
				0x00,// Previous

				// Add_r32_rm32
				0x00,// Previous

				// Add_r64_rm64
				0x00,// Previous

				// Add_AL_imm8
				0x00,// Previous

				// Add_AX_imm16
				0x00,// Previous

				// Add_EAX_imm32
				0x00,// Previous

				// Add_RAX_imm32
				0x00,// Previous

				// Pushw_ES
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x01,// Code16

				// Pushd_ES
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x02,// Code32

				// Popw_ES
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x01,// Code16

				// Popd_ES
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x02,// Code32

				// Or_rm8_r8
				0x01,// Normal_1
				0x04,// 4 = "or"

				// Or_rm16_r16
				0x00,// Previous

				// Or_rm32_r32
				0x00,// Previous

				// Or_rm64_r64
				0x00,// Previous

				// Or_r8_rm8
				0x00,// Previous

				// Or_r16_rm16
				0x00,// Previous

				// Or_r32_rm32
				0x00,// Previous

				// Or_r64_rm64
				0x00,// Previous

				// Or_AL_imm8
				0x00,// Previous

				// Or_AX_imm16
				0x00,// Previous

				// Or_EAX_imm32
				0x00,// Previous

				// Or_RAX_imm32
				0x00,// Previous

				// Pushw_CS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x01,// Code16

				// Pushd_CS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x02,// Code32

				// Popw_CS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x01,// Code16

				// Adc_rm8_r8
				0x01,// Normal_1
				0x05,// 5 = "adc"

				// Adc_rm16_r16
				0x00,// Previous

				// Adc_rm32_r32
				0x00,// Previous

				// Adc_rm64_r64
				0x00,// Previous

				// Adc_r8_rm8
				0x00,// Previous

				// Adc_r16_rm16
				0x00,// Previous

				// Adc_r32_rm32
				0x00,// Previous

				// Adc_r64_rm64
				0x00,// Previous

				// Adc_AL_imm8
				0x00,// Previous

				// Adc_AX_imm16
				0x00,// Previous

				// Adc_EAX_imm32
				0x00,// Previous

				// Adc_RAX_imm32
				0x00,// Previous

				// Pushw_SS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x01,// Code16

				// Pushd_SS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x02,// Code32

				// Popw_SS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x01,// Code16

				// Popd_SS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x02,// Code32

				// Sbb_rm8_r8
				0x01,// Normal_1
				0x06,// 6 = "sbb"

				// Sbb_rm16_r16
				0x00,// Previous

				// Sbb_rm32_r32
				0x00,// Previous

				// Sbb_rm64_r64
				0x00,// Previous

				// Sbb_r8_rm8
				0x00,// Previous

				// Sbb_r16_rm16
				0x00,// Previous

				// Sbb_r32_rm32
				0x00,// Previous

				// Sbb_r64_rm64
				0x00,// Previous

				// Sbb_AL_imm8
				0x00,// Previous

				// Sbb_AX_imm16
				0x00,// Previous

				// Sbb_EAX_imm32
				0x00,// Previous

				// Sbb_RAX_imm32
				0x00,// Previous

				// Pushw_DS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x01,// Code16

				// Pushd_DS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x02,// Code32

				// Popw_DS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x01,// Code16

				// Popd_DS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x02,// Code32

				// And_rm8_r8
				0x01,// Normal_1
				0x07,// 7 = "and"

				// And_rm16_r16
				0x00,// Previous

				// And_rm32_r32
				0x00,// Previous

				// And_rm64_r64
				0x00,// Previous

				// And_r8_rm8
				0x00,// Previous

				// And_r16_rm16
				0x00,// Previous

				// And_r32_rm32
				0x00,// Previous

				// And_r64_rm64
				0x00,// Previous

				// And_AL_imm8
				0x00,// Previous

				// And_AX_imm16
				0x00,// Previous

				// And_EAX_imm32
				0x00,// Previous

				// And_RAX_imm32
				0x00,// Previous

				// Daa
				0x01,// Normal_1
				0x89, 0x01,// 137 = "daa"

				// Sub_rm8_r8
				0x01,// Normal_1
				0x08,// 8 = "sub"

				// Sub_rm16_r16
				0x00,// Previous

				// Sub_rm32_r32
				0x00,// Previous

				// Sub_rm64_r64
				0x00,// Previous

				// Sub_r8_rm8
				0x00,// Previous

				// Sub_r16_rm16
				0x00,// Previous

				// Sub_r32_rm32
				0x00,// Previous

				// Sub_r64_rm64
				0x00,// Previous

				// Sub_AL_imm8
				0x00,// Previous

				// Sub_AX_imm16
				0x00,// Previous

				// Sub_EAX_imm32
				0x00,// Previous

				// Sub_RAX_imm32
				0x00,// Previous

				// Das
				0x01,// Normal_1
				0x8A, 0x01,// 138 = "das"

				// Xor_rm8_r8
				0x01,// Normal_1
				0x09,// 9 = "xor"

				// Xor_rm16_r16
				0x00,// Previous

				// Xor_rm32_r32
				0x00,// Previous

				// Xor_rm64_r64
				0x00,// Previous

				// Xor_r8_rm8
				0x00,// Previous

				// Xor_r16_rm16
				0x00,// Previous

				// Xor_r32_rm32
				0x00,// Previous

				// Xor_r64_rm64
				0x00,// Previous

				// Xor_AL_imm8
				0x00,// Previous

				// Xor_AX_imm16
				0x00,// Previous

				// Xor_EAX_imm32
				0x00,// Previous

				// Xor_RAX_imm32
				0x00,// Previous

				// Aaa
				0x01,// Normal_1
				0x8B, 0x01,// 139 = "aaa"

				// Cmp_rm8_r8
				0x01,// Normal_1
				0x0A,// 10 = "cmp"

				// Cmp_rm16_r16
				0x00,// Previous

				// Cmp_rm32_r32
				0x00,// Previous

				// Cmp_rm64_r64
				0x00,// Previous

				// Cmp_r8_rm8
				0x00,// Previous

				// Cmp_r16_rm16
				0x00,// Previous

				// Cmp_r32_rm32
				0x00,// Previous

				// Cmp_r64_rm64
				0x00,// Previous

				// Cmp_AL_imm8
				0x00,// Previous

				// Cmp_AX_imm16
				0x00,// Previous

				// Cmp_EAX_imm32
				0x00,// Previous

				// Cmp_RAX_imm32
				0x00,// Previous

				// Aas
				0x01,// Normal_1
				0x8C, 0x01,// 140 = "aas"

				// Inc_r16
				0x01,// Normal_1
				0x6E,// 110 = "inc"

				// Inc_r32
				0x00,// Previous

				// Dec_r16
				0x01,// Normal_1
				0x6F,// 111 = "dec"

				// Dec_r32
				0x00,// Previous

				// Push_r16
				0x01,// Normal_1
				0x02,// 2 = "push"

				// Push_r32
				0x00,// Previous

				// Push_r64
				0x00,// Previous

				// Pop_r16
				0x01,// Normal_1
				0x0B,// 11 = "pop"

				// Pop_r32
				0x00,// Previous

				// Pop_r64
				0x00,// Previous

				// Pushaw
				0x21,// OpSize_1
				0x8D, 0x01,// 141 = "pusha"
				0x01,// Code16

				// Pushad
				0x21,// OpSize_1
				0x8D, 0x01,// 141 = "pusha"
				0x02,// Code32

				// Popaw
				0x21,// OpSize_1
				0x8F, 0x01,// 143 = "popa"
				0x01,// Code16

				// Popad
				0x21,// OpSize_1
				0x8F, 0x01,// 143 = "popa"
				0x02,// Code32

				// Bound_r16_m1616
				0x02,// Normal_2
				0x91, 0x01,// 145 = "bound"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Bound_r32_m3232
				0x00,// Previous

				// Arpl_rm16_r16
				0x2B,// Reg16
				0x92, 0x01,// 146 = "arpl"
				0x00,// 0x0 = None

				// Arpl_r32m16_r32
				0x00,// Previous

				// Movsxd_r16_rm16
				0x02,// Normal_2
				0x93, 0x01,// 147 = "movsxd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movsxd_r32_rm32
				0x00,// Previous

				// Movsxd_r64_rm32
				0x00,// Previous

				// Push_imm16
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x01,// Code16

				// Pushd_imm32
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x02,// Code32

				// Pushq_imm32
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x03,// Code64

				// Imul_r16_rm16_imm16
				0x0C,// imul
				0x18,// 24 = "imul"

				// Imul_r32_rm32_imm32
				0x00,// Previous

				// Imul_r64_rm64_imm32
				0x00,// Previous

				// Pushw_imm8
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x01,// Code16

				// Pushd_imm8
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x02,// Code32

				// Pushq_imm8
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x03,// Code64

				// Imul_r16_rm16_imm8
				0x0C,// imul
				0x18,// 24 = "imul"

				// Imul_r32_rm32_imm8
				0x00,// Previous

				// Imul_r64_rm64_imm8
				0x00,// Previous

				// Insb_m8_DX
				0x36,// YD
				0x95, 0x01,// 149 = "ins"
				0x62,// 'b'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Insw_m16_DX
				0x36,// YD
				0x95, 0x01,// 149 = "ins"
				0x77,// 'w'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Insd_m32_DX
				0x36,// YD
				0x95, 0x01,// 149 = "ins"
				0x64,// 'd'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Outsb_DX_m8
				0x09,// DX
				0x99, 0x01,// 153 = "outs"
				0x62,// 'b'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Outsw_DX_m16
				0x09,// DX
				0x99, 0x01,// 153 = "outs"
				0x77,// 'w'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Outsd_DX_m32
				0x09,// DX
				0x99, 0x01,// 153 = "outs"
				0x64,// 'd'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Jo_rel8_16
				0x14,// jcc_1
				0x70,// 112 = "jo"
				0x00,// 0x0

				// Jo_rel8_32
				0x00,// Previous

				// Jo_rel8_64
				0x00,// Previous

				// Jno_rel8_16
				0x14,// jcc_1
				0x71,// 113 = "jno"
				0x01,// 0x1

				// Jno_rel8_32
				0x00,// Previous

				// Jno_rel8_64
				0x00,// Previous

				// Jb_rel8_16
				0x16,// jcc_3
				0x72,// 114 = "jb"
				0x73,// 115 = "jc"
				0x74,// 116 = "jnae"
				0x02,// 0x2

				// Jb_rel8_32
				0x00,// Previous

				// Jb_rel8_64
				0x00,// Previous

				// Jae_rel8_16
				0x16,// jcc_3
				0x75,// 117 = "jae"
				0x76,// 118 = "jnb"
				0x77,// 119 = "jnc"
				0x03,// 0x3

				// Jae_rel8_32
				0x00,// Previous

				// Jae_rel8_64
				0x00,// Previous

				// Je_rel8_16
				0x15,// jcc_2
				0x78,// 120 = "je"
				0x79,// 121 = "jz"
				0x04,// 0x4

				// Je_rel8_32
				0x00,// Previous

				// Je_rel8_64
				0x00,// Previous

				// Jne_rel8_16
				0x15,// jcc_2
				0x7A,// 122 = "jne"
				0x7B,// 123 = "jnz"
				0x05,// 0x5

				// Jne_rel8_32
				0x00,// Previous

				// Jne_rel8_64
				0x00,// Previous

				// Jbe_rel8_16
				0x15,// jcc_2
				0x7C,// 124 = "jbe"
				0x7D,// 125 = "jna"
				0x06,// 0x6

				// Jbe_rel8_32
				0x00,// Previous

				// Jbe_rel8_64
				0x00,// Previous

				// Ja_rel8_16
				0x15,// jcc_2
				0x7E,// 126 = "ja"
				0x7F,// 127 = "jnbe"
				0x07,// 0x7

				// Ja_rel8_32
				0x00,// Previous

				// Ja_rel8_64
				0x00,// Previous

				// Js_rel8_16
				0x14,// jcc_1
				0x9D, 0x01,// 157 = "js"
				0x08,// 0x8

				// Js_rel8_32
				0x00,// Previous

				// Js_rel8_64
				0x00,// Previous

				// Jns_rel8_16
				0x14,// jcc_1
				0x9E, 0x01,// 158 = "jns"
				0x09,// 0x9

				// Jns_rel8_32
				0x00,// Previous

				// Jns_rel8_64
				0x00,// Previous

				// Jp_rel8_16
				0x15,// jcc_2
				0x9F, 0x01,// 159 = "jp"
				0xA0, 0x01,// 160 = "jpe"
				0x0A,// 0xA

				// Jp_rel8_32
				0x00,// Previous

				// Jp_rel8_64
				0x00,// Previous

				// Jnp_rel8_16
				0x15,// jcc_2
				0xA1, 0x01,// 161 = "jnp"
				0xA2, 0x01,// 162 = "jpo"
				0x0B,// 0xB

				// Jnp_rel8_32
				0x00,// Previous

				// Jnp_rel8_64
				0x00,// Previous

				// Jl_rel8_16
				0x15,// jcc_2
				0xA3, 0x01,// 163 = "jl"
				0xA4, 0x01,// 164 = "jnge"
				0x0C,// 0xC

				// Jl_rel8_32
				0x00,// Previous

				// Jl_rel8_64
				0x00,// Previous

				// Jge_rel8_16
				0x15,// jcc_2
				0xA5, 0x01,// 165 = "jge"
				0xA6, 0x01,// 166 = "jnl"
				0x0D,// 0xD

				// Jge_rel8_32
				0x00,// Previous

				// Jge_rel8_64
				0x00,// Previous

				// Jle_rel8_16
				0x15,// jcc_2
				0xA7, 0x01,// 167 = "jle"
				0xA8, 0x01,// 168 = "jng"
				0x0E,// 0xE

				// Jle_rel8_32
				0x00,// Previous

				// Jle_rel8_64
				0x00,// Previous

				// Jg_rel8_16
				0x15,// jcc_2
				0xA9, 0x01,// 169 = "jg"
				0xAA, 0x01,// 170 = "jnle"
				0x0F,// 0xF

				// Jg_rel8_32
				0x00,// Previous

				// Jg_rel8_64
				0x00,// Previous

				// Add_rm8_imm8
				0x02,// Normal_2
				0x03,// 3 = "add"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Or_rm8_imm8
				0x02,// Normal_2
				0x04,// 4 = "or"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Adc_rm8_imm8
				0x02,// Normal_2
				0x05,// 5 = "adc"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sbb_rm8_imm8
				0x02,// Normal_2
				0x06,// 6 = "sbb"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// And_rm8_imm8
				0x02,// Normal_2
				0x07,// 7 = "and"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sub_rm8_imm8
				0x02,// Normal_2
				0x08,// 8 = "sub"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Xor_rm8_imm8
				0x02,// Normal_2
				0x09,// 9 = "xor"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cmp_rm8_imm8
				0x02,// Normal_2
				0x0A,// 10 = "cmp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Add_rm16_imm16
				0x02,// Normal_2
				0x03,// 3 = "add"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Add_rm32_imm32
				0x00,// Previous

				// Add_rm64_imm32
				0x00,// Previous

				// Or_rm16_imm16
				0x02,// Normal_2
				0x04,// 4 = "or"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Or_rm32_imm32
				0x00,// Previous

				// Or_rm64_imm32
				0x00,// Previous

				// Adc_rm16_imm16
				0x02,// Normal_2
				0x05,// 5 = "adc"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Adc_rm32_imm32
				0x00,// Previous

				// Adc_rm64_imm32
				0x00,// Previous

				// Sbb_rm16_imm16
				0x02,// Normal_2
				0x06,// 6 = "sbb"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sbb_rm32_imm32
				0x00,// Previous

				// Sbb_rm64_imm32
				0x00,// Previous

				// And_rm16_imm16
				0x02,// Normal_2
				0x07,// 7 = "and"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// And_rm32_imm32
				0x00,// Previous

				// And_rm64_imm32
				0x00,// Previous

				// Sub_rm16_imm16
				0x02,// Normal_2
				0x08,// 8 = "sub"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sub_rm32_imm32
				0x00,// Previous

				// Sub_rm64_imm32
				0x00,// Previous

				// Xor_rm16_imm16
				0x02,// Normal_2
				0x09,// 9 = "xor"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Xor_rm32_imm32
				0x00,// Previous

				// Xor_rm64_imm32
				0x00,// Previous

				// Cmp_rm16_imm16
				0x02,// Normal_2
				0x0A,// 10 = "cmp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cmp_rm32_imm32
				0x00,// Previous

				// Cmp_rm64_imm32
				0x00,// Previous

				// Add_rm8_imm8_82
				0x02,// Normal_2
				0x03,// 3 = "add"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Or_rm8_imm8_82
				0x02,// Normal_2
				0x04,// 4 = "or"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Adc_rm8_imm8_82
				0x02,// Normal_2
				0x05,// 5 = "adc"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sbb_rm8_imm8_82
				0x02,// Normal_2
				0x06,// 6 = "sbb"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// And_rm8_imm8_82
				0x02,// Normal_2
				0x07,// 7 = "and"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sub_rm8_imm8_82
				0x02,// Normal_2
				0x08,// 8 = "sub"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Xor_rm8_imm8_82
				0x02,// Normal_2
				0x09,// 9 = "xor"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cmp_rm8_imm8_82
				0x02,// Normal_2
				0x0A,// 10 = "cmp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Add_rm16_imm8
				0x02,// Normal_2
				0x03,// 3 = "add"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Add_rm32_imm8
				0x00,// Previous

				// Add_rm64_imm8
				0x00,// Previous

				// Or_rm16_imm8
				0x02,// Normal_2
				0x04,// 4 = "or"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Or_rm32_imm8
				0x00,// Previous

				// Or_rm64_imm8
				0x00,// Previous

				// Adc_rm16_imm8
				0x02,// Normal_2
				0x05,// 5 = "adc"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Adc_rm32_imm8
				0x00,// Previous

				// Adc_rm64_imm8
				0x00,// Previous

				// Sbb_rm16_imm8
				0x02,// Normal_2
				0x06,// 6 = "sbb"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sbb_rm32_imm8
				0x00,// Previous

				// Sbb_rm64_imm8
				0x00,// Previous

				// And_rm16_imm8
				0x02,// Normal_2
				0x07,// 7 = "and"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// And_rm32_imm8
				0x00,// Previous

				// And_rm64_imm8
				0x00,// Previous

				// Sub_rm16_imm8
				0x02,// Normal_2
				0x08,// 8 = "sub"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sub_rm32_imm8
				0x00,// Previous

				// Sub_rm64_imm8
				0x00,// Previous

				// Xor_rm16_imm8
				0x02,// Normal_2
				0x09,// 9 = "xor"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Xor_rm32_imm8
				0x00,// Previous

				// Xor_rm64_imm8
				0x00,// Previous

				// Cmp_rm16_imm8
				0x02,// Normal_2
				0x0A,// 10 = "cmp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cmp_rm32_imm8
				0x00,// Previous

				// Cmp_rm64_imm8
				0x00,// Previous

				// Test_rm8_r8
				0x01,// Normal_1
				0x0C,// 12 = "test"

				// Test_rm16_r16
				0x00,// Previous

				// Test_rm32_r32
				0x00,// Previous

				// Test_rm64_r64
				0x00,// Previous

				// Xchg_rm8_r8
				0x2D,// reverse2
				0x35,// 53 = "xchg"

				// Xchg_rm16_r16
				0x00,// Previous

				// Xchg_rm32_r32
				0x00,// Previous

				// Xchg_rm64_r64
				0x00,// Previous

				// Mov_rm8_r8
				0x01,// Normal_1
				0x00,// 0 = "mov"

				// Mov_rm16_r16
				0x00,// Previous

				// Mov_rm32_r32
				0x00,// Previous

				// Mov_rm64_r64
				0x00,// Previous

				// Mov_r8_rm8
				0x00,// Previous

				// Mov_r16_rm16
				0x00,// Previous

				// Mov_r32_rm32
				0x00,// Previous

				// Mov_r64_rm64
				0x00,// Previous

				// Mov_rm16_Sreg
				0x00,// Previous

				// Mov_r32m16_Sreg
				0x00,// Previous

				// Mov_r64m16_Sreg
				0x00,// Previous

				// Lea_r16_m
				0x01,// Normal_1
				0xAB, 0x01,// 171 = "lea"

				// Lea_r32_m
				0x00,// Previous

				// Lea_r64_m
				0x00,// Previous

				// Mov_Sreg_rm16
				0x01,// Normal_1
				0x00,// 0 = "mov"

				// Mov_Sreg_r32m16
				0x00,// Previous

				// Mov_Sreg_r64m16
				0x00,// Previous

				// Pop_rm16
				0x29,// pushm
				0x0B,// 11 = "pop"
				0x01,// Code16

				// Pop_rm32
				0x29,// pushm
				0x0B,// 11 = "pop"
				0x02,// Code32

				// Pop_rm64
				0x29,// pushm
				0x0B,// 11 = "pop"
				0x03,// Code64

				// Nopw
				0x20,// nop
				0x01,// 1 = "nop"
				0x10,// 0x10
				0x15,// AX

				// Nopd
				0x20,// nop
				0x01,// 1 = "nop"
				0x60,// 0x60
				0x25,// EAX

				// Nopq
				0x20,// nop
				0x01,// 1 = "nop"
				0x00,// 0x0
				0x35,// RAX

				// Xchg_r16_AX
				0x01,// Normal_1
				0x35,// 53 = "xchg"

				// Xchg_r32_EAX
				0x00,// Previous

				// Xchg_r64_RAX
				0x00,// Previous

				// Pause
				0x01,// Normal_1
				0xAC, 0x01,// 172 = "pause"

				// Cbw
				0x01,// Normal_1
				0xAE, 0x01,// 174 = "cbw"

				// Cwde
				0x01,// Normal_1
				0xAF, 0x01,// 175 = "cwde"

				// Cdqe
				0x01,// Normal_1
				0xB1, 0x01,// 177 = "cdqe"

				// Cwd
				0x01,// Normal_1
				0xB3, 0x01,// 179 = "cwd"

				// Cdq
				0x01,// Normal_1
				0xB5, 0x01,// 181 = "cdq"

				// Cqo
				0x01,// Normal_1
				0xB7, 0x01,// 183 = "cqo"

				// Call_ptr1616
				0x01,// Normal_1
				0x29,// 41 = "call"

				// Call_ptr1632
				0x00,// Previous

				// Wait
				0x01,// Normal_1
				0xBB, 0x01,// 187 = "wait"

				// Pushfw
				0x01,// Normal_1
				0xBC, 0x01,// 188 = "pushf"

				// Pushfd
				0x01,// Normal_1
				0xBD, 0x01,// 189 = "pushfd"

				// Pushfq
				0x01,// Normal_1
				0xBE, 0x01,// 190 = "pushfq"

				// Popfw
				0x01,// Normal_1
				0xBF, 0x01,// 191 = "popf"

				// Popfd
				0x01,// Normal_1
				0xC0, 0x01,// 192 = "popfd"

				// Popfq
				0x01,// Normal_1
				0xC1, 0x01,// 193 = "popfq"

				// Sahf
				0x01,// Normal_1
				0xC2, 0x01,// 194 = "sahf"

				// Lahf
				0x01,// Normal_1
				0xC3, 0x01,// 195 = "lahf"

				// Mov_AL_moffs8
				0x01,// Normal_1
				0x00,// 0 = "mov"

				// Mov_AX_moffs16
				0x00,// Previous

				// Mov_EAX_moffs32
				0x00,// Previous

				// Mov_RAX_moffs64
				0x00,// Previous

				// Mov_moffs8_AL
				0x00,// Previous

				// Mov_moffs16_AX
				0x00,// Previous

				// Mov_moffs32_EAX
				0x00,// Previous

				// Mov_moffs64_RAX
				0x00,// Previous

				// Movsb_m8_m8
				0x37,// YX
				0xC5, 0x01,// 197 = "movs"
				0x62,// 'b'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Movsw_m16_m16
				0x37,// YX
				0xC5, 0x01,// 197 = "movs"
				0x77,// 'w'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Movsd_m32_m32
				0x37,// YX
				0xC5, 0x01,// 197 = "movs"
				0x64,// 'd'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Movsq_m64_m64
				0x37,// YX
				0xC5, 0x01,// 197 = "movs"
				0x71,// 'q'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cmpsb_m8_m8
				0x34,// XY
				0xC9, 0x01,// 201 = "cmps"
				0x62,// 'b'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cmpsw_m16_m16
				0x34,// XY
				0xC9, 0x01,// 201 = "cmps"
				0x77,// 'w'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cmpsd_m32_m32
				0x34,// XY
				0xC9, 0x01,// 201 = "cmps"
				0x64,// 'd'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cmpsq_m64_m64
				0x34,// XY
				0xC9, 0x01,// 201 = "cmps"
				0x71,// 'q'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Test_AL_imm8
				0x01,// Normal_1
				0x0C,// 12 = "test"

				// Test_AX_imm16
				0x00,// Previous

				// Test_EAX_imm32
				0x00,// Previous

				// Test_RAX_imm32
				0x00,// Previous

				// Stosb_m8_AL
				0x35,// YA
				0xCD, 0x01,// 205 = "stos"
				0x62,// 'b'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Stosw_m16_AX
				0x35,// YA
				0xCD, 0x01,// 205 = "stos"
				0x77,// 'w'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Stosd_m32_EAX
				0x35,// YA
				0xCD, 0x01,// 205 = "stos"
				0x64,// 'd'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Stosq_m64_RAX
				0x35,// YA
				0xCD, 0x01,// 205 = "stos"
				0x71,// 'q'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Lodsb_AL_m8
				0x04,// AX
				0xD2, 0x01,// 210 = "lods"
				0x62,// 'b'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Lodsw_AX_m16
				0x04,// AX
				0xD2, 0x01,// 210 = "lods"
				0x77,// 'w'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Lodsd_EAX_m32
				0x04,// AX
				0xD2, 0x01,// 210 = "lods"
				0x64,// 'd'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Lodsq_RAX_m64
				0x04,// AX
				0xD2, 0x01,// 210 = "lods"
				0x71,// 'q'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Scasb_AL_m8
				0x05,// AY
				0xD7, 0x01,// 215 = "scas"
				0x62,// 'b'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Scasw_AX_m16
				0x05,// AY
				0xD7, 0x01,// 215 = "scas"
				0x77,// 'w'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Scasd_EAX_m32
				0x05,// AY
				0xD7, 0x01,// 215 = "scas"
				0x64,// 'd'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Scasq_RAX_m64
				0x05,// AY
				0xD7, 0x01,// 215 = "scas"
				0x71,// 'q'
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Mov_r8_imm8
				0x01,// Normal_1
				0x00,// 0 = "mov"

				// Mov_r16_imm16
				0x00,// Previous

				// Mov_r32_imm32
				0x00,// Previous

				// Mov_r64_imm64
				0x00,// Previous

				// Rol_rm8_imm8
				0x02,// Normal_2
				0x1A,// 26 = "rol"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ror_rm8_imm8
				0x02,// Normal_2
				0x1B,// 27 = "ror"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcl_rm8_imm8
				0x02,// Normal_2
				0x1C,// 28 = "rcl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcr_rm8_imm8
				0x02,// Normal_2
				0x1D,// 29 = "rcr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shl_rm8_imm8
				0x02,// Normal_2
				0x0E,// 14 = "shl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shr_rm8_imm8
				0x02,// Normal_2
				0x1E,// 30 = "shr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sal_rm8_imm8
				0x02,// Normal_2
				0x2A,// 42 = "sal"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sar_rm8_imm8
				0x02,// Normal_2
				0x1F,// 31 = "sar"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rol_rm16_imm8
				0x02,// Normal_2
				0x1A,// 26 = "rol"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rol_rm32_imm8
				0x00,// Previous

				// Rol_rm64_imm8
				0x00,// Previous

				// Ror_rm16_imm8
				0x02,// Normal_2
				0x1B,// 27 = "ror"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ror_rm32_imm8
				0x00,// Previous

				// Ror_rm64_imm8
				0x00,// Previous

				// Rcl_rm16_imm8
				0x02,// Normal_2
				0x1C,// 28 = "rcl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcl_rm32_imm8
				0x00,// Previous

				// Rcl_rm64_imm8
				0x00,// Previous

				// Rcr_rm16_imm8
				0x02,// Normal_2
				0x1D,// 29 = "rcr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcr_rm32_imm8
				0x00,// Previous

				// Rcr_rm64_imm8
				0x00,// Previous

				// Shl_rm16_imm8
				0x02,// Normal_2
				0x0E,// 14 = "shl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shl_rm32_imm8
				0x00,// Previous

				// Shl_rm64_imm8
				0x00,// Previous

				// Shr_rm16_imm8
				0x02,// Normal_2
				0x1E,// 30 = "shr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shr_rm32_imm8
				0x00,// Previous

				// Shr_rm64_imm8
				0x00,// Previous

				// Sal_rm16_imm8
				0x02,// Normal_2
				0x2A,// 42 = "sal"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sal_rm32_imm8
				0x00,// Previous

				// Sal_rm64_imm8
				0x00,// Previous

				// Sar_rm16_imm8
				0x02,// Normal_2
				0x1F,// 31 = "sar"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sar_rm32_imm8
				0x00,// Previous

				// Sar_rm64_imm8
				0x00,// Previous

				// Retnw_imm16
				0x24,// OpSize2_bnd
				0x24,// 36 = "ret"
				0x24,// 36 = "ret"
				0xDC, 0x01,// 220 = "retw"
				0xDC, 0x01,// 220 = "retw"

				// Retnd_imm16
				0x24,// OpSize2_bnd
				0x24,// 36 = "ret"
				0xDF, 0x01,// 223 = "retnd"
				0x24,// 36 = "ret"
				0xDF, 0x01,// 223 = "retnd"

				// Retnq_imm16
				0x06,// bnd_1
				0x24,// 36 = "ret"

				// Retnw
				0x24,// OpSize2_bnd
				0x24,// 36 = "ret"
				0x24,// 36 = "ret"
				0xDC, 0x01,// 220 = "retw"
				0xDC, 0x01,// 220 = "retw"

				// Retnd
				0x24,// OpSize2_bnd
				0x24,// 36 = "ret"
				0xDF, 0x01,// 223 = "retnd"
				0x24,// 36 = "ret"
				0xDF, 0x01,// 223 = "retnd"

				// Retnq
				0x06,// bnd_1
				0x24,// 36 = "ret"

				// Les_r16_m1616
				0x01,// Normal_1
				0xE0, 0x01,// 224 = "les"

				// Les_r32_m1632
				0x00,// Previous

				// Lds_r16_m1616
				0x01,// Normal_1
				0xE1, 0x01,// 225 = "lds"

				// Lds_r32_m1632
				0x00,// Previous

				// Mov_rm8_imm8
				0x02,// Normal_2
				0x00,// 0 = "mov"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Xabort_imm8
				0x01,// Normal_1
				0xE2, 0x01,// 226 = "xabort"

				// Mov_rm16_imm16
				0x02,// Normal_2
				0x00,// 0 = "mov"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Mov_rm32_imm32
				0x00,// Previous

				// Mov_rm64_imm32
				0x00,// Previous

				// Xbegin_rel16
				0x01,// Normal_1
				0xE3, 0x01,// 227 = "xbegin"

				// Xbegin_rel32
				0x00,// Previous

				// Enterw_imm16_imm8
				0x21,// OpSize_1
				0xE4, 0x01,// 228 = "enter"
				0x01,// Code16

				// Enterd_imm16_imm8
				0x21,// OpSize_1
				0xE4, 0x01,// 228 = "enter"
				0x02,// Code32

				// Enterq_imm16_imm8
				0x21,// OpSize_1
				0xE4, 0x01,// 228 = "enter"
				0x03,// Code64

				// Leavew
				0x21,// OpSize_1
				0xE5, 0x01,// 229 = "leave"
				0x01,// Code16

				// Leaved
				0x21,// OpSize_1
				0xE5, 0x01,// 229 = "leave"
				0x02,// Code32

				// Leaveq
				0x21,// OpSize_1
				0xE5, 0x01,// 229 = "leave"
				0x03,// Code64

				// Retfw_imm16
				0x23,// OpSize2
				0xE7, 0x01,// 231 = "retf"
				0xE7, 0x01,// 231 = "retf"
				0xE8, 0x01,// 232 = "retfw"
				0xE8, 0x01,// 232 = "retfw"

				// Retfd_imm16
				0x23,// OpSize2
				0xE7, 0x01,// 231 = "retf"
				0xE9, 0x01,// 233 = "retfd"
				0xE7, 0x01,// 231 = "retf"
				0xE7, 0x01,// 231 = "retf"

				// Retfq_imm16
				0x23,// OpSize2
				0xEA, 0x01,// 234 = "retfq"
				0xE7, 0x01,// 231 = "retf"
				0xE7, 0x01,// 231 = "retf"
				0xEA, 0x01,// 234 = "retfq"

				// Retfw
				0x23,// OpSize2
				0xE7, 0x01,// 231 = "retf"
				0xE7, 0x01,// 231 = "retf"
				0xE8, 0x01,// 232 = "retfw"
				0xE8, 0x01,// 232 = "retfw"

				// Retfd
				0x23,// OpSize2
				0xE7, 0x01,// 231 = "retf"
				0xE9, 0x01,// 233 = "retfd"
				0xE7, 0x01,// 231 = "retf"
				0xE7, 0x01,// 231 = "retf"

				// Retfq
				0x23,// OpSize2
				0xEA, 0x01,// 234 = "retfq"
				0xE7, 0x01,// 231 = "retf"
				0xE7, 0x01,// 231 = "retf"
				0xEA, 0x01,// 234 = "retfq"

				// Int3
				0x0B,// Ib
				0xEC, 0x01,// 236 = "int"

				// Int_imm8
				0x01,// Normal_1
				0xEC, 0x01,// 236 = "int"

				// Into
				0x01,// Normal_1
				0xED, 0x01,// 237 = "into"

				// Iretw
				0x01,// Normal_1
				0xEE, 0x01,// 238 = "iret"

				// Iretd
				0x01,// Normal_1
				0xEF, 0x01,// 239 = "iretd"

				// Iretq
				0x01,// Normal_1
				0xF0, 0x01,// 240 = "iretq"

				// Rol_rm8_1
				0x02,// Normal_2
				0x1A,// 26 = "rol"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ror_rm8_1
				0x02,// Normal_2
				0x1B,// 27 = "ror"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcl_rm8_1
				0x02,// Normal_2
				0x1C,// 28 = "rcl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcr_rm8_1
				0x02,// Normal_2
				0x1D,// 29 = "rcr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shl_rm8_1
				0x02,// Normal_2
				0x0E,// 14 = "shl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shr_rm8_1
				0x02,// Normal_2
				0x1E,// 30 = "shr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sal_rm8_1
				0x02,// Normal_2
				0x2A,// 42 = "sal"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sar_rm8_1
				0x02,// Normal_2
				0x1F,// 31 = "sar"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rol_rm16_1
				0x02,// Normal_2
				0x1A,// 26 = "rol"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rol_rm32_1
				0x00,// Previous

				// Rol_rm64_1
				0x00,// Previous

				// Ror_rm16_1
				0x02,// Normal_2
				0x1B,// 27 = "ror"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ror_rm32_1
				0x00,// Previous

				// Ror_rm64_1
				0x00,// Previous

				// Rcl_rm16_1
				0x02,// Normal_2
				0x1C,// 28 = "rcl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcl_rm32_1
				0x00,// Previous

				// Rcl_rm64_1
				0x00,// Previous

				// Rcr_rm16_1
				0x02,// Normal_2
				0x1D,// 29 = "rcr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcr_rm32_1
				0x00,// Previous

				// Rcr_rm64_1
				0x00,// Previous

				// Shl_rm16_1
				0x02,// Normal_2
				0x0E,// 14 = "shl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shl_rm32_1
				0x00,// Previous

				// Shl_rm64_1
				0x00,// Previous

				// Shr_rm16_1
				0x02,// Normal_2
				0x1E,// 30 = "shr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shr_rm32_1
				0x00,// Previous

				// Shr_rm64_1
				0x00,// Previous

				// Sal_rm16_1
				0x02,// Normal_2
				0x2A,// 42 = "sal"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sal_rm32_1
				0x00,// Previous

				// Sal_rm64_1
				0x00,// Previous

				// Sar_rm16_1
				0x02,// Normal_2
				0x1F,// 31 = "sar"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sar_rm32_1
				0x00,// Previous

				// Sar_rm64_1
				0x00,// Previous

				// Rol_rm8_CL
				0x02,// Normal_2
				0x1A,// 26 = "rol"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ror_rm8_CL
				0x02,// Normal_2
				0x1B,// 27 = "ror"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcl_rm8_CL
				0x02,// Normal_2
				0x1C,// 28 = "rcl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcr_rm8_CL
				0x02,// Normal_2
				0x1D,// 29 = "rcr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shl_rm8_CL
				0x02,// Normal_2
				0x0E,// 14 = "shl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shr_rm8_CL
				0x02,// Normal_2
				0x1E,// 30 = "shr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sal_rm8_CL
				0x02,// Normal_2
				0x2A,// 42 = "sal"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sar_rm8_CL
				0x02,// Normal_2
				0x1F,// 31 = "sar"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rol_rm16_CL
				0x02,// Normal_2
				0x1A,// 26 = "rol"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rol_rm32_CL
				0x00,// Previous

				// Rol_rm64_CL
				0x00,// Previous

				// Ror_rm16_CL
				0x02,// Normal_2
				0x1B,// 27 = "ror"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ror_rm32_CL
				0x00,// Previous

				// Ror_rm64_CL
				0x00,// Previous

				// Rcl_rm16_CL
				0x02,// Normal_2
				0x1C,// 28 = "rcl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcl_rm32_CL
				0x00,// Previous

				// Rcl_rm64_CL
				0x00,// Previous

				// Rcr_rm16_CL
				0x02,// Normal_2
				0x1D,// 29 = "rcr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Rcr_rm32_CL
				0x00,// Previous

				// Rcr_rm64_CL
				0x00,// Previous

				// Shl_rm16_CL
				0x02,// Normal_2
				0x0E,// 14 = "shl"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shl_rm32_CL
				0x00,// Previous

				// Shl_rm64_CL
				0x00,// Previous

				// Shr_rm16_CL
				0x02,// Normal_2
				0x1E,// 30 = "shr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Shr_rm32_CL
				0x00,// Previous

				// Shr_rm64_CL
				0x00,// Previous

				// Sal_rm16_CL
				0x02,// Normal_2
				0x2A,// 42 = "sal"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sal_rm32_CL
				0x00,// Previous

				// Sal_rm64_CL
				0x00,// Previous

				// Sar_rm16_CL
				0x02,// Normal_2
				0x1F,// 31 = "sar"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Sar_rm32_CL
				0x00,// Previous

				// Sar_rm64_CL
				0x00,// Previous

				// Aam_imm8
				0x03,// AamAad
				0xF1, 0x01,// 241 = "aam"

				// Aad_imm8
				0x03,// AamAad
				0xF2, 0x01,// 242 = "aad"

				// Salc
				0x01,// Normal_1
				0xF3, 0x01,// 243 = "salc"

				// Xlat_m8
				0x33,// XLAT
				0xF4, 0x01,// 244 = "xlat"
				0x62,// 'b'

				// Fadd_m32fp
				0x02,// Normal_2
				0xF6, 0x01,// 246 = "fadd"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fmul_m32fp
				0x02,// Normal_2
				0xF7, 0x01,// 247 = "fmul"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fcom_m32fp
				0x02,// Normal_2
				0xF8, 0x01,// 248 = "fcom"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fcomp_m32fp
				0x02,// Normal_2
				0xF9, 0x01,// 249 = "fcomp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fsub_m32fp
				0x02,// Normal_2
				0xFA, 0x01,// 250 = "fsub"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fsubr_m32fp
				0x02,// Normal_2
				0xFB, 0x01,// 251 = "fsubr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fdiv_m32fp
				0x02,// Normal_2
				0xFC, 0x01,// 252 = "fdiv"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fdivr_m32fp
				0x02,// Normal_2
				0xFD, 0x01,// 253 = "fdivr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fadd_st0_sti
				0x2E,// ST_STi
				0xF6, 0x01,// 246 = "fadd"

				// Fmul_st0_sti
				0x2E,// ST_STi
				0xF7, 0x01,// 247 = "fmul"

				// Fcom_st0_sti
				0x32,// STIG1_2
				0xF8, 0x01,// 248 = "fcom"
				0x01,// True

				// Fcomp_st0_sti
				0x32,// STIG1_2
				0xF9, 0x01,// 249 = "fcomp"
				0x01,// True

				// Fsub_st0_sti
				0x2E,// ST_STi
				0xFA, 0x01,// 250 = "fsub"

				// Fsubr_st0_sti
				0x2E,// ST_STi
				0xFB, 0x01,// 251 = "fsubr"

				// Fdiv_st0_sti
				0x2E,// ST_STi
				0xFC, 0x01,// 252 = "fdiv"

				// Fdivr_st0_sti
				0x2E,// ST_STi
				0xFD, 0x01,// 253 = "fdivr"

				// Fld_m32fp
				0x02,// Normal_2
				0xFE, 0x01,// 254 = "fld"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fst_m32fp
				0x02,// Normal_2
				0xFF, 0x01,// 255 = "fst"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fstp_m32fp
				0x02,// Normal_2
				0x6D,// 109 = "fstp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fldenv_m14byte
				0x1A,// memsize
				0x80, 0x02,// 256 = "fldenv"
				0x10,// 0x10

				// Fldenv_m28byte
				0x1A,// memsize
				0x80, 0x02,// 256 = "fldenv"
				0x60,// 0x60

				// Fldcw_m2byte
				0x01,// Normal_1
				0x81, 0x02,// 257 = "fldcw"

				// Fnstenv_m14byte
				0x1A,// memsize
				0x82, 0x02,// 258 = "fnstenv"
				0x10,// 0x10

				// Fstenv_m14byte
				0x1A,// memsize
				0x83, 0x02,// 259 = "fstenv"
				0x10,// 0x10

				// Fnstenv_m28byte
				0x1A,// memsize
				0x82, 0x02,// 258 = "fnstenv"
				0x60,// 0x60

				// Fstenv_m28byte
				0x1A,// memsize
				0x83, 0x02,// 259 = "fstenv"
				0x60,// 0x60

				// Fnstcw_m2byte
				0x01,// Normal_1
				0x84, 0x02,// 260 = "fnstcw"

				// Fstcw_m2byte
				0x01,// Normal_1
				0x85, 0x02,// 261 = "fstcw"

				// Fld_st0_sti
				0x31,// STIG1_1
				0xFE, 0x01,// 254 = "fld"

				// Fxch_st0_sti
				0x32,// STIG1_2
				0x86, 0x02,// 262 = "fxch"
				0x01,// True

				// Fnop
				0x01,// Normal_1
				0x87, 0x02,// 263 = "fnop"

				// Fstpnce_sti
				0x01,// Normal_1
				0x6D,// 109 = "fstp"

				// Fchs
				0x01,// Normal_1
				0x89, 0x02,// 265 = "fchs"

				// Fabs
				0x01,// Normal_1
				0x8A, 0x02,// 266 = "fabs"

				// Ftst
				0x01,// Normal_1
				0x8B, 0x02,// 267 = "ftst"

				// Fxam
				0x01,// Normal_1
				0x8C, 0x02,// 268 = "fxam"

				// Fld1
				0x01,// Normal_1
				0x8D, 0x02,// 269 = "fld1"

				// Fldl2t
				0x01,// Normal_1
				0x8E, 0x02,// 270 = "fldl2t"

				// Fldl2e
				0x01,// Normal_1
				0x8F, 0x02,// 271 = "fldl2e"

				// Fldpi
				0x01,// Normal_1
				0x90, 0x02,// 272 = "fldpi"

				// Fldlg2
				0x01,// Normal_1
				0x91, 0x02,// 273 = "fldlg2"

				// Fldln2
				0x01,// Normal_1
				0x92, 0x02,// 274 = "fldln2"

				// Fldz
				0x01,// Normal_1
				0x93, 0x02,// 275 = "fldz"

				// F2xm1
				0x01,// Normal_1
				0x94, 0x02,// 276 = "f2xm1"

				// Fyl2x
				0x01,// Normal_1
				0x95, 0x02,// 277 = "fyl2x"

				// Fptan
				0x01,// Normal_1
				0x96, 0x02,// 278 = "fptan"

				// Fpatan
				0x01,// Normal_1
				0x97, 0x02,// 279 = "fpatan"

				// Fxtract
				0x01,// Normal_1
				0x98, 0x02,// 280 = "fxtract"

				// Fprem1
				0x01,// Normal_1
				0x99, 0x02,// 281 = "fprem1"

				// Fdecstp
				0x01,// Normal_1
				0x9A, 0x02,// 282 = "fdecstp"

				// Fincstp
				0x01,// Normal_1
				0x9B, 0x02,// 283 = "fincstp"

				// Fprem
				0x01,// Normal_1
				0x9C, 0x02,// 284 = "fprem"

				// Fyl2xp1
				0x01,// Normal_1
				0x9D, 0x02,// 285 = "fyl2xp1"

				// Fsqrt
				0x01,// Normal_1
				0x9E, 0x02,// 286 = "fsqrt"

				// Fsincos
				0x01,// Normal_1
				0x9F, 0x02,// 287 = "fsincos"

				// Frndint
				0x01,// Normal_1
				0xA0, 0x02,// 288 = "frndint"

				// Fscale
				0x01,// Normal_1
				0xA1, 0x02,// 289 = "fscale"

				// Fsin
				0x01,// Normal_1
				0xA2, 0x02,// 290 = "fsin"

				// Fcos
				0x01,// Normal_1
				0xA3, 0x02,// 291 = "fcos"

				// Fiadd_m32int
				0x02,// Normal_2
				0xA4, 0x02,// 292 = "fiadd"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fimul_m32int
				0x02,// Normal_2
				0xA5, 0x02,// 293 = "fimul"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ficom_m32int
				0x02,// Normal_2
				0xA6, 0x02,// 294 = "ficom"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ficomp_m32int
				0x02,// Normal_2
				0xA7, 0x02,// 295 = "ficomp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fisub_m32int
				0x02,// Normal_2
				0xA8, 0x02,// 296 = "fisub"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fisubr_m32int
				0x02,// Normal_2
				0xA9, 0x02,// 297 = "fisubr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fidiv_m32int
				0x02,// Normal_2
				0xAA, 0x02,// 298 = "fidiv"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fidivr_m32int
				0x02,// Normal_2
				0xAB, 0x02,// 299 = "fidivr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fcmovb_st0_sti
				0x2E,// ST_STi
				0xAC, 0x02,// 300 = "fcmovb"

				// Fcmove_st0_sti
				0x2E,// ST_STi
				0xAD, 0x02,// 301 = "fcmove"

				// Fcmovbe_st0_sti
				0x2E,// ST_STi
				0xAE, 0x02,// 302 = "fcmovbe"

				// Fcmovu_st0_sti
				0x2E,// ST_STi
				0xAF, 0x02,// 303 = "fcmovu"

				// Fucompp
				0x01,// Normal_1
				0xB1, 0x02,// 305 = "fucompp"

				// Fild_m32int
				0x02,// Normal_2
				0xB2, 0x02,// 306 = "fild"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fisttp_m32int
				0x02,// Normal_2
				0xB3, 0x02,// 307 = "fisttp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fist_m32int
				0x02,// Normal_2
				0xB4, 0x02,// 308 = "fist"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fistp_m32int
				0x02,// Normal_2
				0xB5, 0x02,// 309 = "fistp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fld_m80fp
				0x02,// Normal_2
				0xFE, 0x01,// 254 = "fld"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fstp_m80fp
				0x02,// Normal_2
				0x6D,// 109 = "fstp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fcmovnb_st0_sti
				0x2E,// ST_STi
				0xB6, 0x02,// 310 = "fcmovnb"

				// Fcmovne_st0_sti
				0x2E,// ST_STi
				0xB7, 0x02,// 311 = "fcmovne"

				// Fcmovnbe_st0_sti
				0x2E,// ST_STi
				0xB8, 0x02,// 312 = "fcmovnbe"

				// Fcmovnu_st0_sti
				0x2E,// ST_STi
				0xB9, 0x02,// 313 = "fcmovnu"

				// Fneni
				0x01,// Normal_1
				0xBA, 0x02,// 314 = "fneni"

				// Feni
				0x01,// Normal_1
				0xBB, 0x02,// 315 = "feni"

				// Fndisi
				0x01,// Normal_1
				0xBC, 0x02,// 316 = "fndisi"

				// Fdisi
				0x01,// Normal_1
				0xBD, 0x02,// 317 = "fdisi"

				// Fnclex
				0x01,// Normal_1
				0xBE, 0x02,// 318 = "fnclex"

				// Fclex
				0x01,// Normal_1
				0xBF, 0x02,// 319 = "fclex"

				// Fninit
				0x01,// Normal_1
				0xC0, 0x02,// 320 = "fninit"

				// Finit
				0x01,// Normal_1
				0xC1, 0x02,// 321 = "finit"

				// Fnsetpm
				0x01,// Normal_1
				0xC2, 0x02,// 322 = "fnsetpm"

				// Fsetpm
				0x01,// Normal_1
				0xC3, 0x02,// 323 = "fsetpm"

				// Frstpm
				0x01,// Normal_1
				0xC4, 0x02,// 324 = "frstpm"

				// Fucomi_st0_sti
				0x2E,// ST_STi
				0xC5, 0x02,// 325 = "fucomi"

				// Fcomi_st0_sti
				0x2E,// ST_STi
				0xC6, 0x02,// 326 = "fcomi"

				// Fadd_m64fp
				0x02,// Normal_2
				0xF6, 0x01,// 246 = "fadd"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fmul_m64fp
				0x02,// Normal_2
				0xF7, 0x01,// 247 = "fmul"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fcom_m64fp
				0x02,// Normal_2
				0xF8, 0x01,// 248 = "fcom"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fcomp_m64fp
				0x02,// Normal_2
				0xF9, 0x01,// 249 = "fcomp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fsub_m64fp
				0x02,// Normal_2
				0xFA, 0x01,// 250 = "fsub"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fsubr_m64fp
				0x02,// Normal_2
				0xFB, 0x01,// 251 = "fsubr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fdiv_m64fp
				0x02,// Normal_2
				0xFC, 0x01,// 252 = "fdiv"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fdivr_m64fp
				0x02,// Normal_2
				0xFD, 0x01,// 253 = "fdivr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fadd_sti_st0
				0x2F,// STi_ST
				0xF6, 0x01,// 246 = "fadd"

				// Fmul_sti_st0
				0x2F,// STi_ST
				0xF7, 0x01,// 247 = "fmul"

				// Fcom_st0_sti_DCD0
				0x32,// STIG1_2
				0xF8, 0x01,// 248 = "fcom"
				0x01,// True

				// Fcomp_st0_sti_DCD8
				0x32,// STIG1_2
				0xF9, 0x01,// 249 = "fcomp"
				0x01,// True

				// Fsubr_sti_st0
				0x2F,// STi_ST
				0xFB, 0x01,// 251 = "fsubr"

				// Fsub_sti_st0
				0x2F,// STi_ST
				0xFA, 0x01,// 250 = "fsub"

				// Fdivr_sti_st0
				0x2F,// STi_ST
				0xFD, 0x01,// 253 = "fdivr"

				// Fdiv_sti_st0
				0x2F,// STi_ST
				0xFC, 0x01,// 252 = "fdiv"

				// Fld_m64fp
				0x02,// Normal_2
				0xFE, 0x01,// 254 = "fld"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fisttp_m64int
				0x02,// Normal_2
				0xB3, 0x02,// 307 = "fisttp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fst_m64fp
				0x02,// Normal_2
				0xFF, 0x01,// 255 = "fst"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fstp_m64fp
				0x02,// Normal_2
				0x6D,// 109 = "fstp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Frstor_m94byte
				0x1A,// memsize
				0xC8, 0x02,// 328 = "frstor"
				0x10,// 0x10

				// Frstor_m108byte
				0x1A,// memsize
				0xC8, 0x02,// 328 = "frstor"
				0x60,// 0x60

				// Fnsave_m94byte
				0x1A,// memsize
				0xC9, 0x02,// 329 = "fnsave"
				0x10,// 0x10

				// Fsave_m94byte
				0x1A,// memsize
				0xCA, 0x02,// 330 = "fsave"
				0x10,// 0x10

				// Fnsave_m108byte
				0x1A,// memsize
				0xC9, 0x02,// 329 = "fnsave"
				0x60,// 0x60

				// Fsave_m108byte
				0x1A,// memsize
				0xCA, 0x02,// 330 = "fsave"
				0x60,// 0x60

				// Fnstsw_m2byte
				0x01,// Normal_1
				0xCB, 0x02,// 331 = "fnstsw"

				// Fstsw_m2byte
				0x01,// Normal_1
				0xCC, 0x02,// 332 = "fstsw"

				// Ffree_sti
				0x01,// Normal_1
				0xCD, 0x02,// 333 = "ffree"

				// Fxch_st0_sti_DDC8
				0x32,// STIG1_2
				0x86, 0x02,// 262 = "fxch"
				0x01,// True

				// Fst_sti
				0x01,// Normal_1
				0xFF, 0x01,// 255 = "fst"

				// Fstp_sti
				0x01,// Normal_1
				0x6D,// 109 = "fstp"

				// Fucom_st0_sti
				0x32,// STIG1_2
				0xCE, 0x02,// 334 = "fucom"
				0x01,// True

				// Fucomp_st0_sti
				0x32,// STIG1_2
				0xB0, 0x02,// 304 = "fucomp"
				0x01,// True

				// Fiadd_m16int
				0x02,// Normal_2
				0xA4, 0x02,// 292 = "fiadd"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fimul_m16int
				0x02,// Normal_2
				0xA5, 0x02,// 293 = "fimul"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ficom_m16int
				0x02,// Normal_2
				0xA6, 0x02,// 294 = "ficom"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ficomp_m16int
				0x02,// Normal_2
				0xA7, 0x02,// 295 = "ficomp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fisub_m16int
				0x02,// Normal_2
				0xA8, 0x02,// 296 = "fisub"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fisubr_m16int
				0x02,// Normal_2
				0xA9, 0x02,// 297 = "fisubr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fidiv_m16int
				0x02,// Normal_2
				0xAA, 0x02,// 298 = "fidiv"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fidivr_m16int
				0x02,// Normal_2
				0xAB, 0x02,// 299 = "fidivr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Faddp_sti_st0
				0x30,// STi_ST2
				0xCF, 0x02,// 335 = "faddp"

				// Fmulp_sti_st0
				0x30,// STi_ST2
				0xD0, 0x02,// 336 = "fmulp"

				// Fcomp_st0_sti_DED0
				0x32,// STIG1_2
				0xF9, 0x01,// 249 = "fcomp"
				0x01,// True

				// Fcompp
				0x01,// Normal_1
				0xD1, 0x02,// 337 = "fcompp"

				// Fsubrp_sti_st0
				0x30,// STi_ST2
				0xD3, 0x02,// 339 = "fsubrp"

				// Fsubp_sti_st0
				0x30,// STi_ST2
				0xD2, 0x02,// 338 = "fsubp"

				// Fdivrp_sti_st0
				0x30,// STi_ST2
				0xD5, 0x02,// 341 = "fdivrp"

				// Fdivp_sti_st0
				0x30,// STi_ST2
				0xD4, 0x02,// 340 = "fdivp"

				// Fild_m16int
				0x02,// Normal_2
				0xB2, 0x02,// 306 = "fild"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fisttp_m16int
				0x02,// Normal_2
				0xB3, 0x02,// 307 = "fisttp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fist_m16int
				0x02,// Normal_2
				0xB4, 0x02,// 308 = "fist"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fistp_m16int
				0x02,// Normal_2
				0xB5, 0x02,// 309 = "fistp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fbld_m80bcd
				0x02,// Normal_2
				0xD6, 0x02,// 342 = "fbld"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Fild_m64int
				0x02,// Normal_2
				0xB2, 0x02,// 306 = "fild"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Fbstp_m80bcd
				0x02,// Normal_2
				0xD8, 0x02,// 344 = "fbstp"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Fistp_m64int
				0x02,// Normal_2
				0xB5, 0x02,// 309 = "fistp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ffreep_sti
				0x01,// Normal_1
				0xDA, 0x02,// 346 = "ffreep"

				// Fxch_st0_sti_DFC8
				0x32,// STIG1_2
				0x86, 0x02,// 262 = "fxch"
				0x01,// True

				// Fstp_sti_DFD0
				0x01,// Normal_1
				0x6D,// 109 = "fstp"

				// Fstp_sti_DFD8
				0x00,// Previous

				// Fnstsw_AX
				0x01,// Normal_1
				0xCB, 0x02,// 331 = "fnstsw"

				// Fstsw_AX
				0x01,// Normal_1
				0xCC, 0x02,// 332 = "fstsw"

				// Fstdw_AX
				0x01,// Normal_1
				0xDB, 0x02,// 347 = "fstdw"

				// Fstsg_AX
				0x01,// Normal_1
				0xDC, 0x02,// 348 = "fstsg"

				// Fucomip_st0_sti
				0x2E,// ST_STi
				0xDD, 0x02,// 349 = "fucomip"

				// Fcomip_st0_sti
				0x2E,// ST_STi
				0xDE, 0x02,// 350 = "fcomip"

				// Loopne_rel8_16_CX
				0x18,// Loopcc2
				0x68,// 104 = "loopne"
				0x69,// 105 = "loopnz"
				0x77,// 'w'
				0x05,// 0x5
				0x01,// Code16

				// Loopne_rel8_32_CX
				0x00,// Previous

				// Loopne_rel8_16_ECX
				0x18,// Loopcc2
				0x68,// 104 = "loopne"
				0x69,// 105 = "loopnz"
				0x64,// 'd'
				0x05,// 0x5
				0x02,// Code32

				// Loopne_rel8_32_ECX
				0x00,// Previous

				// Loopne_rel8_64_ECX
				0x17,// Loopcc1
				0xDF, 0x02,// 351 = "loopned"
				0xE0, 0x02,// 352 = "loopnzd"
				0x05,// 0x5

				// Loopne_rel8_16_RCX
				0x17,// Loopcc1
				0x68,// 104 = "loopne"
				0x69,// 105 = "loopnz"
				0x05,// 0x5

				// Loopne_rel8_64_RCX
				0x00,// Previous

				// Loope_rel8_16_CX
				0x18,// Loopcc2
				0x6A,// 106 = "loope"
				0x6B,// 107 = "loopz"
				0x77,// 'w'
				0x04,// 0x4
				0x01,// Code16

				// Loope_rel8_32_CX
				0x00,// Previous

				// Loope_rel8_16_ECX
				0x18,// Loopcc2
				0x6A,// 106 = "loope"
				0x6B,// 107 = "loopz"
				0x64,// 'd'
				0x04,// 0x4
				0x02,// Code32

				// Loope_rel8_32_ECX
				0x00,// Previous

				// Loope_rel8_64_ECX
				0x17,// Loopcc1
				0xE1, 0x02,// 353 = "looped"
				0xE2, 0x02,// 354 = "loopzd"
				0x04,// 0x4

				// Loope_rel8_16_RCX
				0x17,// Loopcc1
				0x6A,// 106 = "loope"
				0x6B,// 107 = "loopz"
				0x04,// 0x4

				// Loope_rel8_64_RCX
				0x00,// Previous

				// Loop_rel8_16_CX
				0x22,// OpSize_2
				0x6C,// 108 = "loop"
				0x77,// 'w'
				0x01,// Code16

				// Loop_rel8_32_CX
				0x00,// Previous

				// Loop_rel8_16_ECX
				0x22,// OpSize_2
				0x6C,// 108 = "loop"
				0x64,// 'd'
				0x02,// Code32

				// Loop_rel8_32_ECX
				0x00,// Previous

				// Loop_rel8_64_ECX
				0x01,// Normal_1
				0xE3, 0x02,// 355 = "loopd"

				// Loop_rel8_16_RCX
				0x01,// Normal_1
				0x6C,// 108 = "loop"

				// Loop_rel8_64_RCX
				0x00,// Previous

				// Jcxz_rel8_16
				0x01,// Normal_1
				0xE4, 0x02,// 356 = "jcxz"

				// Jcxz_rel8_32
				0x00,// Previous

				// Jecxz_rel8_16
				0x01,// Normal_1
				0xE5, 0x02,// 357 = "jecxz"

				// Jecxz_rel8_32
				0x00,// Previous

				// Jecxz_rel8_64
				0x00,// Previous

				// Jrcxz_rel8_16
				0x01,// Normal_1
				0xE6, 0x02,// 358 = "jrcxz"

				// Jrcxz_rel8_64
				0x00,// Previous

				// In_AL_imm8
				0x01,// Normal_1
				0xE7, 0x02,// 359 = "in"

				// In_AX_imm8
				0x00,// Previous

				// In_EAX_imm8
				0x00,// Previous

				// Out_imm8_AL
				0x01,// Normal_1
				0xE8, 0x02,// 360 = "out"

				// Out_imm8_AX
				0x00,// Previous

				// Out_imm8_EAX
				0x00,// Previous

				// Call_rel16
				0x06,// bnd_1
				0x29,// 41 = "call"

				// Call_rel32_32
				0x00,// Previous

				// Call_rel32_64
				0x00,// Previous

				// Jmp_rel16
				0x06,// bnd_1
				0x19,// 25 = "jmp"

				// Jmp_rel32_32
				0x00,// Previous

				// Jmp_rel32_64
				0x00,// Previous

				// Jmp_ptr1616
				0x01,// Normal_1
				0x19,// 25 = "jmp"

				// Jmp_ptr1632
				0x00,// Previous

				// Jmp_rel8_16
				0x00,// Previous

				// Jmp_rel8_32
				0x00,// Previous

				// Jmp_rel8_64
				0x00,// Previous

				// In_AL_DX
				0x01,// Normal_1
				0xE7, 0x02,// 359 = "in"

				// In_AX_DX
				0x00,// Previous

				// In_EAX_DX
				0x00,// Previous

				// Out_DX_AL
				0x01,// Normal_1
				0xE8, 0x02,// 360 = "out"

				// Out_DX_AX
				0x00,// Previous

				// Out_DX_EAX
				0x00,// Previous

				// Int1
				0x01,// Normal_1
				0xEA, 0x02,// 362 = "int1"

				// Hlt
				0x01,// Normal_1
				0xEB, 0x02,// 363 = "hlt"

				// Cmc
				0x01,// Normal_1
				0xEC, 0x02,// 364 = "cmc"

				// Test_rm8_imm8
				0x02,// Normal_2
				0x0C,// 12 = "test"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Test_rm8_imm8_F6r1
				0x00,// Previous

				// Not_rm8
				0x02,// Normal_2
				0xED, 0x02,// 365 = "not"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Neg_rm8
				0x02,// Normal_2
				0xEE, 0x02,// 366 = "neg"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Mul_rm8
				0x02,// Normal_2
				0xEF, 0x02,// 367 = "mul"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Imul_rm8
				0x02,// Normal_2
				0x18,// 24 = "imul"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Div_rm8
				0x02,// Normal_2
				0xF0, 0x02,// 368 = "div"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Idiv_rm8
				0x02,// Normal_2
				0xF1, 0x02,// 369 = "idiv"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Test_rm16_imm16
				0x02,// Normal_2
				0x0C,// 12 = "test"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Test_rm32_imm32
				0x00,// Previous

				// Test_rm64_imm32
				0x00,// Previous

				// Test_rm16_imm16_F7r1
				0x00,// Previous

				// Test_rm32_imm32_F7r1
				0x00,// Previous

				// Test_rm64_imm32_F7r1
				0x00,// Previous

				// Not_rm16
				0x02,// Normal_2
				0xED, 0x02,// 365 = "not"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Not_rm32
				0x00,// Previous

				// Not_rm64
				0x00,// Previous

				// Neg_rm16
				0x02,// Normal_2
				0xEE, 0x02,// 366 = "neg"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Neg_rm32
				0x00,// Previous

				// Neg_rm64
				0x00,// Previous

				// Mul_rm16
				0x02,// Normal_2
				0xEF, 0x02,// 367 = "mul"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Mul_rm32
				0x00,// Previous

				// Mul_rm64
				0x00,// Previous

				// Imul_rm16
				0x02,// Normal_2
				0x18,// 24 = "imul"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Imul_rm32
				0x00,// Previous

				// Imul_rm64
				0x00,// Previous

				// Div_rm16
				0x02,// Normal_2
				0xF0, 0x02,// 368 = "div"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Div_rm32
				0x00,// Previous

				// Div_rm64
				0x00,// Previous

				// Idiv_rm16
				0x02,// Normal_2
				0xF1, 0x02,// 369 = "idiv"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Idiv_rm32
				0x00,// Previous

				// Idiv_rm64
				0x00,// Previous

				// Clc
				0x01,// Normal_1
				0xF2, 0x02,// 370 = "clc"

				// Stc
				0x01,// Normal_1
				0xF3, 0x02,// 371 = "stc"

				// Cli
				0x01,// Normal_1
				0xF4, 0x02,// 372 = "cli"

				// Sti
				0x01,// Normal_1
				0xF5, 0x02,// 373 = "sti"

				// Cld
				0x01,// Normal_1
				0xF6, 0x02,// 374 = "cld"

				// Std
				0x01,// Normal_1
				0xF7, 0x02,// 375 = "std"

				// Inc_rm8
				0x02,// Normal_2
				0x6E,// 110 = "inc"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Dec_rm8
				0x02,// Normal_2
				0x6F,// 111 = "dec"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Inc_rm16
				0x02,// Normal_2
				0x6E,// 110 = "inc"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Inc_rm32
				0x00,// Previous

				// Inc_rm64
				0x00,// Previous

				// Dec_rm16
				0x02,// Normal_2
				0x6F,// 111 = "dec"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Dec_rm32
				0x00,// Previous

				// Dec_rm64
				0x00,// Previous

				// Call_rm16
				0x07,// bnd_2
				0x29,// 41 = "call"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Call_rm32
				0x00,// Previous

				// Call_rm64
				0x00,// Previous

				// Call_m1616
				0x02,// Normal_2
				0x29,// 41 = "call"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Call_m1632
				0x00,// Previous

				// Call_m1664
				0x00,// Previous

				// Jmp_rm16
				0x07,// bnd_2
				0x19,// 25 = "jmp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Jmp_rm32
				0x00,// Previous

				// Jmp_rm64
				0x00,// Previous

				// Jmp_m1616
				0x02,// Normal_2
				0x19,// 25 = "jmp"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Jmp_m1632
				0x00,// Previous

				// Jmp_m1664
				0x00,// Previous

				// Push_rm16
				0x29,// pushm
				0x02,// 2 = "push"
				0x01,// Code16

				// Push_rm32
				0x29,// pushm
				0x02,// 2 = "push"
				0x02,// Code32

				// Push_rm64
				0x29,// pushm
				0x02,// 2 = "push"
				0x03,// Code64

				// Sldt_rm16
				0x02,// Normal_2
				0xF8, 0x02,// 376 = "sldt"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Sldt_r32m16
				0x00,// Previous

				// Sldt_r64m16
				0x00,// Previous

				// Str_rm16
				0x02,// Normal_2
				0xF9, 0x02,// 377 = "str"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Str_r32m16
				0x00,// Previous

				// Str_r64m16
				0x00,// Previous

				// Lldt_rm16
				0x02,// Normal_2
				0xFA, 0x02,// 378 = "lldt"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Lldt_r32m16
				0x2B,// Reg16
				0xFA, 0x02,// 378 = "lldt"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Lldt_r64m16
				0x00,// Previous

				// Ltr_rm16
				0x02,// Normal_2
				0xFB, 0x02,// 379 = "ltr"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Ltr_r32m16
				0x2B,// Reg16
				0xFB, 0x02,// 379 = "ltr"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Ltr_r64m16
				0x00,// Previous

				// Verr_rm16
				0x82,// 'v', Normal_2
				0xFC, 0x02,// 380 = "verr"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Verr_r32m16
				0xAB,// 'v', Reg16
				0xFC, 0x02,// 380 = "verr"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Verr_r64m16
				0x80,// 'v', Previous

				// Verw_rm16
				0x82,// 'v', Normal_2
				0xFD, 0x02,// 381 = "verw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Verw_r32m16
				0xAB,// 'v', Reg16
				0xFD, 0x02,// 381 = "verw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Verw_r64m16
				0x80,// 'v', Previous

				// Jmpe_rm16
				0x02,// Normal_2
				0xFE, 0x02,// 382 = "jmpe"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Jmpe_rm32
				0x00,// Previous

				// Sgdt_m1632_16
				0x0A,// fword
				0xFF, 0x02,// 383 = "sgdt"
				0x77,// 'w'
				0x01,// Code16
				0x01,// True

				// Sgdt_m1632
				0x0A,// fword
				0xFF, 0x02,// 383 = "sgdt"
				0x64,// 'd'
				0x02,// Code32
				0x01,// True

				// Sgdt_m1664
				0x0A,// fword
				0xFF, 0x02,// 383 = "sgdt"
				0x71,// 'q'
				0x03,// Code64
				0x01,// True

				// Sidt_m1632_16
				0x0A,// fword
				0x80, 0x03,// 384 = "sidt"
				0x77,// 'w'
				0x01,// Code16
				0x01,// True

				// Sidt_m1632
				0x0A,// fword
				0x80, 0x03,// 384 = "sidt"
				0x64,// 'd'
				0x02,// Code32
				0x01,// True

				// Sidt_m1664
				0x0A,// fword
				0x80, 0x03,// 384 = "sidt"
				0x71,// 'q'
				0x03,// Code64
				0x01,// True

				// Lgdt_m1632_16
				0x0A,// fword
				0x81, 0x03,// 385 = "lgdt"
				0x77,// 'w'
				0x01,// Code16
				0x00,// False

				// Lgdt_m1632
				0x0A,// fword
				0x81, 0x03,// 385 = "lgdt"
				0x64,// 'd'
				0x02,// Code32
				0x00,// False

				// Lgdt_m1664
				0x0A,// fword
				0x81, 0x03,// 385 = "lgdt"
				0x71,// 'q'
				0x03,// Code64
				0x00,// False

				// Lidt_m1632_16
				0x0A,// fword
				0x82, 0x03,// 386 = "lidt"
				0x77,// 'w'
				0x01,// Code16
				0x00,// False

				// Lidt_m1632
				0x0A,// fword
				0x82, 0x03,// 386 = "lidt"
				0x64,// 'd'
				0x02,// Code32
				0x00,// False

				// Lidt_m1664
				0x0A,// fword
				0x82, 0x03,// 386 = "lidt"
				0x71,// 'q'
				0x03,// Code64
				0x00,// False

				// Smsw_rm16
				0x02,// Normal_2
				0x83, 0x03,// 387 = "smsw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Smsw_r32m16
				0x00,// Previous

				// Smsw_r64m16
				0x00,// Previous

				// Rstorssp_m64
				0x02,// Normal_2
				0x84, 0x03,// 388 = "rstorssp"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Lmsw_rm16
				0x02,// Normal_2
				0x85, 0x03,// 389 = "lmsw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Lmsw_r32m16
				0x2B,// Reg16
				0x85, 0x03,// 389 = "lmsw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Lmsw_r64m16
				0x00,// Previous

				// Invlpg_m
				0x01,// Normal_1
				0x86, 0x03,// 390 = "invlpg"

				// Enclv
				0x01,// Normal_1
				0x87, 0x03,// 391 = "enclv"

				// Vmcall
				0x81,// 'v', Normal_1
				0x88, 0x03,// 392 = "vmcall"

				// Vmlaunch
				0x81,// 'v', Normal_1
				0x89, 0x03,// 393 = "vmlaunch"

				// Vmresume
				0x81,// 'v', Normal_1
				0x8A, 0x03,// 394 = "vmresume"

				// Vmxoff
				0x81,// 'v', Normal_1
				0x8B, 0x03,// 395 = "vmxoff"

				// Pconfig
				0x01,// Normal_1
				0x8C, 0x03,// 396 = "pconfig"

				// Monitorw
				0x1D,// monitor
				0x8D, 0x03,// 397 = "monitor"
				0x15,// AX
				0x26,// ECX
				0x27,// EDX

				// Monitord
				0x1D,// monitor
				0x8D, 0x03,// 397 = "monitor"
				0x25,// EAX
				0x26,// ECX
				0x27,// EDX

				// Monitorq
				0x1D,// monitor
				0x8D, 0x03,// 397 = "monitor"
				0x35,// RAX
				0x36,// RCX
				0x37,// RDX

				// Mwait
				0x1E,// mwait
				0x8E, 0x03,// 398 = "mwait"

				// Clac
				0x01,// Normal_1
				0x8F, 0x03,// 399 = "clac"

				// Stac
				0x01,// Normal_1
				0x90, 0x03,// 400 = "stac"

				// Encls
				0x01,// Normal_1
				0x91, 0x03,// 401 = "encls"

				// Xgetbv
				0x01,// Normal_1
				0x92, 0x03,// 402 = "xgetbv"

				// Xsetbv
				0x01,// Normal_1
				0x93, 0x03,// 403 = "xsetbv"

				// Vmfunc
				0x81,// 'v', Normal_1
				0x94, 0x03,// 404 = "vmfunc"

				// Xend
				0x01,// Normal_1
				0x95, 0x03,// 405 = "xend"

				// Xtest
				0x01,// Normal_1
				0x96, 0x03,// 406 = "xtest"

				// Enclu
				0x01,// Normal_1
				0x97, 0x03,// 407 = "enclu"

				// Vmrunw
				0xAA,// 'v', reg
				0x98, 0x03,// 408 = "vmrun"
				0x15,// AX

				// Vmrund
				0xAA,// 'v', reg
				0x98, 0x03,// 408 = "vmrun"
				0x25,// EAX

				// Vmrunq
				0xAA,// 'v', reg
				0x98, 0x03,// 408 = "vmrun"
				0x35,// RAX

				// Vmmcall
				0x81,// 'v', Normal_1
				0x99, 0x03,// 409 = "vmmcall"

				// Vmloadw
				0xAA,// 'v', reg
				0x9A, 0x03,// 410 = "vmload"
				0x15,// AX

				// Vmloadd
				0xAA,// 'v', reg
				0x9A, 0x03,// 410 = "vmload"
				0x25,// EAX

				// Vmloadq
				0xAA,// 'v', reg
				0x9A, 0x03,// 410 = "vmload"
				0x35,// RAX

				// Vmsavew
				0xAA,// 'v', reg
				0x9B, 0x03,// 411 = "vmsave"
				0x15,// AX

				// Vmsaved
				0xAA,// 'v', reg
				0x9B, 0x03,// 411 = "vmsave"
				0x25,// EAX

				// Vmsaveq
				0xAA,// 'v', reg
				0x9B, 0x03,// 411 = "vmsave"
				0x35,// RAX

				// Stgi
				0x01,// Normal_1
				0x9C, 0x03,// 412 = "stgi"

				// Clgi
				0x01,// Normal_1
				0x9D, 0x03,// 413 = "clgi"

				// Skinit
				0x2A,// reg
				0x9E, 0x03,// 414 = "skinit"
				0x25,// EAX

				// Invlpgaw
				0x0D,// invlpga
				0x9F, 0x03,// 415 = "invlpga"
				0x10,// 0x10

				// Invlpgad
				0x0D,// invlpga
				0x9F, 0x03,// 415 = "invlpga"
				0x20,// 0x20

				// Invlpgaq
				0x0D,// invlpga
				0x9F, 0x03,// 415 = "invlpga"
				0x40,// 0x40

				// Setssbsy
				0x01,// Normal_1
				0xA0, 0x03,// 416 = "setssbsy"

				// Saveprevssp
				0x01,// Normal_1
				0xA1, 0x03,// 417 = "saveprevssp"

				// Rdpkru
				0x01,// Normal_1
				0xA2, 0x03,// 418 = "rdpkru"

				// Wrpkru
				0x01,// Normal_1
				0xA3, 0x03,// 419 = "wrpkru"

				// Swapgs
				0x01,// Normal_1
				0xA4, 0x03,// 420 = "swapgs"

				// Rdtscp
				0x01,// Normal_1
				0xA5, 0x03,// 421 = "rdtscp"

				// Monitorxw
				0x1D,// monitor
				0xA6, 0x03,// 422 = "monitorx"
				0x15,// AX
				0x26,// ECX
				0x27,// EDX

				// Monitorxd
				0x1D,// monitor
				0xA6, 0x03,// 422 = "monitorx"
				0x25,// EAX
				0x26,// ECX
				0x27,// EDX

				// Monitorxq
				0x1D,// monitor
				0xA6, 0x03,// 422 = "monitorx"
				0x35,// RAX
				0x36,// RCX
				0x37,// RDX

				// Mcommit
				0x01,// Normal_1
				0xA7, 0x03,// 423 = "mcommit"

				// Mwaitx
				0x1F,// mwaitx
				0xA8, 0x03,// 424 = "mwaitx"

				// Clzerow
				0x01,// Normal_1
				0xA9, 0x03,// 425 = "clzero"

				// Clzerod
				0x00,// Previous

				// Clzeroq
				0x00,// Previous

				// Rdpru
				0x01,// Normal_1
				0xAA, 0x03,// 426 = "rdpru"

				// Lar_r16_rm16
				0x02,// Normal_2
				0xAB, 0x03,// 427 = "lar"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Lar_r32_r32m16
				0x00,// Previous

				// Lar_r64_r64m16
				0x00,// Previous

				// Lsl_r16_rm16
				0x02,// Normal_2
				0xAC, 0x03,// 428 = "lsl"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Lsl_r32_r32m16
				0x00,// Previous

				// Lsl_r64_r64m16
				0x00,// Previous

				// Loadallreset286
				0x01,// Normal_1
				0xAD, 0x03,// 429 = "loadallreset286"

				// Loadall286
				0x01,// Normal_1
				0xAE, 0x03,// 430 = "loadall286"

				// Syscall
				0x01,// Normal_1
				0xAF, 0x03,// 431 = "syscall"

				// Clts
				0x01,// Normal_1
				0xB0, 0x03,// 432 = "clts"

				// Loadall386
				0x01,// Normal_1
				0xB2, 0x03,// 434 = "loadall386"

				// Sysretd
				0x01,// Normal_1
				0xB3, 0x03,// 435 = "sysret"

				// Sysretq
				0x01,// Normal_1
				0xB4, 0x03,// 436 = "sysretq"

				// Invd
				0x01,// Normal_1
				0xB5, 0x03,// 437 = "invd"

				// Wbinvd
				0x01,// Normal_1
				0xB6, 0x03,// 438 = "wbinvd"

				// Wbnoinvd
				0x01,// Normal_1
				0xB7, 0x03,// 439 = "wbnoinvd"

				// Cl1invmb
				0x01,// Normal_1
				0xB8, 0x03,// 440 = "cl1invmb"

				// Ud2
				0x01,// Normal_1
				0xB9, 0x03,// 441 = "ud2"

				// ReservedNop_rm16_r16_0F0D
				0x01,// Normal_1
				0x01,// 1 = "nop"

				// ReservedNop_rm32_r32_0F0D
				0x00,// Previous

				// ReservedNop_rm64_r64_0F0D
				0x00,// Previous

				// Prefetch_m8
				0x01,// Normal_1
				0xBA, 0x03,// 442 = "prefetch"

				// Prefetchw_m8
				0x01,// Normal_1
				0xBC, 0x03,// 444 = "prefetchw"

				// Prefetchwt1_m8
				0x01,// Normal_1
				0xBD, 0x03,// 445 = "prefetchwt1"

				// Femms
				0x01,// Normal_1
				0xBE, 0x03,// 446 = "femms"

				// Umov_rm8_r8
				0x01,// Normal_1
				0xBF, 0x03,// 447 = "umov"

				// Umov_rm16_r16
				0x00,// Previous

				// Umov_rm32_r32
				0x00,// Previous

				// Umov_r8_rm8
				0x00,// Previous

				// Umov_r16_rm16
				0x00,// Previous

				// Umov_r32_rm32
				0x00,// Previous

				// Movups_xmm_xmmm128
				0x01,// Normal_1
				0x20,// 32 = "movups"

				// VEX_Vmovups_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x20,// 32 = "vmovups"

				// VEX_Vmovups_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovups_xmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vmovups_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovups_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Movupd_xmm_xmmm128
				0x01,// Normal_1
				0x21,// 33 = "movupd"

				// VEX_Vmovupd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x21,// 33 = "vmovupd"

				// VEX_Vmovupd_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovupd_xmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vmovupd_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovupd_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Movss_xmm_xmmm32
				0x02,// Normal_2
				0x26,// 38 = "movss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovss_xmm_xmm_xmm
				0x82,// 'v', Normal_2
				0x26,// 38 = "vmovss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovss_xmm_m32
				0x80,// 'v', Previous

				// EVEX_Vmovss_xmm_k1z_xmm_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovss_xmm_k1z_m32
				0x80,// 'v', Previous

				// Movsd_xmm_xmmm64
				0x02,// Normal_2
				0x25,// 37 = "movsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovsd_xmm_xmm_xmm
				0x82,// 'v', Normal_2
				0x25,// 37 = "vmovsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovsd_xmm_m64
				0x80,// 'v', Previous

				// EVEX_Vmovsd_xmm_k1z_xmm_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovsd_xmm_k1z_m64
				0x80,// 'v', Previous

				// Movups_xmmm128_xmm
				0x01,// Normal_1
				0x20,// 32 = "movups"

				// VEX_Vmovups_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x20,// 32 = "vmovups"

				// VEX_Vmovups_ymmm256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovups_xmmm128_k1z_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovups_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovups_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// Movupd_xmmm128_xmm
				0x01,// Normal_1
				0x21,// 33 = "movupd"

				// VEX_Vmovupd_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x21,// 33 = "vmovupd"

				// VEX_Vmovupd_ymmm256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovupd_xmmm128_k1z_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovupd_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovupd_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// Movss_xmmm32_xmm
				0x02,// Normal_2
				0x26,// 38 = "movss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovss_xmm_xmm_xmm_0F11
				0x82,// 'v', Normal_2
				0x26,// 38 = "vmovss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovss_m32_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovss_xmm_k1z_xmm_xmm_0F11
				0x80,// 'v', Previous

				// EVEX_Vmovss_m32_k1_xmm
				0x80,// 'v', Previous

				// Movsd_xmmm64_xmm
				0x02,// Normal_2
				0x25,// 37 = "movsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovsd_xmm_xmm_xmm_0F11
				0x82,// 'v', Normal_2
				0x25,// 37 = "vmovsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovsd_m64_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovsd_xmm_k1z_xmm_xmm_0F11
				0x80,// 'v', Previous

				// EVEX_Vmovsd_m64_k1_xmm
				0x80,// 'v', Previous

				// Movhlps_xmm_xmm
				0x01,// Normal_1
				0xC0, 0x03,// 448 = "movhlps"

				// Movlps_xmm_m64
				0x02,// Normal_2
				0xC1, 0x03,// 449 = "movlps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovhlps_xmm_xmm_xmm
				0x81,// 'v', Normal_1
				0xC0, 0x03,// 448 = "vmovhlps"

				// VEX_Vmovlps_xmm_xmm_m64
				0x82,// 'v', Normal_2
				0xC1, 0x03,// 449 = "vmovlps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovhlps_xmm_xmm_xmm
				0x81,// 'v', Normal_1
				0xC0, 0x03,// 448 = "vmovhlps"

				// EVEX_Vmovlps_xmm_xmm_m64
				0x82,// 'v', Normal_2
				0xC1, 0x03,// 449 = "vmovlps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movlpd_xmm_m64
				0x02,// Normal_2
				0xC2, 0x03,// 450 = "movlpd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovlpd_xmm_xmm_m64
				0x82,// 'v', Normal_2
				0xC2, 0x03,// 450 = "vmovlpd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovlpd_xmm_xmm_m64
				0x80,// 'v', Previous

				// Movsldup_xmm_xmmm128
				0x01,// Normal_1
				0xC3, 0x03,// 451 = "movsldup"

				// VEX_Vmovsldup_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xC3, 0x03,// 451 = "vmovsldup"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovsldup_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovsldup_xmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vmovsldup_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovsldup_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Movddup_xmm_xmmm64
				0x02,// Normal_2
				0xC4, 0x03,// 452 = "movddup"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovddup_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xC4, 0x03,// 452 = "vmovddup"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovddup_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovddup_xmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vmovddup_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovddup_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Movlps_m64_xmm
				0x02,// Normal_2
				0xC1, 0x03,// 449 = "movlps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovlps_m64_xmm
				0x82,// 'v', Normal_2
				0xC1, 0x03,// 449 = "vmovlps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovlps_m64_xmm
				0x80,// 'v', Previous

				// Movlpd_m64_xmm
				0x02,// Normal_2
				0xC2, 0x03,// 450 = "movlpd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovlpd_m64_xmm
				0x82,// 'v', Normal_2
				0xC2, 0x03,// 450 = "vmovlpd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovlpd_m64_xmm
				0x80,// 'v', Previous

				// Unpcklps_xmm_xmmm128
				0x01,// Normal_1
				0xC5, 0x03,// 453 = "unpcklps"

				// VEX_Vunpcklps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC5, 0x03,// 453 = "vunpcklps"

				// VEX_Vunpcklps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vunpcklps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vunpcklps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vunpcklps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Unpcklpd_xmm_xmmm128
				0x01,// Normal_1
				0xC6, 0x03,// 454 = "unpcklpd"

				// VEX_Vunpcklpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC6, 0x03,// 454 = "vunpcklpd"

				// VEX_Vunpcklpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vunpcklpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vunpcklpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vunpcklpd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Unpckhps_xmm_xmmm128
				0x01,// Normal_1
				0xC7, 0x03,// 455 = "unpckhps"

				// VEX_Vunpckhps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC7, 0x03,// 455 = "vunpckhps"

				// VEX_Vunpckhps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vunpckhps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vunpckhps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vunpckhps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Unpckhpd_xmm_xmmm128
				0x01,// Normal_1
				0xC8, 0x03,// 456 = "unpckhpd"

				// VEX_Vunpckhpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC8, 0x03,// 456 = "vunpckhpd"

				// VEX_Vunpckhpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vunpckhpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vunpckhpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vunpckhpd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Movlhps_xmm_xmm
				0x01,// Normal_1
				0xC9, 0x03,// 457 = "movlhps"

				// VEX_Vmovlhps_xmm_xmm_xmm
				0x81,// 'v', Normal_1
				0xC9, 0x03,// 457 = "vmovlhps"

				// EVEX_Vmovlhps_xmm_xmm_xmm
				0x80,// 'v', Previous

				// Movhps_xmm_m64
				0x02,// Normal_2
				0xCA, 0x03,// 458 = "movhps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovhps_xmm_xmm_m64
				0x82,// 'v', Normal_2
				0xCA, 0x03,// 458 = "vmovhps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovhps_xmm_xmm_m64
				0x80,// 'v', Previous

				// Movhpd_xmm_m64
				0x02,// Normal_2
				0xCB, 0x03,// 459 = "movhpd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovhpd_xmm_xmm_m64
				0x82,// 'v', Normal_2
				0xCB, 0x03,// 459 = "vmovhpd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovhpd_xmm_xmm_m64
				0x80,// 'v', Previous

				// Movshdup_xmm_xmmm128
				0x01,// Normal_1
				0xCC, 0x03,// 460 = "movshdup"

				// VEX_Vmovshdup_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xCC, 0x03,// 460 = "vmovshdup"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovshdup_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovshdup_xmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vmovshdup_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovshdup_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Movhps_m64_xmm
				0x02,// Normal_2
				0xCA, 0x03,// 458 = "movhps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovhps_m64_xmm
				0x82,// 'v', Normal_2
				0xCA, 0x03,// 458 = "vmovhps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovhps_m64_xmm
				0x80,// 'v', Previous

				// Movhpd_m64_xmm
				0x02,// Normal_2
				0xCB, 0x03,// 459 = "movhpd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovhpd_m64_xmm
				0x82,// 'v', Normal_2
				0xCB, 0x03,// 459 = "vmovhpd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovhpd_m64_xmm
				0x80,// 'v', Previous

				// ReservedNop_rm16_r16_0F18
				0x01,// Normal_1
				0x01,// 1 = "nop"

				// ReservedNop_rm32_r32_0F18
				0x00,// Previous

				// ReservedNop_rm64_r64_0F18
				0x00,// Previous

				// ReservedNop_rm16_r16_0F19
				0x00,// Previous

				// ReservedNop_rm32_r32_0F19
				0x00,// Previous

				// ReservedNop_rm64_r64_0F19
				0x00,// Previous

				// ReservedNop_rm16_r16_0F1A
				0x00,// Previous

				// ReservedNop_rm32_r32_0F1A
				0x00,// Previous

				// ReservedNop_rm64_r64_0F1A
				0x00,// Previous

				// ReservedNop_rm16_r16_0F1B
				0x00,// Previous

				// ReservedNop_rm32_r32_0F1B
				0x00,// Previous

				// ReservedNop_rm64_r64_0F1B
				0x00,// Previous

				// ReservedNop_rm16_r16_0F1C
				0x00,// Previous

				// ReservedNop_rm32_r32_0F1C
				0x00,// Previous

				// ReservedNop_rm64_r64_0F1C
				0x00,// Previous

				// ReservedNop_rm16_r16_0F1D
				0x00,// Previous

				// ReservedNop_rm32_r32_0F1D
				0x00,// Previous

				// ReservedNop_rm64_r64_0F1D
				0x00,// Previous

				// ReservedNop_rm16_r16_0F1E
				0x00,// Previous

				// ReservedNop_rm32_r32_0F1E
				0x00,// Previous

				// ReservedNop_rm64_r64_0F1E
				0x00,// Previous

				// ReservedNop_rm16_r16_0F1F
				0x00,// Previous

				// ReservedNop_rm32_r32_0F1F
				0x00,// Previous

				// ReservedNop_rm64_r64_0F1F
				0x00,// Previous

				// Prefetchnta_m8
				0x01,// Normal_1
				0xCD, 0x03,// 461 = "prefetchnta"

				// Prefetcht0_m8
				0x01,// Normal_1
				0xCE, 0x03,// 462 = "prefetcht0"

				// Prefetcht1_m8
				0x01,// Normal_1
				0xCF, 0x03,// 463 = "prefetcht1"

				// Prefetcht2_m8
				0x01,// Normal_1
				0xD0, 0x03,// 464 = "prefetcht2"

				// Bndldx_bnd_mib
				0x02,// Normal_2
				0xD1, 0x03,// 465 = "bndldx"
				0x0D,// 0xD = ShowNoMemSize_ForceSize, MemSize_DwordOrQword

				// Bndmov_bnd_bndm64
				0x02,// Normal_2
				0xD2, 0x03,// 466 = "bndmov"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Bndmov_bnd_bndm128
				0x00,// Previous

				// Bndcl_bnd_rm32
				0x01,// Normal_1
				0xD3, 0x03,// 467 = "bndcl"

				// Bndcl_bnd_rm64
				0x00,// Previous

				// Bndcu_bnd_rm32
				0x01,// Normal_1
				0xD4, 0x03,// 468 = "bndcu"

				// Bndcu_bnd_rm64
				0x00,// Previous

				// Bndstx_mib_bnd
				0x02,// Normal_2
				0xD5, 0x03,// 469 = "bndstx"
				0x0D,// 0xD = ShowNoMemSize_ForceSize, MemSize_DwordOrQword

				// Bndmov_bndm64_bnd
				0x02,// Normal_2
				0xD2, 0x03,// 466 = "bndmov"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Bndmov_bndm128_bnd
				0x00,// Previous

				// Bndmk_bnd_m32
				0x02,// Normal_2
				0xD6, 0x03,// 470 = "bndmk"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Bndmk_bnd_m64
				0x00,// Previous

				// Bndcn_bnd_rm32
				0x01,// Normal_1
				0xD7, 0x03,// 471 = "bndcn"

				// Bndcn_bnd_rm64
				0x00,// Previous

				// Cldemote_m8
				0x02,// Normal_2
				0xD8, 0x03,// 472 = "cldemote"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Rdsspd_r32
				0x01,// Normal_1
				0xD9, 0x03,// 473 = "rdsspd"

				// Rdsspq_r64
				0x01,// Normal_1
				0xDA, 0x03,// 474 = "rdsspq"

				// Endbr64
				0x01,// Normal_1
				0xDB, 0x03,// 475 = "endbr64"

				// Endbr32
				0x01,// Normal_1
				0xDC, 0x03,// 476 = "endbr32"

				// Nop_rm16
				0x02,// Normal_2
				0x01,// 1 = "nop"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Nop_rm32
				0x00,// Previous

				// Nop_rm64
				0x00,// Previous

				// Mov_r32_cr
				0x01,// Normal_1
				0x00,// 0 = "mov"

				// Mov_r64_cr
				0x00,// Previous

				// Mov_r32_dr
				0x00,// Previous

				// Mov_r64_dr
				0x00,// Previous

				// Mov_cr_r32
				0x00,// Previous

				// Mov_cr_r64
				0x00,// Previous

				// Mov_dr_r32
				0x00,// Previous

				// Mov_dr_r64
				0x00,// Previous

				// Mov_r32_tr
				0x00,// Previous

				// Mov_tr_r32
				0x00,// Previous

				// Movaps_xmm_xmmm128
				0x01,// Normal_1
				0x22,// 34 = "movaps"

				// VEX_Vmovaps_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x22,// 34 = "vmovaps"

				// VEX_Vmovaps_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovaps_xmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vmovaps_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovaps_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Movapd_xmm_xmmm128
				0x01,// Normal_1
				0x23,// 35 = "movapd"

				// VEX_Vmovapd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x23,// 35 = "vmovapd"

				// VEX_Vmovapd_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovapd_xmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vmovapd_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovapd_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Movaps_xmmm128_xmm
				0x01,// Normal_1
				0x22,// 34 = "movaps"

				// VEX_Vmovaps_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x22,// 34 = "vmovaps"

				// VEX_Vmovaps_ymmm256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovaps_xmmm128_k1z_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovaps_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovaps_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// Movapd_xmmm128_xmm
				0x01,// Normal_1
				0x23,// 35 = "movapd"

				// VEX_Vmovapd_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x23,// 35 = "vmovapd"

				// VEX_Vmovapd_ymmm256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovapd_xmmm128_k1z_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovapd_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovapd_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// Cvtpi2ps_xmm_mmm64
				0x02,// Normal_2
				0xDD, 0x03,// 477 = "cvtpi2ps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvtpi2pd_xmm_mmm64
				0x02,// Normal_2
				0xDE, 0x03,// 478 = "cvtpi2pd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvtsi2ss_xmm_rm32
				0x02,// Normal_2
				0xDF, 0x03,// 479 = "cvtsi2ss"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cvtsi2ss_xmm_rm64
				0x00,// Previous

				// VEX_Vcvtsi2ss_xmm_xmm_rm32
				0x82,// 'v', Normal_2
				0xDF, 0x03,// 479 = "vcvtsi2ss"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// VEX_Vcvtsi2ss_xmm_xmm_rm64
				0x80,// 'v', Previous

				// EVEX_Vcvtsi2ss_xmm_xmm_rm32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtsi2ss_xmm_xmm_rm64_er
				0x80,// 'v', Previous

				// Cvtsi2sd_xmm_rm32
				0x02,// Normal_2
				0xE0, 0x03,// 480 = "cvtsi2sd"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Cvtsi2sd_xmm_rm64
				0x00,// Previous

				// VEX_Vcvtsi2sd_xmm_xmm_rm32
				0x82,// 'v', Normal_2
				0xE0, 0x03,// 480 = "vcvtsi2sd"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// VEX_Vcvtsi2sd_xmm_xmm_rm64
				0x80,// 'v', Previous

				// EVEX_Vcvtsi2sd_xmm_xmm_rm32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtsi2sd_xmm_xmm_rm64_er
				0x80,// 'v', Previous

				// Movntps_m128_xmm
				0x01,// Normal_1
				0xE1, 0x03,// 481 = "movntps"

				// VEX_Vmovntps_m128_xmm
				0x82,// 'v', Normal_2
				0xE1, 0x03,// 481 = "vmovntps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovntps_m256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovntps_m128_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovntps_m256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovntps_m512_zmm
				0x80,// 'v', Previous

				// Movntpd_m128_xmm
				0x01,// Normal_1
				0xE2, 0x03,// 482 = "movntpd"

				// VEX_Vmovntpd_m128_xmm
				0x82,// 'v', Normal_2
				0xE2, 0x03,// 482 = "vmovntpd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovntpd_m256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovntpd_m128_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovntpd_m256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovntpd_m512_zmm
				0x80,// 'v', Previous

				// Movntss_m32_xmm
				0x02,// Normal_2
				0xE3, 0x03,// 483 = "movntss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movntsd_m64_xmm
				0x02,// Normal_2
				0xE4, 0x03,// 484 = "movntsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvttps2pi_mm_xmmm64
				0x1C,// mmxmem_2
				0xE5, 0x03,// 485 = "cvttps2pi"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvttpd2pi_mm_xmmm128
				0x1B,// mmxmem_1
				0xE6, 0x03,// 486 = "cvttpd2pi"

				// Cvttss2si_r32_xmmm32
				0x02,// Normal_2
				0xE7, 0x03,// 487 = "cvttss2si"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvttss2si_r64_xmmm32
				0x00,// Previous

				// VEX_Vcvttss2si_r32_xmmm32
				0x82,// 'v', Normal_2
				0xE7, 0x03,// 487 = "vcvttss2si"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvttss2si_r64_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vcvttss2si_r32_xmmm32_sae
				0x80,// 'v', Previous

				// EVEX_Vcvttss2si_r64_xmmm32_sae
				0x80,// 'v', Previous

				// Cvttsd2si_r32_xmmm64
				0x02,// Normal_2
				0xE8, 0x03,// 488 = "cvttsd2si"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvttsd2si_r64_xmmm64
				0x00,// Previous

				// VEX_Vcvttsd2si_r32_xmmm64
				0x82,// 'v', Normal_2
				0xE8, 0x03,// 488 = "vcvttsd2si"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvttsd2si_r64_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vcvttsd2si_r32_xmmm64_sae
				0x80,// 'v', Previous

				// EVEX_Vcvttsd2si_r64_xmmm64_sae
				0x80,// 'v', Previous

				// Cvtps2pi_mm_xmmm64
				0x1C,// mmxmem_2
				0xE9, 0x03,// 489 = "cvtps2pi"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvtpd2pi_mm_xmmm128
				0x1B,// mmxmem_1
				0xEA, 0x03,// 490 = "cvtpd2pi"

				// Cvtss2si_r32_xmmm32
				0x02,// Normal_2
				0xEB, 0x03,// 491 = "cvtss2si"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvtss2si_r64_xmmm32
				0x00,// Previous

				// VEX_Vcvtss2si_r32_xmmm32
				0x82,// 'v', Normal_2
				0xEB, 0x03,// 491 = "vcvtss2si"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtss2si_r64_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vcvtss2si_r32_xmmm32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtss2si_r64_xmmm32_er
				0x80,// 'v', Previous

				// Cvtsd2si_r32_xmmm64
				0x02,// Normal_2
				0xEC, 0x03,// 492 = "cvtsd2si"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvtsd2si_r64_xmmm64
				0x00,// Previous

				// VEX_Vcvtsd2si_r32_xmmm64
				0x82,// 'v', Normal_2
				0xEC, 0x03,// 492 = "vcvtsd2si"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtsd2si_r64_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vcvtsd2si_r32_xmmm64_er
				0x80,// 'v', Previous

				// EVEX_Vcvtsd2si_r64_xmmm64_er
				0x80,// 'v', Previous

				// Ucomiss_xmm_xmmm32
				0x02,// Normal_2
				0xED, 0x03,// 493 = "ucomiss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vucomiss_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xED, 0x03,// 493 = "vucomiss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vucomiss_xmm_xmmm32_sae
				0x80,// 'v', Previous

				// Ucomisd_xmm_xmmm64
				0x02,// Normal_2
				0xEE, 0x03,// 494 = "ucomisd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vucomisd_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xEE, 0x03,// 494 = "vucomisd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vucomisd_xmm_xmmm64_sae
				0x80,// 'v', Previous

				// Comiss_xmm_xmmm32
				0x02,// Normal_2
				0xEF, 0x03,// 495 = "comiss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Comisd_xmm_xmmm64
				0x02,// Normal_2
				0xF0, 0x03,// 496 = "comisd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcomiss_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xEF, 0x03,// 495 = "vcomiss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcomisd_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xF0, 0x03,// 496 = "vcomisd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcomiss_xmm_xmmm32_sae
				0x82,// 'v', Normal_2
				0xEF, 0x03,// 495 = "vcomiss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcomisd_xmm_xmmm64_sae
				0x82,// 'v', Normal_2
				0xF0, 0x03,// 496 = "vcomisd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Wrmsr
				0x01,// Normal_1
				0xF1, 0x03,// 497 = "wrmsr"

				// Rdtsc
				0x01,// Normal_1
				0xF2, 0x03,// 498 = "rdtsc"

				// Rdmsr
				0x01,// Normal_1
				0xF3, 0x03,// 499 = "rdmsr"

				// Rdpmc
				0x01,// Normal_1
				0xF4, 0x03,// 500 = "rdpmc"

				// Sysenter
				0x01,// Normal_1
				0xF5, 0x03,// 501 = "sysenter"

				// Sysexitd
				0x01,// Normal_1
				0xF6, 0x03,// 502 = "sysexit"

				// Sysexitq
				0x01,// Normal_1
				0xF7, 0x03,// 503 = "sysexitq"

				// Getsecd
				0x01,// Normal_1
				0xF8, 0x03,// 504 = "getsec"

				// Cmovo_r16_rm16
				0x0E,// CCa_1
				0xF9, 0x03,// 505 = "cmovo"
				0x00,// 0x0

				// Cmovo_r32_rm32
				0x00,// Previous

				// Cmovo_r64_rm64
				0x00,// Previous

				// Cmovno_r16_rm16
				0x0E,// CCa_1
				0xFA, 0x03,// 506 = "cmovno"
				0x01,// 0x1

				// Cmovno_r32_rm32
				0x00,// Previous

				// Cmovno_r64_rm64
				0x00,// Previous

				// Cmovb_r16_rm16
				0x10,// CCa_3
				0xFB, 0x03,// 507 = "cmovb"
				0xFC, 0x03,// 508 = "cmovc"
				0xFD, 0x03,// 509 = "cmovnae"
				0x02,// 0x2

				// Cmovb_r32_rm32
				0x00,// Previous

				// Cmovb_r64_rm64
				0x00,// Previous

				// Cmovae_r16_rm16
				0x10,// CCa_3
				0xFE, 0x03,// 510 = "cmovae"
				0xFF, 0x03,// 511 = "cmovnb"
				0x80, 0x04,// 512 = "cmovnc"
				0x03,// 0x3

				// Cmovae_r32_rm32
				0x00,// Previous

				// Cmovae_r64_rm64
				0x00,// Previous

				// Cmove_r16_rm16
				0x0F,// CCa_2
				0x81, 0x04,// 513 = "cmove"
				0x82, 0x04,// 514 = "cmovz"
				0x04,// 0x4

				// Cmove_r32_rm32
				0x00,// Previous

				// Cmove_r64_rm64
				0x00,// Previous

				// Cmovne_r16_rm16
				0x0F,// CCa_2
				0x83, 0x04,// 515 = "cmovne"
				0x84, 0x04,// 516 = "cmovnz"
				0x05,// 0x5

				// Cmovne_r32_rm32
				0x00,// Previous

				// Cmovne_r64_rm64
				0x00,// Previous

				// Cmovbe_r16_rm16
				0x0F,// CCa_2
				0x85, 0x04,// 517 = "cmovbe"
				0x86, 0x04,// 518 = "cmovna"
				0x06,// 0x6

				// Cmovbe_r32_rm32
				0x00,// Previous

				// Cmovbe_r64_rm64
				0x00,// Previous

				// Cmova_r16_rm16
				0x0F,// CCa_2
				0x87, 0x04,// 519 = "cmova"
				0x88, 0x04,// 520 = "cmovnbe"
				0x07,// 0x7

				// Cmova_r32_rm32
				0x00,// Previous

				// Cmova_r64_rm64
				0x00,// Previous

				// Cmovs_r16_rm16
				0x0E,// CCa_1
				0x89, 0x04,// 521 = "cmovs"
				0x08,// 0x8

				// Cmovs_r32_rm32
				0x00,// Previous

				// Cmovs_r64_rm64
				0x00,// Previous

				// Cmovns_r16_rm16
				0x0E,// CCa_1
				0x8A, 0x04,// 522 = "cmovns"
				0x09,// 0x9

				// Cmovns_r32_rm32
				0x00,// Previous

				// Cmovns_r64_rm64
				0x00,// Previous

				// Cmovp_r16_rm16
				0x0F,// CCa_2
				0x8B, 0x04,// 523 = "cmovp"
				0x8C, 0x04,// 524 = "cmovpe"
				0x0A,// 0xA

				// Cmovp_r32_rm32
				0x00,// Previous

				// Cmovp_r64_rm64
				0x00,// Previous

				// Cmovnp_r16_rm16
				0x0F,// CCa_2
				0x8D, 0x04,// 525 = "cmovnp"
				0x8E, 0x04,// 526 = "cmovpo"
				0x0B,// 0xB

				// Cmovnp_r32_rm32
				0x00,// Previous

				// Cmovnp_r64_rm64
				0x00,// Previous

				// Cmovl_r16_rm16
				0x0F,// CCa_2
				0x8F, 0x04,// 527 = "cmovl"
				0x90, 0x04,// 528 = "cmovnge"
				0x0C,// 0xC

				// Cmovl_r32_rm32
				0x00,// Previous

				// Cmovl_r64_rm64
				0x00,// Previous

				// Cmovge_r16_rm16
				0x0F,// CCa_2
				0x91, 0x04,// 529 = "cmovge"
				0x92, 0x04,// 530 = "cmovnl"
				0x0D,// 0xD

				// Cmovge_r32_rm32
				0x00,// Previous

				// Cmovge_r64_rm64
				0x00,// Previous

				// Cmovle_r16_rm16
				0x0F,// CCa_2
				0x93, 0x04,// 531 = "cmovle"
				0x94, 0x04,// 532 = "cmovng"
				0x0E,// 0xE

				// Cmovle_r32_rm32
				0x00,// Previous

				// Cmovle_r64_rm64
				0x00,// Previous

				// Cmovg_r16_rm16
				0x0F,// CCa_2
				0x95, 0x04,// 533 = "cmovg"
				0x96, 0x04,// 534 = "cmovnle"
				0x0F,// 0xF

				// Cmovg_r32_rm32
				0x00,// Previous

				// Cmovg_r64_rm64
				0x00,// Previous

				// VEX_Kandw_kr_kr_kr
				0x01,// Normal_1
				0x97, 0x04,// 535 = "kandw"

				// VEX_Kandq_kr_kr_kr
				0x01,// Normal_1
				0x98, 0x04,// 536 = "kandq"

				// VEX_Kandb_kr_kr_kr
				0x01,// Normal_1
				0x99, 0x04,// 537 = "kandb"

				// VEX_Kandd_kr_kr_kr
				0x01,// Normal_1
				0x9A, 0x04,// 538 = "kandd"

				// VEX_Kandnw_kr_kr_kr
				0x01,// Normal_1
				0x9B, 0x04,// 539 = "kandnw"

				// VEX_Kandnq_kr_kr_kr
				0x01,// Normal_1
				0x9C, 0x04,// 540 = "kandnq"

				// VEX_Kandnb_kr_kr_kr
				0x01,// Normal_1
				0x9D, 0x04,// 541 = "kandnb"

				// VEX_Kandnd_kr_kr_kr
				0x01,// Normal_1
				0x9E, 0x04,// 542 = "kandnd"

				// VEX_Knotw_kr_kr
				0x01,// Normal_1
				0x9F, 0x04,// 543 = "knotw"

				// VEX_Knotq_kr_kr
				0x01,// Normal_1
				0xA0, 0x04,// 544 = "knotq"

				// VEX_Knotb_kr_kr
				0x01,// Normal_1
				0xA1, 0x04,// 545 = "knotb"

				// VEX_Knotd_kr_kr
				0x01,// Normal_1
				0xA2, 0x04,// 546 = "knotd"

				// VEX_Korw_kr_kr_kr
				0x01,// Normal_1
				0xA3, 0x04,// 547 = "korw"

				// VEX_Korq_kr_kr_kr
				0x01,// Normal_1
				0xA4, 0x04,// 548 = "korq"

				// VEX_Korb_kr_kr_kr
				0x01,// Normal_1
				0xA5, 0x04,// 549 = "korb"

				// VEX_Kord_kr_kr_kr
				0x01,// Normal_1
				0xA6, 0x04,// 550 = "kord"

				// VEX_Kxnorw_kr_kr_kr
				0x01,// Normal_1
				0xA7, 0x04,// 551 = "kxnorw"

				// VEX_Kxnorq_kr_kr_kr
				0x01,// Normal_1
				0xA8, 0x04,// 552 = "kxnorq"

				// VEX_Kxnorb_kr_kr_kr
				0x01,// Normal_1
				0xA9, 0x04,// 553 = "kxnorb"

				// VEX_Kxnord_kr_kr_kr
				0x01,// Normal_1
				0xAA, 0x04,// 554 = "kxnord"

				// VEX_Kxorw_kr_kr_kr
				0x01,// Normal_1
				0xAB, 0x04,// 555 = "kxorw"

				// VEX_Kxorq_kr_kr_kr
				0x01,// Normal_1
				0xAC, 0x04,// 556 = "kxorq"

				// VEX_Kxorb_kr_kr_kr
				0x01,// Normal_1
				0xAD, 0x04,// 557 = "kxorb"

				// VEX_Kxord_kr_kr_kr
				0x01,// Normal_1
				0xAE, 0x04,// 558 = "kxord"

				// VEX_Kaddw_kr_kr_kr
				0x01,// Normal_1
				0xAF, 0x04,// 559 = "kaddw"

				// VEX_Kaddq_kr_kr_kr
				0x01,// Normal_1
				0xB0, 0x04,// 560 = "kaddq"

				// VEX_Kaddb_kr_kr_kr
				0x01,// Normal_1
				0xB1, 0x04,// 561 = "kaddb"

				// VEX_Kaddd_kr_kr_kr
				0x01,// Normal_1
				0xB2, 0x04,// 562 = "kaddd"

				// VEX_Kunpckwd_kr_kr_kr
				0x01,// Normal_1
				0xB3, 0x04,// 563 = "kunpckwd"

				// VEX_Kunpckdq_kr_kr_kr
				0x01,// Normal_1
				0xB4, 0x04,// 564 = "kunpckdq"

				// VEX_Kunpckbw_kr_kr_kr
				0x01,// Normal_1
				0xB5, 0x04,// 565 = "kunpckbw"

				// Movmskps_r32_xmm
				0x01,// Normal_1
				0xB6, 0x04,// 566 = "movmskps"

				// Movmskps_r64_xmm
				0x00,// Previous

				// VEX_Vmovmskps_r32_xmm
				0x81,// 'v', Normal_1
				0xB6, 0x04,// 566 = "vmovmskps"

				// VEX_Vmovmskps_r64_xmm
				0x80,// 'v', Previous

				// VEX_Vmovmskps_r32_ymm
				0x80,// 'v', Previous

				// VEX_Vmovmskps_r64_ymm
				0x80,// 'v', Previous

				// Movmskpd_r32_xmm
				0x01,// Normal_1
				0xB7, 0x04,// 567 = "movmskpd"

				// Movmskpd_r64_xmm
				0x00,// Previous

				// VEX_Vmovmskpd_r32_xmm
				0x81,// 'v', Normal_1
				0xB7, 0x04,// 567 = "vmovmskpd"

				// VEX_Vmovmskpd_r64_xmm
				0x80,// 'v', Previous

				// VEX_Vmovmskpd_r32_ymm
				0x80,// 'v', Previous

				// VEX_Vmovmskpd_r64_ymm
				0x80,// 'v', Previous

				// Sqrtps_xmm_xmmm128
				0x01,// Normal_1
				0xB8, 0x04,// 568 = "sqrtps"

				// VEX_Vsqrtps_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB8, 0x04,// 568 = "vsqrtps"

				// VEX_Vsqrtps_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vsqrtps_xmm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vsqrtps_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vsqrtps_zmm_k1z_zmmm512b32_er
				0x80,// 'v', Previous

				// Sqrtpd_xmm_xmmm128
				0x01,// Normal_1
				0xB9, 0x04,// 569 = "sqrtpd"

				// VEX_Vsqrtpd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB9, 0x04,// 569 = "vsqrtpd"

				// VEX_Vsqrtpd_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vsqrtpd_xmm_k1z_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vsqrtpd_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vsqrtpd_zmm_k1z_zmmm512b64_er
				0x80,// 'v', Previous

				// Sqrtss_xmm_xmmm32
				0x02,// Normal_2
				0xBA, 0x04,// 570 = "sqrtss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vsqrtss_xmm_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xBA, 0x04,// 570 = "vsqrtss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vsqrtss_xmm_k1z_xmm_xmmm32_er
				0x80,// 'v', Previous

				// Sqrtsd_xmm_xmmm64
				0x02,// Normal_2
				0xBB, 0x04,// 571 = "sqrtsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vsqrtsd_xmm_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xBB, 0x04,// 571 = "vsqrtsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vsqrtsd_xmm_k1z_xmm_xmmm64_er
				0x80,// 'v', Previous

				// Rsqrtps_xmm_xmmm128
				0x01,// Normal_1
				0xBC, 0x04,// 572 = "rsqrtps"

				// VEX_Vrsqrtps_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xBC, 0x04,// 572 = "vrsqrtps"

				// VEX_Vrsqrtps_ymm_ymmm256
				0x80,// 'v', Previous

				// Rsqrtss_xmm_xmmm32
				0x02,// Normal_2
				0xBD, 0x04,// 573 = "rsqrtss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vrsqrtss_xmm_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xBD, 0x04,// 573 = "vrsqrtss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Rcpps_xmm_xmmm128
				0x01,// Normal_1
				0xBE, 0x04,// 574 = "rcpps"

				// VEX_Vrcpps_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xBE, 0x04,// 574 = "vrcpps"

				// VEX_Vrcpps_ymm_ymmm256
				0x80,// 'v', Previous

				// Rcpss_xmm_xmmm32
				0x02,// Normal_2
				0xBF, 0x04,// 575 = "rcpss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vrcpss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xBF, 0x04,// 575 = "vrcpss"

				// Andps_xmm_xmmm128
				0x01,// Normal_1
				0xC0, 0x04,// 576 = "andps"

				// VEX_Vandps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC0, 0x04,// 576 = "vandps"

				// VEX_Vandps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vandps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vandps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vandps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Andpd_xmm_xmmm128
				0x01,// Normal_1
				0xC1, 0x04,// 577 = "andpd"

				// VEX_Vandpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC1, 0x04,// 577 = "vandpd"

				// VEX_Vandpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vandpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vandpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vandpd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Andnps_xmm_xmmm128
				0x01,// Normal_1
				0xC2, 0x04,// 578 = "andnps"

				// VEX_Vandnps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC2, 0x04,// 578 = "vandnps"

				// VEX_Vandnps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vandnps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vandnps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vandnps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Andnpd_xmm_xmmm128
				0x01,// Normal_1
				0xC3, 0x04,// 579 = "andnpd"

				// VEX_Vandnpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC3, 0x04,// 579 = "vandnpd"

				// VEX_Vandnpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vandnpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vandnpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vandnpd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Orps_xmm_xmmm128
				0x01,// Normal_1
				0xC4, 0x04,// 580 = "orps"

				// VEX_Vorps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC4, 0x04,// 580 = "vorps"

				// VEX_Vorps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vorps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vorps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vorps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Orpd_xmm_xmmm128
				0x01,// Normal_1
				0xC5, 0x04,// 581 = "orpd"

				// VEX_Vorpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC5, 0x04,// 581 = "vorpd"

				// VEX_Vorpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vorpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vorpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vorpd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Xorps_xmm_xmmm128
				0x01,// Normal_1
				0xC6, 0x04,// 582 = "xorps"

				// VEX_Vxorps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC6, 0x04,// 582 = "vxorps"

				// VEX_Vxorps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vxorps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vxorps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vxorps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Xorpd_xmm_xmmm128
				0x01,// Normal_1
				0xC7, 0x04,// 583 = "xorpd"

				// VEX_Vxorpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC7, 0x04,// 583 = "vxorpd"

				// VEX_Vxorpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vxorpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vxorpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vxorpd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Addps_xmm_xmmm128
				0x01,// Normal_1
				0xC8, 0x04,// 584 = "addps"

				// VEX_Vaddps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC8, 0x04,// 584 = "vaddps"

				// VEX_Vaddps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaddps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vaddps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vaddps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// Addpd_xmm_xmmm128
				0x01,// Normal_1
				0xC9, 0x04,// 585 = "addpd"

				// VEX_Vaddpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC9, 0x04,// 585 = "vaddpd"

				// VEX_Vaddpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaddpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vaddpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vaddpd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// Addss_xmm_xmmm32
				0x02,// Normal_2
				0xCA, 0x04,// 586 = "addss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vaddss_xmm_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xCA, 0x04,// 586 = "vaddss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vaddss_xmm_k1z_xmm_xmmm32_er
				0x80,// 'v', Previous

				// Addsd_xmm_xmmm64
				0x02,// Normal_2
				0xCB, 0x04,// 587 = "addsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vaddsd_xmm_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xCB, 0x04,// 587 = "vaddsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vaddsd_xmm_k1z_xmm_xmmm64_er
				0x80,// 'v', Previous

				// Mulps_xmm_xmmm128
				0x01,// Normal_1
				0xCC, 0x04,// 588 = "mulps"

				// VEX_Vmulps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCC, 0x04,// 588 = "vmulps"

				// VEX_Vmulps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmulps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vmulps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vmulps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// Mulpd_xmm_xmmm128
				0x01,// Normal_1
				0xCD, 0x04,// 589 = "mulpd"

				// VEX_Vmulpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCD, 0x04,// 589 = "vmulpd"

				// VEX_Vmulpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmulpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vmulpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vmulpd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// Mulss_xmm_xmmm32
				0x02,// Normal_2
				0xCE, 0x04,// 590 = "mulss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmulss_xmm_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xCE, 0x04,// 590 = "vmulss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmulss_xmm_k1z_xmm_xmmm32_er
				0x80,// 'v', Previous

				// Mulsd_xmm_xmmm64
				0x02,// Normal_2
				0xCF, 0x04,// 591 = "mulsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmulsd_xmm_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xCF, 0x04,// 591 = "vmulsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmulsd_xmm_k1z_xmm_xmmm64_er
				0x80,// 'v', Previous

				// Cvtps2pd_xmm_xmmm64
				0x02,// Normal_2
				0xD0, 0x04,// 592 = "cvtps2pd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtps2pd_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xD0, 0x04,// 592 = "vcvtps2pd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtps2pd_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vcvtps2pd_xmm_k1z_xmmm64b32
				0x80,// 'v', Previous

				// EVEX_Vcvtps2pd_ymm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvtps2pd_zmm_k1z_ymmm256b32_sae
				0x80,// 'v', Previous

				// Cvtpd2ps_xmm_xmmm128
				0x01,// Normal_1
				0xD1, 0x04,// 593 = "cvtpd2ps"

				// VEX_Vcvtpd2ps_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xD1, 0x04,// 593 = "vcvtpd2ps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// VEX_Vcvtpd2ps_xmm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2ps_xmm_k1z_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2ps_xmm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2ps_ymm_k1z_zmmm512b64_er
				0x82,// 'v', Normal_2
				0xD1, 0x04,// 593 = "vcvtpd2ps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvtss2sd_xmm_xmmm32
				0x02,// Normal_2
				0xD2, 0x04,// 594 = "cvtss2sd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtss2sd_xmm_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xD2, 0x04,// 594 = "vcvtss2sd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtss2sd_xmm_k1z_xmm_xmmm32_sae
				0x80,// 'v', Previous

				// Cvtsd2ss_xmm_xmmm64
				0x02,// Normal_2
				0xD3, 0x04,// 595 = "cvtsd2ss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtsd2ss_xmm_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xD3, 0x04,// 595 = "vcvtsd2ss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtsd2ss_xmm_k1z_xmm_xmmm64_er
				0x80,// 'v', Previous

				// Cvtdq2ps_xmm_xmmm128
				0x01,// Normal_1
				0xD4, 0x04,// 596 = "cvtdq2ps"

				// VEX_Vcvtdq2ps_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xD4, 0x04,// 596 = "vcvtdq2ps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtdq2ps_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vcvtdq2ps_xmm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvtdq2ps_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vcvtdq2ps_zmm_k1z_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtqq2ps_xmm_k1z_xmmm128b64
				0x82,// 'v', Normal_2
				0xD5, 0x04,// 597 = "vcvtqq2ps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vcvtqq2ps_xmm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvtqq2ps_ymm_k1z_zmmm512b64_er
				0x82,// 'v', Normal_2
				0xD5, 0x04,// 597 = "vcvtqq2ps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvtps2dq_xmm_xmmm128
				0x01,// Normal_1
				0xD6, 0x04,// 598 = "cvtps2dq"

				// VEX_Vcvtps2dq_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xD6, 0x04,// 598 = "vcvtps2dq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtps2dq_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vcvtps2dq_xmm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvtps2dq_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vcvtps2dq_zmm_k1z_zmmm512b32_er
				0x80,// 'v', Previous

				// Cvttps2dq_xmm_xmmm128
				0x01,// Normal_1
				0xD7, 0x04,// 599 = "cvttps2dq"

				// VEX_Vcvttps2dq_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xD7, 0x04,// 599 = "vcvttps2dq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvttps2dq_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vcvttps2dq_xmm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvttps2dq_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vcvttps2dq_zmm_k1z_zmmm512b32_sae
				0x80,// 'v', Previous

				// Subps_xmm_xmmm128
				0x01,// Normal_1
				0xD8, 0x04,// 600 = "subps"

				// VEX_Vsubps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD8, 0x04,// 600 = "vsubps"

				// VEX_Vsubps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vsubps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vsubps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vsubps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// Subpd_xmm_xmmm128
				0x01,// Normal_1
				0xD9, 0x04,// 601 = "subpd"

				// VEX_Vsubpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD9, 0x04,// 601 = "vsubpd"

				// VEX_Vsubpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vsubpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vsubpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vsubpd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// Subss_xmm_xmmm32
				0x02,// Normal_2
				0xDA, 0x04,// 602 = "subss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vsubss_xmm_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xDA, 0x04,// 602 = "vsubss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vsubss_xmm_k1z_xmm_xmmm32_er
				0x80,// 'v', Previous

				// Subsd_xmm_xmmm64
				0x02,// Normal_2
				0xDB, 0x04,// 603 = "subsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vsubsd_xmm_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xDB, 0x04,// 603 = "vsubsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vsubsd_xmm_k1z_xmm_xmmm64_er
				0x80,// 'v', Previous

				// Minps_xmm_xmmm128
				0x01,// Normal_1
				0xDC, 0x04,// 604 = "minps"

				// VEX_Vminps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xDC, 0x04,// 604 = "vminps"

				// VEX_Vminps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vminps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vminps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vminps_zmm_k1z_zmm_zmmm512b32_sae
				0x80,// 'v', Previous

				// Minpd_xmm_xmmm128
				0x01,// Normal_1
				0xDD, 0x04,// 605 = "minpd"

				// VEX_Vminpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xDD, 0x04,// 605 = "vminpd"

				// VEX_Vminpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vminpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vminpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vminpd_zmm_k1z_zmm_zmmm512b64_sae
				0x80,// 'v', Previous

				// Minss_xmm_xmmm32
				0x02,// Normal_2
				0xDE, 0x04,// 606 = "minss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vminss_xmm_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xDE, 0x04,// 606 = "vminss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vminss_xmm_k1z_xmm_xmmm32_sae
				0x80,// 'v', Previous

				// Minsd_xmm_xmmm64
				0x02,// Normal_2
				0xDF, 0x04,// 607 = "minsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vminsd_xmm_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xDF, 0x04,// 607 = "vminsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vminsd_xmm_k1z_xmm_xmmm64_sae
				0x80,// 'v', Previous

				// Divps_xmm_xmmm128
				0x01,// Normal_1
				0xE0, 0x04,// 608 = "divps"

				// VEX_Vdivps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE0, 0x04,// 608 = "vdivps"

				// VEX_Vdivps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vdivps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vdivps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vdivps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// Divpd_xmm_xmmm128
				0x01,// Normal_1
				0xE1, 0x04,// 609 = "divpd"

				// VEX_Vdivpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE1, 0x04,// 609 = "vdivpd"

				// VEX_Vdivpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vdivpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vdivpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vdivpd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// Divss_xmm_xmmm32
				0x02,// Normal_2
				0xE2, 0x04,// 610 = "divss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vdivss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xE2, 0x04,// 610 = "vdivss"

				// EVEX_Vdivss_xmm_k1z_xmm_xmmm32_er
				0x82,// 'v', Normal_2
				0xE2, 0x04,// 610 = "vdivss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Divsd_xmm_xmmm64
				0x02,// Normal_2
				0xE3, 0x04,// 611 = "divsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vdivsd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xE3, 0x04,// 611 = "vdivsd"

				// EVEX_Vdivsd_xmm_k1z_xmm_xmmm64_er
				0x82,// 'v', Normal_2
				0xE3, 0x04,// 611 = "vdivsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Maxps_xmm_xmmm128
				0x01,// Normal_1
				0xE4, 0x04,// 612 = "maxps"

				// VEX_Vmaxps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE4, 0x04,// 612 = "vmaxps"

				// VEX_Vmaxps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmaxps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vmaxps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vmaxps_zmm_k1z_zmm_zmmm512b32_sae
				0x80,// 'v', Previous

				// Maxpd_xmm_xmmm128
				0x01,// Normal_1
				0xE5, 0x04,// 613 = "maxpd"

				// VEX_Vmaxpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE5, 0x04,// 613 = "vmaxpd"

				// VEX_Vmaxpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmaxpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vmaxpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vmaxpd_zmm_k1z_zmm_zmmm512b64_sae
				0x80,// 'v', Previous

				// Maxss_xmm_xmmm32
				0x02,// Normal_2
				0xE6, 0x04,// 614 = "maxss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmaxss_xmm_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xE6, 0x04,// 614 = "vmaxss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmaxss_xmm_k1z_xmm_xmmm32_sae
				0x80,// 'v', Previous

				// Maxsd_xmm_xmmm64
				0x02,// Normal_2
				0xE7, 0x04,// 615 = "maxsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmaxsd_xmm_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xE7, 0x04,// 615 = "vmaxsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmaxsd_xmm_k1z_xmm_xmmm64_sae
				0x80,// 'v', Previous

				// Punpcklbw_mm_mmm32
				0x1B,// mmxmem_1
				0x36,// 54 = "punpcklbw"

				// Punpcklbw_xmm_xmmm128
				0x01,// Normal_1
				0x36,// 54 = "punpcklbw"

				// VEX_Vpunpcklbw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x36,// 54 = "vpunpcklbw"

				// VEX_Vpunpcklbw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpcklbw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpunpcklbw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpcklbw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Punpcklwd_mm_mmm32
				0x1B,// mmxmem_1
				0x37,// 55 = "punpcklwd"

				// Punpcklwd_xmm_xmmm128
				0x01,// Normal_1
				0x37,// 55 = "punpcklwd"

				// VEX_Vpunpcklwd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x37,// 55 = "vpunpcklwd"

				// VEX_Vpunpcklwd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpcklwd_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpunpcklwd_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpcklwd_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Punpckldq_mm_mmm32
				0x1B,// mmxmem_1
				0x38,// 56 = "punpckldq"

				// Punpckldq_xmm_xmmm128
				0x01,// Normal_1
				0x38,// 56 = "punpckldq"

				// VEX_Vpunpckldq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x38,// 56 = "vpunpckldq"

				// VEX_Vpunpckldq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpckldq_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpunpckldq_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpunpckldq_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Packsswb_mm_mmm64
				0x1B,// mmxmem_1
				0x39,// 57 = "packsswb"

				// Packsswb_xmm_xmmm128
				0x01,// Normal_1
				0x39,// 57 = "packsswb"

				// VEX_Vpacksswb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x39,// 57 = "vpacksswb"

				// VEX_Vpacksswb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpacksswb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpacksswb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpacksswb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pcmpgtb_mm_mmm64
				0x1B,// mmxmem_1
				0x3A,// 58 = "pcmpgtb"

				// Pcmpgtb_xmm_xmmm128
				0x01,// Normal_1
				0x3A,// 58 = "pcmpgtb"

				// VEX_Vpcmpgtb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x3A,// 58 = "vpcmpgtb"

				// VEX_Vpcmpgtb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtb_kr_k1_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtb_kr_k1_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtb_kr_k1_zmm_zmmm512
				0x80,// 'v', Previous

				// Pcmpgtw_mm_mmm64
				0x1B,// mmxmem_1
				0x3B,// 59 = "pcmpgtw"

				// Pcmpgtw_xmm_xmmm128
				0x01,// Normal_1
				0x3B,// 59 = "pcmpgtw"

				// VEX_Vpcmpgtw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x3B,// 59 = "vpcmpgtw"

				// VEX_Vpcmpgtw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtw_kr_k1_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtw_kr_k1_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtw_kr_k1_zmm_zmmm512
				0x80,// 'v', Previous

				// Pcmpgtd_mm_mmm64
				0x1B,// mmxmem_1
				0x3C,// 60 = "pcmpgtd"

				// Pcmpgtd_xmm_xmmm128
				0x01,// Normal_1
				0x3C,// 60 = "pcmpgtd"

				// VEX_Vpcmpgtd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x3C,// 60 = "vpcmpgtd"

				// VEX_Vpcmpgtd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtd_kr_k1_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtd_kr_k1_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtd_kr_k1_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Packuswb_mm_mmm64
				0x1B,// mmxmem_1
				0x3D,// 61 = "packuswb"

				// Packuswb_xmm_xmmm128
				0x01,// Normal_1
				0x3D,// 61 = "packuswb"

				// VEX_Vpackuswb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x3D,// 61 = "vpackuswb"

				// VEX_Vpackuswb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpackuswb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpackuswb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpackuswb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Punpckhbw_mm_mmm64
				0x1B,// mmxmem_1
				0x3E,// 62 = "punpckhbw"

				// Punpckhbw_xmm_xmmm128
				0x01,// Normal_1
				0x3E,// 62 = "punpckhbw"

				// VEX_Vpunpckhbw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x3E,// 62 = "vpunpckhbw"

				// VEX_Vpunpckhbw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpckhbw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpunpckhbw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpckhbw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Punpckhwd_mm_mmm64
				0x1B,// mmxmem_1
				0x3F,// 63 = "punpckhwd"

				// Punpckhwd_xmm_xmmm128
				0x01,// Normal_1
				0x3F,// 63 = "punpckhwd"

				// VEX_Vpunpckhwd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x3F,// 63 = "vpunpckhwd"

				// VEX_Vpunpckhwd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpckhwd_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpunpckhwd_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpckhwd_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Punpckhdq_mm_mmm64
				0x1B,// mmxmem_1
				0x40,// 64 = "punpckhdq"

				// Punpckhdq_xmm_xmmm128
				0x01,// Normal_1
				0x40,// 64 = "punpckhdq"

				// VEX_Vpunpckhdq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x40,// 64 = "vpunpckhdq"

				// VEX_Vpunpckhdq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpckhdq_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpunpckhdq_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpunpckhdq_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Packssdw_mm_mmm64
				0x1B,// mmxmem_1
				0x41,// 65 = "packssdw"

				// Packssdw_xmm_xmmm128
				0x01,// Normal_1
				0x41,// 65 = "packssdw"

				// VEX_Vpackssdw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x41,// 65 = "vpackssdw"

				// VEX_Vpackssdw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpackssdw_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpackssdw_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpackssdw_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Punpcklqdq_xmm_xmmm128
				0x01,// Normal_1
				0xE8, 0x04,// 616 = "punpcklqdq"

				// VEX_Vpunpcklqdq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE8, 0x04,// 616 = "vpunpcklqdq"

				// VEX_Vpunpcklqdq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpcklqdq_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vpunpcklqdq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpunpcklqdq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Punpckhqdq_xmm_xmmm128
				0x01,// Normal_1
				0xE9, 0x04,// 617 = "punpckhqdq"

				// VEX_Vpunpckhqdq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE9, 0x04,// 617 = "vpunpckhqdq"

				// VEX_Vpunpckhqdq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpunpckhqdq_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vpunpckhqdq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpunpckhqdq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Movd_mm_rm32
				0x02,// Normal_2
				0x2B,// 43 = "movd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movq_mm_rm64
				0x01,// Normal_1
				0x0D,// 13 = "movq"

				// Movd_xmm_rm32
				0x02,// Normal_2
				0x2B,// 43 = "movd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movq_xmm_rm64
				0x02,// Normal_2
				0x0D,// 13 = "movq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovd_xmm_rm32
				0x82,// 'v', Normal_2
				0x2B,// 43 = "vmovd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovq_xmm_rm64
				0x82,// 'v', Normal_2
				0x0D,// 13 = "vmovq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovd_xmm_rm32
				0x82,// 'v', Normal_2
				0x2B,// 43 = "vmovd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovq_xmm_rm64
				0x82,// 'v', Normal_2
				0x0D,// 13 = "vmovq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movq_mm_mmm64
				0x01,// Normal_1
				0x0D,// 13 = "movq"

				// Movdqa_xmm_xmmm128
				0x01,// Normal_1
				0xEA, 0x04,// 618 = "movdqa"

				// VEX_Vmovdqa_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xEA, 0x04,// 618 = "vmovdqa"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovdqa_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovdqa32_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xEB, 0x04,// 619 = "vmovdqa32"

				// EVEX_Vmovdqa32_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovdqa32_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vmovdqa64_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xEC, 0x04,// 620 = "vmovdqa64"

				// EVEX_Vmovdqa64_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovdqa64_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Movdqu_xmm_xmmm128
				0x01,// Normal_1
				0xED, 0x04,// 621 = "movdqu"

				// VEX_Vmovdqu_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xED, 0x04,// 621 = "vmovdqu"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovdqu_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovdqu32_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xEE, 0x04,// 622 = "vmovdqu32"

				// EVEX_Vmovdqu32_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovdqu32_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vmovdqu64_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xEF, 0x04,// 623 = "vmovdqu64"

				// EVEX_Vmovdqu64_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovdqu64_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vmovdqu8_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xF0, 0x04,// 624 = "vmovdqu8"

				// EVEX_Vmovdqu8_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovdqu8_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vmovdqu16_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xF1, 0x04,// 625 = "vmovdqu16"

				// EVEX_Vmovdqu16_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vmovdqu16_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Pshufw_mm_mmm64_imm8
				0x1B,// mmxmem_1
				0xF2, 0x04,// 626 = "pshufw"

				// Pshufd_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xF3, 0x04,// 627 = "pshufd"

				// VEX_Vpshufd_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xF3, 0x04,// 627 = "vpshufd"

				// VEX_Vpshufd_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshufd_xmm_k1z_xmmm128b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshufd_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshufd_zmm_k1z_zmmm512b32_imm8
				0x80,// 'v', Previous

				// Pshufhw_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xF4, 0x04,// 628 = "pshufhw"

				// VEX_Vpshufhw_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xF4, 0x04,// 628 = "vpshufhw"

				// VEX_Vpshufhw_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshufhw_xmm_k1z_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshufhw_ymm_k1z_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshufhw_zmm_k1z_zmmm512_imm8
				0x80,// 'v', Previous

				// Pshuflw_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xF5, 0x04,// 629 = "pshuflw"

				// VEX_Vpshuflw_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xF5, 0x04,// 629 = "vpshuflw"

				// VEX_Vpshuflw_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshuflw_xmm_k1z_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshuflw_ymm_k1z_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshuflw_zmm_k1z_zmmm512_imm8
				0x80,// 'v', Previous

				// Psrlw_mm_imm8
				0x01,// Normal_1
				0x0F,// 15 = "psrlw"

				// Psrlw_xmm_imm8
				0x00,// Previous

				// VEX_Vpsrlw_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0x0F,// 15 = "vpsrlw"

				// VEX_Vpsrlw_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrlw_xmm_k1z_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrlw_ymm_k1z_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrlw_zmm_k1z_zmmm512_imm8
				0x80,// 'v', Previous

				// Psraw_mm_imm8
				0x01,// Normal_1
				0x10,// 16 = "psraw"

				// Psraw_xmm_imm8
				0x00,// Previous

				// VEX_Vpsraw_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0x10,// 16 = "vpsraw"

				// VEX_Vpsraw_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsraw_xmm_k1z_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsraw_ymm_k1z_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsraw_zmm_k1z_zmmm512_imm8
				0x80,// 'v', Previous

				// Psllw_mm_imm8
				0x01,// Normal_1
				0x11,// 17 = "psllw"

				// Psllw_xmm_imm8
				0x00,// Previous

				// VEX_Vpsllw_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0x11,// 17 = "vpsllw"

				// VEX_Vpsllw_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsllw_xmm_k1z_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsllw_ymm_k1z_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsllw_zmm_k1z_zmmm512_imm8
				0x80,// 'v', Previous

				// EVEX_Vprord_xmm_k1z_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0xF6, 0x04,// 630 = "vprord"

				// EVEX_Vprord_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vprord_zmm_k1z_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vprorq_xmm_k1z_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xF7, 0x04,// 631 = "vprorq"

				// EVEX_Vprorq_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vprorq_zmm_k1z_zmmm512b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vprold_xmm_k1z_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0xF8, 0x04,// 632 = "vprold"

				// EVEX_Vprold_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vprold_zmm_k1z_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vprolq_xmm_k1z_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xF9, 0x04,// 633 = "vprolq"

				// EVEX_Vprolq_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vprolq_zmm_k1z_zmmm512b64_imm8
				0x80,// 'v', Previous

				// Psrld_mm_imm8
				0x01,// Normal_1
				0x12,// 18 = "psrld"

				// Psrld_xmm_imm8
				0x00,// Previous

				// VEX_Vpsrld_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0x12,// 18 = "vpsrld"

				// VEX_Vpsrld_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrld_xmm_k1z_xmmm128b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrld_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrld_zmm_k1z_zmmm512b32_imm8
				0x80,// 'v', Previous

				// Psrad_mm_imm8
				0x01,// Normal_1
				0x13,// 19 = "psrad"

				// Psrad_xmm_imm8
				0x00,// Previous

				// VEX_Vpsrad_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0x13,// 19 = "vpsrad"

				// VEX_Vpsrad_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrad_xmm_k1z_xmmm128b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrad_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrad_zmm_k1z_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsraq_xmm_k1z_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xFA, 0x04,// 634 = "vpsraq"

				// EVEX_Vpsraq_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsraq_zmm_k1z_zmmm512b64_imm8
				0x80,// 'v', Previous

				// Pslld_mm_imm8
				0x01,// Normal_1
				0x14,// 20 = "pslld"

				// Pslld_xmm_imm8
				0x00,// Previous

				// VEX_Vpslld_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0x14,// 20 = "vpslld"

				// VEX_Vpslld_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpslld_xmm_k1z_xmmm128b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpslld_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpslld_zmm_k1z_zmmm512b32_imm8
				0x80,// 'v', Previous

				// Psrlq_mm_imm8
				0x01,// Normal_1
				0x15,// 21 = "psrlq"

				// Psrlq_xmm_imm8
				0x00,// Previous

				// VEX_Vpsrlq_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0x15,// 21 = "vpsrlq"

				// VEX_Vpsrlq_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrlq_xmm_k1z_xmmm128b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrlq_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrlq_zmm_k1z_zmmm512b64_imm8
				0x80,// 'v', Previous

				// Psrldq_xmm_imm8
				0x01,// Normal_1
				0xFB, 0x04,// 635 = "psrldq"

				// VEX_Vpsrldq_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0xFB, 0x04,// 635 = "vpsrldq"

				// VEX_Vpsrldq_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrldq_xmm_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrldq_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsrldq_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// Psllq_mm_imm8
				0x01,// Normal_1
				0x16,// 22 = "psllq"

				// Psllq_xmm_imm8
				0x00,// Previous

				// VEX_Vpsllq_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0x16,// 22 = "vpsllq"

				// VEX_Vpsllq_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsllq_xmm_k1z_xmmm128b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsllq_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpsllq_zmm_k1z_zmmm512b64_imm8
				0x80,// 'v', Previous

				// Pslldq_xmm_imm8
				0x01,// Normal_1
				0xFC, 0x04,// 636 = "pslldq"

				// VEX_Vpslldq_xmm_xmm_imm8
				0x81,// 'v', Normal_1
				0xFC, 0x04,// 636 = "vpslldq"

				// VEX_Vpslldq_ymm_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpslldq_xmm_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vpslldq_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpslldq_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// Pcmpeqb_mm_mmm64
				0x1B,// mmxmem_1
				0x42,// 66 = "pcmpeqb"

				// Pcmpeqb_xmm_xmmm128
				0x01,// Normal_1
				0x42,// 66 = "pcmpeqb"

				// VEX_Vpcmpeqb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x42,// 66 = "vpcmpeqb"

				// VEX_Vpcmpeqb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqb_kr_k1_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqb_kr_k1_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqb_kr_k1_zmm_zmmm512
				0x80,// 'v', Previous

				// Pcmpeqw_mm_mmm64
				0x1B,// mmxmem_1
				0x43,// 67 = "pcmpeqw"

				// Pcmpeqw_xmm_xmmm128
				0x01,// Normal_1
				0x43,// 67 = "pcmpeqw"

				// VEX_Vpcmpeqw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x43,// 67 = "vpcmpeqw"

				// VEX_Vpcmpeqw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqw_kr_k1_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqw_kr_k1_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqw_kr_k1_zmm_zmmm512
				0x80,// 'v', Previous

				// Pcmpeqd_mm_mmm64
				0x1B,// mmxmem_1
				0x44,// 68 = "pcmpeqd"

				// Pcmpeqd_xmm_xmmm128
				0x01,// Normal_1
				0x44,// 68 = "pcmpeqd"

				// VEX_Vpcmpeqd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x44,// 68 = "vpcmpeqd"

				// VEX_Vpcmpeqd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqd_kr_k1_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqd_kr_k1_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqd_kr_k1_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Emms
				0x01,// Normal_1
				0xFD, 0x04,// 637 = "emms"

				// VEX_Vzeroupper
				0x81,// 'v', Normal_1
				0xFE, 0x04,// 638 = "vzeroupper"

				// VEX_Vzeroall
				0x81,// 'v', Normal_1
				0xFF, 0x04,// 639 = "vzeroall"

				// Vmread_rm32_r32
				0x82,// 'v', Normal_2
				0x80, 0x05,// 640 = "vmread"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Vmread_rm64_r64
				0x80,// 'v', Previous

				// EVEX_Vcvttps2udq_xmm_k1z_xmmm128b32
				0x82,// 'v', Normal_2
				0x81, 0x05,// 641 = "vcvttps2udq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvttps2udq_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vcvttps2udq_zmm_k1z_zmmm512b32_sae
				0x80,// 'v', Previous

				// EVEX_Vcvttpd2udq_xmm_k1z_xmmm128b64
				0x82,// 'v', Normal_2
				0x82, 0x05,// 642 = "vcvttpd2udq"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vcvttpd2udq_xmm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvttpd2udq_ymm_k1z_zmmm512b64_sae
				0x82,// 'v', Normal_2
				0x82, 0x05,// 642 = "vcvttpd2udq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Extrq_xmm_imm8_imm8
				0x01,// Normal_1
				0x83, 0x05,// 643 = "extrq"

				// EVEX_Vcvttps2uqq_xmm_k1z_xmmm64b32
				0x82,// 'v', Normal_2
				0x84, 0x05,// 644 = "vcvttps2uqq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvttps2uqq_ymm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvttps2uqq_zmm_k1z_ymmm256b32_sae
				0x80,// 'v', Previous

				// EVEX_Vcvttpd2uqq_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0x85, 0x05,// 645 = "vcvttpd2uqq"

				// EVEX_Vcvttpd2uqq_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvttpd2uqq_zmm_k1z_zmmm512b64_sae
				0x80,// 'v', Previous

				// EVEX_Vcvttss2usi_r32_xmmm32_sae
				0x82,// 'v', Normal_2
				0x86, 0x05,// 646 = "vcvttss2usi"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvttss2usi_r64_xmmm32_sae
				0x80,// 'v', Previous

				// Insertq_xmm_xmm_imm8_imm8
				0x01,// Normal_1
				0x87, 0x05,// 647 = "insertq"

				// EVEX_Vcvttsd2usi_r32_xmmm64_sae
				0x82,// 'v', Normal_2
				0x88, 0x05,// 648 = "vcvttsd2usi"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvttsd2usi_r64_xmmm64_sae
				0x80,// 'v', Previous

				// Vmwrite_r32_rm32
				0x82,// 'v', Normal_2
				0x89, 0x05,// 649 = "vmwrite"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Vmwrite_r64_rm64
				0x80,// 'v', Previous

				// EVEX_Vcvtps2udq_xmm_k1z_xmmm128b32
				0x82,// 'v', Normal_2
				0x8A, 0x05,// 650 = "vcvtps2udq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtps2udq_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vcvtps2udq_zmm_k1z_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2udq_xmm_k1z_xmmm128b64
				0x82,// 'v', Normal_2
				0x8B, 0x05,// 651 = "vcvtpd2udq"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vcvtpd2udq_xmm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2udq_ymm_k1z_zmmm512b64_er
				0x82,// 'v', Normal_2
				0x8B, 0x05,// 651 = "vcvtpd2udq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Extrq_xmm_xmm
				0x01,// Normal_1
				0x83, 0x05,// 643 = "extrq"

				// EVEX_Vcvtps2uqq_xmm_k1z_xmmm64b32
				0x82,// 'v', Normal_2
				0x8C, 0x05,// 652 = "vcvtps2uqq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtps2uqq_ymm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvtps2uqq_zmm_k1z_ymmm256b32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2uqq_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0x8D, 0x05,// 653 = "vcvtpd2uqq"

				// EVEX_Vcvtpd2uqq_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2uqq_zmm_k1z_zmmm512b64_er
				0x80,// 'v', Previous

				// EVEX_Vcvtss2usi_r32_xmmm32_er
				0x82,// 'v', Normal_2
				0x8E, 0x05,// 654 = "vcvtss2usi"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtss2usi_r64_xmmm32_er
				0x80,// 'v', Previous

				// Insertq_xmm_xmm
				0x01,// Normal_1
				0x87, 0x05,// 647 = "insertq"

				// EVEX_Vcvtsd2usi_r32_xmmm64_er
				0x82,// 'v', Normal_2
				0x8F, 0x05,// 655 = "vcvtsd2usi"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtsd2usi_r64_xmmm64_er
				0x80,// 'v', Previous

				// EVEX_Vcvttps2qq_xmm_k1z_xmmm64b32
				0x82,// 'v', Normal_2
				0x90, 0x05,// 656 = "vcvttps2qq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvttps2qq_ymm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvttps2qq_zmm_k1z_ymmm256b32_sae
				0x80,// 'v', Previous

				// EVEX_Vcvttpd2qq_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0x91, 0x05,// 657 = "vcvttpd2qq"

				// EVEX_Vcvttpd2qq_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvttpd2qq_zmm_k1z_zmmm512b64_sae
				0x80,// 'v', Previous

				// EVEX_Vcvtudq2pd_xmm_k1z_xmmm64b32
				0x82,// 'v', Normal_2
				0x92, 0x05,// 658 = "vcvtudq2pd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtudq2pd_ymm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvtudq2pd_zmm_k1z_ymmm256b32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtuqq2pd_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0x93, 0x05,// 659 = "vcvtuqq2pd"

				// EVEX_Vcvtuqq2pd_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvtuqq2pd_zmm_k1z_zmmm512b64_er
				0x80,// 'v', Previous

				// EVEX_Vcvtudq2ps_xmm_k1z_xmmm128b32
				0x82,// 'v', Normal_2
				0x94, 0x05,// 660 = "vcvtudq2ps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtudq2ps_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vcvtudq2ps_zmm_k1z_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtuqq2ps_xmm_k1z_xmmm128b64
				0x82,// 'v', Normal_2
				0x95, 0x05,// 661 = "vcvtuqq2ps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vcvtuqq2ps_xmm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvtuqq2ps_ymm_k1z_zmmm512b64_er
				0x82,// 'v', Normal_2
				0x95, 0x05,// 661 = "vcvtuqq2ps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtps2qq_xmm_k1z_xmmm64b32
				0x82,// 'v', Normal_2
				0x96, 0x05,// 662 = "vcvtps2qq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtps2qq_ymm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvtps2qq_zmm_k1z_ymmm256b32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2qq_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0x97, 0x05,// 663 = "vcvtpd2qq"

				// EVEX_Vcvtpd2qq_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2qq_zmm_k1z_zmmm512b64_er
				0x80,// 'v', Previous

				// EVEX_Vcvtusi2ss_xmm_xmm_rm32_er
				0x82,// 'v', Normal_2
				0x98, 0x05,// 664 = "vcvtusi2ss"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vcvtusi2ss_xmm_xmm_rm64_er
				0x80,// 'v', Previous

				// EVEX_Vcvtusi2sd_xmm_xmm_rm32_er
				0x82,// 'v', Normal_2
				0x99, 0x05,// 665 = "vcvtusi2sd"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vcvtusi2sd_xmm_xmm_rm64_er
				0x80,// 'v', Previous

				// Haddpd_xmm_xmmm128
				0x01,// Normal_1
				0x9A, 0x05,// 666 = "haddpd"

				// VEX_Vhaddpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9A, 0x05,// 666 = "vhaddpd"

				// VEX_Vhaddpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Haddps_xmm_xmmm128
				0x01,// Normal_1
				0x9B, 0x05,// 667 = "haddps"

				// VEX_Vhaddps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9B, 0x05,// 667 = "vhaddps"

				// VEX_Vhaddps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Hsubpd_xmm_xmmm128
				0x01,// Normal_1
				0x9C, 0x05,// 668 = "hsubpd"

				// VEX_Vhsubpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9C, 0x05,// 668 = "vhsubpd"

				// VEX_Vhsubpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Hsubps_xmm_xmmm128
				0x01,// Normal_1
				0x9D, 0x05,// 669 = "hsubps"

				// VEX_Vhsubps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9D, 0x05,// 669 = "vhsubps"

				// VEX_Vhsubps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Movd_rm32_mm
				0x02,// Normal_2
				0x2B,// 43 = "movd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movq_rm64_mm
				0x01,// Normal_1
				0x0D,// 13 = "movq"

				// Movd_rm32_xmm
				0x02,// Normal_2
				0x2B,// 43 = "movd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movq_rm64_xmm
				0x02,// Normal_2
				0x0D,// 13 = "movq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovd_rm32_xmm
				0x82,// 'v', Normal_2
				0x2B,// 43 = "vmovd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovq_rm64_xmm
				0x82,// 'v', Normal_2
				0x0D,// 13 = "vmovq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovd_rm32_xmm
				0x82,// 'v', Normal_2
				0x2B,// 43 = "vmovd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovq_rm64_xmm
				0x82,// 'v', Normal_2
				0x0D,// 13 = "vmovq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movq_xmm_xmmm64
				0x02,// Normal_2
				0x0D,// 13 = "movq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovq_xmm_xmmm64
				0x82,// 'v', Normal_2
				0x0D,// 13 = "vmovq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovq_xmm_xmmm64
				0x80,// 'v', Previous

				// Movq_mmm64_mm
				0x01,// Normal_1
				0x0D,// 13 = "movq"

				// Movdqa_xmmm128_xmm
				0x01,// Normal_1
				0xEA, 0x04,// 618 = "movdqa"

				// VEX_Vmovdqa_xmmm128_xmm
				0x82,// 'v', Normal_2
				0xEA, 0x04,// 618 = "vmovdqa"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovdqa_ymmm256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovdqa32_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xEB, 0x04,// 619 = "vmovdqa32"

				// EVEX_Vmovdqa32_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovdqa32_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vmovdqa64_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xEC, 0x04,// 620 = "vmovdqa64"

				// EVEX_Vmovdqa64_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovdqa64_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// Movdqu_xmmm128_xmm
				0x01,// Normal_1
				0xED, 0x04,// 621 = "movdqu"

				// VEX_Vmovdqu_xmmm128_xmm
				0x82,// 'v', Normal_2
				0xED, 0x04,// 621 = "vmovdqu"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovdqu_ymmm256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovdqu32_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xEE, 0x04,// 622 = "vmovdqu32"

				// EVEX_Vmovdqu32_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovdqu32_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vmovdqu64_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xEF, 0x04,// 623 = "vmovdqu64"

				// EVEX_Vmovdqu64_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovdqu64_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vmovdqu8_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xF0, 0x04,// 624 = "vmovdqu8"

				// EVEX_Vmovdqu8_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovdqu8_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vmovdqu16_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xF1, 0x04,// 625 = "vmovdqu16"

				// EVEX_Vmovdqu16_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovdqu16_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// Jo_rel16
				0x14,// jcc_1
				0x70,// 112 = "jo"
				0x00,// 0x0

				// Jo_rel32_32
				0x00,// Previous

				// Jo_rel32_64
				0x00,// Previous

				// Jno_rel16
				0x14,// jcc_1
				0x71,// 113 = "jno"
				0x01,// 0x1

				// Jno_rel32_32
				0x00,// Previous

				// Jno_rel32_64
				0x00,// Previous

				// Jb_rel16
				0x16,// jcc_3
				0x72,// 114 = "jb"
				0x73,// 115 = "jc"
				0x74,// 116 = "jnae"
				0x02,// 0x2

				// Jb_rel32_32
				0x00,// Previous

				// Jb_rel32_64
				0x00,// Previous

				// Jae_rel16
				0x16,// jcc_3
				0x75,// 117 = "jae"
				0x76,// 118 = "jnb"
				0x77,// 119 = "jnc"
				0x03,// 0x3

				// Jae_rel32_32
				0x00,// Previous

				// Jae_rel32_64
				0x00,// Previous

				// Je_rel16
				0x15,// jcc_2
				0x78,// 120 = "je"
				0x79,// 121 = "jz"
				0x04,// 0x4

				// Je_rel32_32
				0x00,// Previous

				// Je_rel32_64
				0x00,// Previous

				// Jne_rel16
				0x15,// jcc_2
				0x7A,// 122 = "jne"
				0x7B,// 123 = "jnz"
				0x05,// 0x5

				// Jne_rel32_32
				0x00,// Previous

				// Jne_rel32_64
				0x00,// Previous

				// Jbe_rel16
				0x15,// jcc_2
				0x7C,// 124 = "jbe"
				0x7D,// 125 = "jna"
				0x06,// 0x6

				// Jbe_rel32_32
				0x00,// Previous

				// Jbe_rel32_64
				0x00,// Previous

				// Ja_rel16
				0x15,// jcc_2
				0x7E,// 126 = "ja"
				0x7F,// 127 = "jnbe"
				0x07,// 0x7

				// Ja_rel32_32
				0x00,// Previous

				// Ja_rel32_64
				0x00,// Previous

				// Js_rel16
				0x14,// jcc_1
				0x9D, 0x01,// 157 = "js"
				0x08,// 0x8

				// Js_rel32_32
				0x00,// Previous

				// Js_rel32_64
				0x00,// Previous

				// Jns_rel16
				0x14,// jcc_1
				0x9E, 0x01,// 158 = "jns"
				0x09,// 0x9

				// Jns_rel32_32
				0x00,// Previous

				// Jns_rel32_64
				0x00,// Previous

				// Jp_rel16
				0x15,// jcc_2
				0x9F, 0x01,// 159 = "jp"
				0xA0, 0x01,// 160 = "jpe"
				0x0A,// 0xA

				// Jp_rel32_32
				0x00,// Previous

				// Jp_rel32_64
				0x00,// Previous

				// Jnp_rel16
				0x15,// jcc_2
				0xA1, 0x01,// 161 = "jnp"
				0xA2, 0x01,// 162 = "jpo"
				0x0B,// 0xB

				// Jnp_rel32_32
				0x00,// Previous

				// Jnp_rel32_64
				0x00,// Previous

				// Jl_rel16
				0x15,// jcc_2
				0xA3, 0x01,// 163 = "jl"
				0xA4, 0x01,// 164 = "jnge"
				0x0C,// 0xC

				// Jl_rel32_32
				0x00,// Previous

				// Jl_rel32_64
				0x00,// Previous

				// Jge_rel16
				0x15,// jcc_2
				0xA5, 0x01,// 165 = "jge"
				0xA6, 0x01,// 166 = "jnl"
				0x0D,// 0xD

				// Jge_rel32_32
				0x00,// Previous

				// Jge_rel32_64
				0x00,// Previous

				// Jle_rel16
				0x15,// jcc_2
				0xA7, 0x01,// 167 = "jle"
				0xA8, 0x01,// 168 = "jng"
				0x0E,// 0xE

				// Jle_rel32_32
				0x00,// Previous

				// Jle_rel32_64
				0x00,// Previous

				// Jg_rel16
				0x15,// jcc_2
				0xA9, 0x01,// 169 = "jg"
				0xAA, 0x01,// 170 = "jnle"
				0x0F,// 0xF

				// Jg_rel32_32
				0x00,// Previous

				// Jg_rel32_64
				0x00,// Previous

				// Seto_rm8
				0x11,// CCb_1
				0x9E, 0x05,// 670 = "seto"
				0x00,// 0x0
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setno_rm8
				0x11,// CCb_1
				0x9F, 0x05,// 671 = "setno"
				0x01,// 0x1
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setb_rm8
				0x13,// CCb_3
				0xA0, 0x05,// 672 = "setb"
				0xA1, 0x05,// 673 = "setc"
				0xA2, 0x05,// 674 = "setnae"
				0x02,// 0x2
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setae_rm8
				0x13,// CCb_3
				0xA3, 0x05,// 675 = "setae"
				0xA4, 0x05,// 676 = "setnb"
				0xA5, 0x05,// 677 = "setnc"
				0x03,// 0x3
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Sete_rm8
				0x12,// CCb_2
				0xA6, 0x05,// 678 = "sete"
				0xA7, 0x05,// 679 = "setz"
				0x04,// 0x4
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setne_rm8
				0x12,// CCb_2
				0xA8, 0x05,// 680 = "setne"
				0xA9, 0x05,// 681 = "setnz"
				0x05,// 0x5
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setbe_rm8
				0x12,// CCb_2
				0xAA, 0x05,// 682 = "setbe"
				0xAB, 0x05,// 683 = "setna"
				0x06,// 0x6
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Seta_rm8
				0x12,// CCb_2
				0xAC, 0x05,// 684 = "seta"
				0xAD, 0x05,// 685 = "setnbe"
				0x07,// 0x7
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Sets_rm8
				0x11,// CCb_1
				0xAE, 0x05,// 686 = "sets"
				0x08,// 0x8
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setns_rm8
				0x11,// CCb_1
				0xAF, 0x05,// 687 = "setns"
				0x09,// 0x9
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setp_rm8
				0x12,// CCb_2
				0xB0, 0x05,// 688 = "setp"
				0xB1, 0x05,// 689 = "setpe"
				0x0A,// 0xA
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setnp_rm8
				0x12,// CCb_2
				0xB2, 0x05,// 690 = "setnp"
				0xB3, 0x05,// 691 = "setpo"
				0x0B,// 0xB
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setl_rm8
				0x12,// CCb_2
				0xB4, 0x05,// 692 = "setl"
				0xB5, 0x05,// 693 = "setnge"
				0x0C,// 0xC
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setge_rm8
				0x12,// CCb_2
				0xB6, 0x05,// 694 = "setge"
				0xB7, 0x05,// 695 = "setnl"
				0x0D,// 0xD
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setle_rm8
				0x12,// CCb_2
				0xB8, 0x05,// 696 = "setle"
				0xB9, 0x05,// 697 = "setng"
				0x0E,// 0xE
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Setg_rm8
				0x12,// CCb_2
				0xBA, 0x05,// 698 = "setg"
				0xBB, 0x05,// 699 = "setnle"
				0x0F,// 0xF
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Kmovw_kr_km16
				0x02,// Normal_2
				0xBC, 0x05,// 700 = "kmovw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Kmovq_kr_km64
				0x02,// Normal_2
				0xBD, 0x05,// 701 = "kmovq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Kmovb_kr_km8
				0x02,// Normal_2
				0xBE, 0x05,// 702 = "kmovb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Kmovd_kr_km32
				0x02,// Normal_2
				0xBF, 0x05,// 703 = "kmovd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Kmovw_m16_kr
				0x02,// Normal_2
				0xBC, 0x05,// 700 = "kmovw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Kmovq_m64_kr
				0x02,// Normal_2
				0xBD, 0x05,// 701 = "kmovq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Kmovb_m8_kr
				0x02,// Normal_2
				0xBE, 0x05,// 702 = "kmovb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Kmovd_m32_kr
				0x02,// Normal_2
				0xBF, 0x05,// 703 = "kmovd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Kmovw_kr_r32
				0x01,// Normal_1
				0xBC, 0x05,// 700 = "kmovw"

				// VEX_Kmovb_kr_r32
				0x01,// Normal_1
				0xBE, 0x05,// 702 = "kmovb"

				// VEX_Kmovd_kr_r32
				0x01,// Normal_1
				0xBF, 0x05,// 703 = "kmovd"

				// VEX_Kmovq_kr_r64
				0x01,// Normal_1
				0xBD, 0x05,// 701 = "kmovq"

				// VEX_Kmovw_r32_kr
				0x01,// Normal_1
				0xBC, 0x05,// 700 = "kmovw"

				// VEX_Kmovb_r32_kr
				0x01,// Normal_1
				0xBE, 0x05,// 702 = "kmovb"

				// VEX_Kmovd_r32_kr
				0x01,// Normal_1
				0xBF, 0x05,// 703 = "kmovd"

				// VEX_Kmovq_r64_kr
				0x01,// Normal_1
				0xBD, 0x05,// 701 = "kmovq"

				// VEX_Kortestw_kr_kr
				0x01,// Normal_1
				0xC0, 0x05,// 704 = "kortestw"

				// VEX_Kortestq_kr_kr
				0x01,// Normal_1
				0xC1, 0x05,// 705 = "kortestq"

				// VEX_Kortestb_kr_kr
				0x01,// Normal_1
				0xC2, 0x05,// 706 = "kortestb"

				// VEX_Kortestd_kr_kr
				0x01,// Normal_1
				0xC3, 0x05,// 707 = "kortestd"

				// VEX_Ktestw_kr_kr
				0x01,// Normal_1
				0xC4, 0x05,// 708 = "ktestw"

				// VEX_Ktestq_kr_kr
				0x01,// Normal_1
				0xC5, 0x05,// 709 = "ktestq"

				// VEX_Ktestb_kr_kr
				0x01,// Normal_1
				0xC6, 0x05,// 710 = "ktestb"

				// VEX_Ktestd_kr_kr
				0x01,// Normal_1
				0xC7, 0x05,// 711 = "ktestd"

				// Pushw_FS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x01,// Code16

				// Pushd_FS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x02,// Code32

				// Pushq_FS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x03,// Code64

				// Popw_FS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x01,// Code16

				// Popd_FS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x02,// Code32

				// Popq_FS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x03,// Code64

				// Cpuid
				0x01,// Normal_1
				0xC8, 0x05,// 712 = "cpuid"

				// Bt_rm16_r16
				0x01,// Normal_1
				0xC9, 0x05,// 713 = "bt"

				// Bt_rm32_r32
				0x00,// Previous

				// Bt_rm64_r64
				0x00,// Previous

				// Shld_rm16_r16_imm8
				0x01,// Normal_1
				0xCA, 0x05,// 714 = "shld"

				// Shld_rm32_r32_imm8
				0x00,// Previous

				// Shld_rm64_r64_imm8
				0x00,// Previous

				// Shld_rm16_r16_CL
				0x00,// Previous

				// Shld_rm32_r32_CL
				0x00,// Previous

				// Shld_rm64_r64_CL
				0x00,// Previous

				// Montmul_16
				0x01,// Normal_1
				0xCB, 0x05,// 715 = "montmul"

				// Montmul_32
				0x00,// Previous

				// Montmul_64
				0x00,// Previous

				// Xsha1_16
				0x01,// Normal_1
				0xCC, 0x05,// 716 = "xsha1"

				// Xsha1_32
				0x00,// Previous

				// Xsha1_64
				0x00,// Previous

				// Xsha256_16
				0x01,// Normal_1
				0xCD, 0x05,// 717 = "xsha256"

				// Xsha256_32
				0x00,// Previous

				// Xsha256_64
				0x00,// Previous

				// Xbts_r16_rm16
				0x01,// Normal_1
				0xCE, 0x05,// 718 = "xbts"

				// Xbts_r32_rm32
				0x00,// Previous

				// Xstore_16
				0x01,// Normal_1
				0xCF, 0x05,// 719 = "xstore"

				// Xstore_32
				0x00,// Previous

				// Xstore_64
				0x00,// Previous

				// XcryptEcb_16
				0x01,// Normal_1
				0xD0, 0x05,// 720 = "xcryptecb"

				// XcryptEcb_32
				0x00,// Previous

				// XcryptEcb_64
				0x00,// Previous

				// XcryptCbc_16
				0x01,// Normal_1
				0xD1, 0x05,// 721 = "xcryptcbc"

				// XcryptCbc_32
				0x00,// Previous

				// XcryptCbc_64
				0x00,// Previous

				// XcryptCtr_16
				0x01,// Normal_1
				0xD2, 0x05,// 722 = "xcryptctr"

				// XcryptCtr_32
				0x00,// Previous

				// XcryptCtr_64
				0x00,// Previous

				// XcryptCfb_16
				0x01,// Normal_1
				0xD3, 0x05,// 723 = "xcryptcfb"

				// XcryptCfb_32
				0x00,// Previous

				// XcryptCfb_64
				0x00,// Previous

				// XcryptOfb_16
				0x01,// Normal_1
				0xD4, 0x05,// 724 = "xcryptofb"

				// XcryptOfb_32
				0x00,// Previous

				// XcryptOfb_64
				0x00,// Previous

				// Ibts_rm16_r16
				0x01,// Normal_1
				0xD5, 0x05,// 725 = "ibts"

				// Ibts_rm32_r32
				0x00,// Previous

				// Cmpxchg486_rm8_r8
				0x01,// Normal_1
				0xD6, 0x05,// 726 = "cmpxchg486"

				// Cmpxchg486_rm16_r16
				0x00,// Previous

				// Cmpxchg486_rm32_r32
				0x00,// Previous

				// Pushw_GS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x01,// Code16

				// Pushd_GS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x02,// Code32

				// Pushq_GS
				0x21,// OpSize_1
				0x02,// 2 = "push"
				0x03,// Code64

				// Popw_GS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x01,// Code16

				// Popd_GS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x02,// Code32

				// Popq_GS
				0x21,// OpSize_1
				0x0B,// 11 = "pop"
				0x03,// Code64

				// Rsm
				0x01,// Normal_1
				0xD7, 0x05,// 727 = "rsm"

				// Bts_rm16_r16
				0x01,// Normal_1
				0xD8, 0x05,// 728 = "bts"

				// Bts_rm32_r32
				0x00,// Previous

				// Bts_rm64_r64
				0x00,// Previous

				// Shrd_rm16_r16_imm8
				0x01,// Normal_1
				0xD9, 0x05,// 729 = "shrd"

				// Shrd_rm32_r32_imm8
				0x00,// Previous

				// Shrd_rm64_r64_imm8
				0x00,// Previous

				// Shrd_rm16_r16_CL
				0x00,// Previous

				// Shrd_rm32_r32_CL
				0x00,// Previous

				// Shrd_rm64_r64_CL
				0x00,// Previous

				// Fxsave_m512byte
				0x01,// Normal_1
				0xDA, 0x05,// 730 = "fxsave"

				// Fxsave64_m512byte
				0x01,// Normal_1
				0xDB, 0x05,// 731 = "fxsave64"

				// Rdfsbase_r32
				0x01,// Normal_1
				0xDC, 0x05,// 732 = "rdfsbase"

				// Rdfsbase_r64
				0x00,// Previous

				// Fxrstor_m512byte
				0x01,// Normal_1
				0xDD, 0x05,// 733 = "fxrstor"

				// Fxrstor64_m512byte
				0x01,// Normal_1
				0xDE, 0x05,// 734 = "fxrstor64"

				// Rdgsbase_r32
				0x01,// Normal_1
				0xDF, 0x05,// 735 = "rdgsbase"

				// Rdgsbase_r64
				0x00,// Previous

				// Ldmxcsr_m32
				0x01,// Normal_1
				0xE0, 0x05,// 736 = "ldmxcsr"

				// Wrfsbase_r32
				0x01,// Normal_1
				0xE1, 0x05,// 737 = "wrfsbase"

				// Wrfsbase_r64
				0x00,// Previous

				// VEX_Vldmxcsr_m32
				0x82,// 'v', Normal_2
				0xE0, 0x05,// 736 = "vldmxcsr"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Stmxcsr_m32
				0x01,// Normal_1
				0xE2, 0x05,// 738 = "stmxcsr"

				// Wrgsbase_r32
				0x01,// Normal_1
				0xE3, 0x05,// 739 = "wrgsbase"

				// Wrgsbase_r64
				0x00,// Previous

				// VEX_Vstmxcsr_m32
				0x82,// 'v', Normal_2
				0xE2, 0x05,// 738 = "vstmxcsr"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Xsave_mem
				0x01,// Normal_1
				0xE4, 0x05,// 740 = "xsave"

				// Xsave64_mem
				0x01,// Normal_1
				0xE5, 0x05,// 741 = "xsave64"

				// Ptwrite_rm32
				0x02,// Normal_2
				0xE6, 0x05,// 742 = "ptwrite"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Ptwrite_rm64
				0x00,// Previous

				// Xrstor_mem
				0x01,// Normal_1
				0xE7, 0x05,// 743 = "xrstor"

				// Xrstor64_mem
				0x01,// Normal_1
				0xE8, 0x05,// 744 = "xrstor64"

				// Incsspd_r32
				0x01,// Normal_1
				0xE9, 0x05,// 745 = "incsspd"

				// Incsspq_r64
				0x01,// Normal_1
				0xEA, 0x05,// 746 = "incsspq"

				// Xsaveopt_mem
				0x01,// Normal_1
				0xEB, 0x05,// 747 = "xsaveopt"

				// Xsaveopt64_mem
				0x01,// Normal_1
				0xEC, 0x05,// 748 = "xsaveopt64"

				// Clwb_m8
				0x01,// Normal_1
				0xED, 0x05,// 749 = "clwb"

				// Tpause_r32
				0x01,// Normal_1
				0xEE, 0x05,// 750 = "tpause"

				// Tpause_r64
				0x2C,// Reg32
				0xEE, 0x05,// 750 = "tpause"
				0x00,// 0x0 = None

				// Clrssbsy_m64
				0x02,// Normal_2
				0xEF, 0x05,// 751 = "clrssbsy"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Umonitor_r16
				0x01,// Normal_1
				0xF0, 0x05,// 752 = "umonitor"

				// Umonitor_r32
				0x00,// Previous

				// Umonitor_r64
				0x00,// Previous

				// Umwait_r32
				0x01,// Normal_1
				0xF1, 0x05,// 753 = "umwait"

				// Umwait_r64
				0x2C,// Reg32
				0xF1, 0x05,// 753 = "umwait"
				0x00,// 0x0 = None

				// Clflush_m8
				0x01,// Normal_1
				0xF2, 0x05,// 754 = "clflush"

				// Clflushopt_m8
				0x01,// Normal_1
				0xF3, 0x05,// 755 = "clflushopt"

				// Lfence
				0x01,// Normal_1
				0x2C,// 44 = "lfence"

				// Lfence_E9
				0x00,// Previous

				// Lfence_EA
				0x00,// Previous

				// Lfence_EB
				0x00,// Previous

				// Lfence_EC
				0x00,// Previous

				// Lfence_ED
				0x00,// Previous

				// Lfence_EE
				0x00,// Previous

				// Lfence_EF
				0x00,// Previous

				// Mfence
				0x01,// Normal_1
				0x2D,// 45 = "mfence"

				// Mfence_F1
				0x00,// Previous

				// Mfence_F2
				0x00,// Previous

				// Mfence_F3
				0x00,// Previous

				// Mfence_F4
				0x00,// Previous

				// Mfence_F5
				0x00,// Previous

				// Mfence_F6
				0x00,// Previous

				// Mfence_F7
				0x00,// Previous

				// Sfence
				0x01,// Normal_1
				0x2E,// 46 = "sfence"

				// Sfence_F9
				0x00,// Previous

				// Sfence_FA
				0x00,// Previous

				// Sfence_FB
				0x00,// Previous

				// Sfence_FC
				0x00,// Previous

				// Sfence_FD
				0x00,// Previous

				// Sfence_FE
				0x00,// Previous

				// Sfence_FF
				0x00,// Previous

				// Pcommit
				0x01,// Normal_1
				0xF4, 0x05,// 756 = "pcommit"

				// Imul_r16_rm16
				0x01,// Normal_1
				0x18,// 24 = "imul"

				// Imul_r32_rm32
				0x00,// Previous

				// Imul_r64_rm64
				0x00,// Previous

				// Cmpxchg_rm8_r8
				0x01,// Normal_1
				0xF5, 0x05,// 757 = "cmpxchg"

				// Cmpxchg_rm16_r16
				0x00,// Previous

				// Cmpxchg_rm32_r32
				0x00,// Previous

				// Cmpxchg_rm64_r64
				0x00,// Previous

				// Lss_r16_m1616
				0x01,// Normal_1
				0xF6, 0x05,// 758 = "lss"

				// Lss_r32_m1632
				0x00,// Previous

				// Lss_r64_m1664
				0x00,// Previous

				// Btr_rm16_r16
				0x01,// Normal_1
				0xF7, 0x05,// 759 = "btr"

				// Btr_rm32_r32
				0x00,// Previous

				// Btr_rm64_r64
				0x00,// Previous

				// Lfs_r16_m1616
				0x01,// Normal_1
				0xF8, 0x05,// 760 = "lfs"

				// Lfs_r32_m1632
				0x00,// Previous

				// Lfs_r64_m1664
				0x00,// Previous

				// Lgs_r16_m1616
				0x01,// Normal_1
				0xF9, 0x05,// 761 = "lgs"

				// Lgs_r32_m1632
				0x00,// Previous

				// Lgs_r64_m1664
				0x00,// Previous

				// Movzx_r16_rm8
				0x02,// Normal_2
				0xFB, 0x05,// 763 = "movzx"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Movzx_r32_rm8
				0x00,// Previous

				// Movzx_r64_rm8
				0x00,// Previous

				// Movzx_r16_rm16
				0x00,// Previous

				// Movzx_r32_rm16
				0x00,// Previous

				// Movzx_r64_rm16
				0x00,// Previous

				// Jmpe_disp16
				0x01,// Normal_1
				0xFE, 0x02,// 382 = "jmpe"

				// Jmpe_disp32
				0x00,// Previous

				// Popcnt_r16_rm16
				0x01,// Normal_1
				0x81, 0x06,// 769 = "popcnt"

				// Popcnt_r32_rm32
				0x00,// Previous

				// Popcnt_r64_rm64
				0x00,// Previous

				// Ud1_r16_rm16
				0x01,// Normal_1
				0x82, 0x06,// 770 = "ud1"

				// Ud1_r32_rm32
				0x00,// Previous

				// Ud1_r64_rm64
				0x00,// Previous

				// Bt_rm16_imm8
				0x02,// Normal_2
				0xC9, 0x05,// 713 = "bt"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Bt_rm32_imm8
				0x00,// Previous

				// Bt_rm64_imm8
				0x00,// Previous

				// Bts_rm16_imm8
				0x02,// Normal_2
				0xD8, 0x05,// 728 = "bts"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Bts_rm32_imm8
				0x00,// Previous

				// Bts_rm64_imm8
				0x00,// Previous

				// Btr_rm16_imm8
				0x02,// Normal_2
				0xF7, 0x05,// 759 = "btr"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Btr_rm32_imm8
				0x00,// Previous

				// Btr_rm64_imm8
				0x00,// Previous

				// Btc_rm16_imm8
				0x02,// Normal_2
				0x83, 0x06,// 771 = "btc"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Btc_rm32_imm8
				0x00,// Previous

				// Btc_rm64_imm8
				0x00,// Previous

				// Btc_rm16_r16
				0x01,// Normal_1
				0x83, 0x06,// 771 = "btc"

				// Btc_rm32_r32
				0x00,// Previous

				// Btc_rm64_r64
				0x00,// Previous

				// Bsf_r16_rm16
				0x01,// Normal_1
				0x84, 0x06,// 772 = "bsf"

				// Bsf_r32_rm32
				0x00,// Previous

				// Bsf_r64_rm64
				0x00,// Previous

				// Tzcnt_r16_rm16
				0x01,// Normal_1
				0x85, 0x06,// 773 = "tzcnt"

				// Tzcnt_r32_rm32
				0x00,// Previous

				// Tzcnt_r64_rm64
				0x00,// Previous

				// Bsr_r16_rm16
				0x01,// Normal_1
				0x86, 0x06,// 774 = "bsr"

				// Bsr_r32_rm32
				0x00,// Previous

				// Bsr_r64_rm64
				0x00,// Previous

				// Lzcnt_r16_rm16
				0x01,// Normal_1
				0x87, 0x06,// 775 = "lzcnt"

				// Lzcnt_r32_rm32
				0x00,// Previous

				// Lzcnt_r64_rm64
				0x00,// Previous

				// Movsx_r16_rm8
				0x02,// Normal_2
				0x89, 0x06,// 777 = "movsx"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Movsx_r32_rm8
				0x00,// Previous

				// Movsx_r64_rm8
				0x00,// Previous

				// Movsx_r16_rm16
				0x00,// Previous

				// Movsx_r32_rm16
				0x00,// Previous

				// Movsx_r64_rm16
				0x00,// Previous

				// Xadd_rm8_r8
				0x01,// Normal_1
				0x8F, 0x06,// 783 = "xadd"

				// Xadd_rm16_r16
				0x00,// Previous

				// Xadd_rm32_r32
				0x00,// Previous

				// Xadd_rm64_r64
				0x00,// Previous

				// Cmpps_xmm_xmmm128_imm8
				0x27,// pops_2
				0x90, 0x06,// 784 = "cmpps"
				0x00,// cmpps

				// VEX_Vcmpps_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0x90, 0x06,// 784 = "vcmpps"
				0x01,// vcmpps

				// VEX_Vcmpps_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vcmpps_kr_k1_xmm_xmmm128b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vcmpps_kr_k1_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vcmpps_kr_k1_zmm_zmmm512b32_imm8_sae
				0x80,// 'v', Previous

				// Cmppd_xmm_xmmm128_imm8
				0x27,// pops_2
				0x91, 0x06,// 785 = "cmppd"
				0x02,// cmppd

				// VEX_Vcmppd_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0x91, 0x06,// 785 = "vcmppd"
				0x03,// vcmppd

				// VEX_Vcmppd_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vcmppd_kr_k1_xmm_xmmm128b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vcmppd_kr_k1_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vcmppd_kr_k1_zmm_zmmm512b64_imm8_sae
				0x80,// 'v', Previous

				// Cmpss_xmm_xmmm32_imm8
				0x28,// pops_3
				0x92, 0x06,// 786 = "cmpss"
				0x04,// cmpss
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcmpss_xmm_xmm_xmmm32_imm8
				0xA8,// 'v', pops_3
				0x92, 0x06,// 786 = "vcmpss"
				0x05,// vcmpss
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcmpss_kr_k1_xmm_xmmm32_imm8_sae
				0x80,// 'v', Previous

				// Cmpsd_xmm_xmmm64_imm8
				0x28,// pops_3
				0x93, 0x06,// 787 = "cmpsd"
				0x06,// cmpsd
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcmpsd_xmm_xmm_xmmm64_imm8
				0xA8,// 'v', pops_3
				0x93, 0x06,// 787 = "vcmpsd"
				0x07,// vcmpsd
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcmpsd_kr_k1_xmm_xmmm64_imm8_sae
				0x80,// 'v', Previous

				// Movnti_m32_r32
				0x01,// Normal_1
				0x94, 0x06,// 788 = "movnti"

				// Movnti_m64_r64
				0x00,// Previous

				// Pinsrw_mm_r32m16_imm8
				0x1C,// mmxmem_2
				0x2F,// 47 = "pinsrw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Pinsrw_mm_r64m16_imm8
				0x00,// Previous

				// Pinsrw_xmm_r32m16_imm8
				0x02,// Normal_2
				0x2F,// 47 = "pinsrw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Pinsrw_xmm_r64m16_imm8
				0x00,// Previous

				// VEX_Vpinsrw_xmm_xmm_r32m16_imm8
				0x82,// 'v', Normal_2
				0x2F,// 47 = "vpinsrw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpinsrw_xmm_xmm_r64m16_imm8
				0xAC,// 'v', Reg32
				0x2F,// 47 = "vpinsrw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpinsrw_xmm_xmm_r32m16_imm8
				0x82,// 'v', Normal_2
				0x2F,// 47 = "vpinsrw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpinsrw_xmm_xmm_r64m16_imm8
				0xAC,// 'v', Reg32
				0x2F,// 47 = "vpinsrw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Pextrw_r32_mm_imm8
				0x01,// Normal_1
				0x17,// 23 = "pextrw"

				// Pextrw_r64_mm_imm8
				0x00,// Previous

				// Pextrw_r32_xmm_imm8
				0x00,// Previous

				// Pextrw_r64_xmm_imm8
				0x00,// Previous

				// VEX_Vpextrw_r32_xmm_imm8
				0x81,// 'v', Normal_1
				0x17,// 23 = "vpextrw"

				// VEX_Vpextrw_r64_xmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpextrw_r32_xmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpextrw_r64_xmm_imm8
				0x80,// 'v', Previous

				// Shufps_xmm_xmmm128_imm8
				0x01,// Normal_1
				0x95, 0x06,// 789 = "shufps"

				// VEX_Vshufps_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x95, 0x06,// 789 = "vshufps"

				// VEX_Vshufps_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vshufps_xmm_k1z_xmm_xmmm128b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vshufps_ymm_k1z_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vshufps_zmm_k1z_zmm_zmmm512b32_imm8
				0x80,// 'v', Previous

				// Shufpd_xmm_xmmm128_imm8
				0x01,// Normal_1
				0x96, 0x06,// 790 = "shufpd"

				// VEX_Vshufpd_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x96, 0x06,// 790 = "vshufpd"

				// VEX_Vshufpd_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vshufpd_xmm_k1z_xmm_xmmm128b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vshufpd_ymm_k1z_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vshufpd_zmm_k1z_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// Cmpxchg8b_m64
				0x02,// Normal_2
				0x97, 0x06,// 791 = "cmpxchg8b"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cmpxchg16b_m128
				0x02,// Normal_2
				0x98, 0x06,// 792 = "cmpxchg16b"
				0x02,// 0x2 = MemSize_Normal

				// Xrstors_mem
				0x01,// Normal_1
				0x99, 0x06,// 793 = "xrstors"

				// Xrstors64_mem
				0x01,// Normal_1
				0x9A, 0x06,// 794 = "xrstors64"

				// Xsavec_mem
				0x01,// Normal_1
				0x9B, 0x06,// 795 = "xsavec"

				// Xsavec64_mem
				0x01,// Normal_1
				0x9C, 0x06,// 796 = "xsavec64"

				// Xsaves_mem
				0x01,// Normal_1
				0x9D, 0x06,// 797 = "xsaves"

				// Xsaves64_mem
				0x01,// Normal_1
				0x9E, 0x06,// 798 = "xsaves64"

				// Vmptrld_m64
				0x82,// 'v', Normal_2
				0x9F, 0x06,// 799 = "vmptrld"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Vmclear_m64
				0x82,// 'v', Normal_2
				0xA0, 0x06,// 800 = "vmclear"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Vmxon_m64
				0x82,// 'v', Normal_2
				0xA1, 0x06,// 801 = "vmxon"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Rdrand_r16
				0x01,// Normal_1
				0xA2, 0x06,// 802 = "rdrand"

				// Rdrand_r32
				0x00,// Previous

				// Rdrand_r64
				0x00,// Previous

				// Vmptrst_m64
				0x82,// 'v', Normal_2
				0xA3, 0x06,// 803 = "vmptrst"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Rdseed_r16
				0x01,// Normal_1
				0xA4, 0x06,// 804 = "rdseed"

				// Rdseed_r32
				0x00,// Previous

				// Rdseed_r64
				0x00,// Previous

				// Rdpid_r32
				0x01,// Normal_1
				0xA5, 0x06,// 805 = "rdpid"

				// Rdpid_r64
				0x00,// Previous

				// Bswap_r16
				0x01,// Normal_1
				0xA6, 0x06,// 806 = "bswap"

				// Bswap_r32
				0x00,// Previous

				// Bswap_r64
				0x00,// Previous

				// Addsubpd_xmm_xmmm128
				0x01,// Normal_1
				0xA7, 0x06,// 807 = "addsubpd"

				// VEX_Vaddsubpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xA7, 0x06,// 807 = "vaddsubpd"

				// VEX_Vaddsubpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Addsubps_xmm_xmmm128
				0x01,// Normal_1
				0xA8, 0x06,// 808 = "addsubps"

				// VEX_Vaddsubps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xA8, 0x06,// 808 = "vaddsubps"

				// VEX_Vaddsubps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Psrlw_mm_mmm64
				0x1B,// mmxmem_1
				0x0F,// 15 = "psrlw"

				// Psrlw_xmm_xmmm128
				0x01,// Normal_1
				0x0F,// 15 = "psrlw"

				// VEX_Vpsrlw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x0F,// 15 = "vpsrlw"

				// VEX_Vpsrlw_ymm_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrlw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrlw_ymm_k1z_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrlw_zmm_k1z_zmm_xmmm128
				0x80,// 'v', Previous

				// Psrld_mm_mmm64
				0x1B,// mmxmem_1
				0x12,// 18 = "psrld"

				// Psrld_xmm_xmmm128
				0x01,// Normal_1
				0x12,// 18 = "psrld"

				// VEX_Vpsrld_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x12,// 18 = "vpsrld"

				// VEX_Vpsrld_ymm_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrld_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrld_ymm_k1z_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrld_zmm_k1z_zmm_xmmm128
				0x80,// 'v', Previous

				// Psrlq_mm_mmm64
				0x1B,// mmxmem_1
				0x15,// 21 = "psrlq"

				// Psrlq_xmm_xmmm128
				0x01,// Normal_1
				0x15,// 21 = "psrlq"

				// VEX_Vpsrlq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x15,// 21 = "vpsrlq"

				// VEX_Vpsrlq_ymm_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrlq_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrlq_ymm_k1z_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrlq_zmm_k1z_zmm_xmmm128
				0x80,// 'v', Previous

				// Paddq_mm_mmm64
				0x1B,// mmxmem_1
				0x45,// 69 = "paddq"

				// Paddq_xmm_xmmm128
				0x01,// Normal_1
				0x45,// 69 = "paddq"

				// VEX_Vpaddq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x45,// 69 = "vpaddq"

				// VEX_Vpaddq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddq_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vpaddq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpaddq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Pmullw_mm_mmm64
				0x1B,// mmxmem_1
				0x46,// 70 = "pmullw"

				// Pmullw_xmm_xmmm128
				0x01,// Normal_1
				0x46,// 70 = "pmullw"

				// VEX_Vpmullw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x46,// 70 = "vpmullw"

				// VEX_Vpmullw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmullw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmullw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmullw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Movq_xmmm64_xmm
				0x02,// Normal_2
				0x0D,// 13 = "movq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovq_xmmm64_xmm
				0x82,// 'v', Normal_2
				0x0D,// 13 = "vmovq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vmovq_xmmm64_xmm
				0x80,// 'v', Previous

				// Movq2dq_xmm_mm
				0x01,// Normal_1
				0xA9, 0x06,// 809 = "movq2dq"

				// Movdq2q_mm_xmm
				0x1B,// mmxmem_1
				0xAA, 0x06,// 810 = "movdq2q"

				// Pmovmskb_r32_mm
				0x01,// Normal_1
				0x30,// 48 = "pmovmskb"

				// Pmovmskb_r64_mm
				0x00,// Previous

				// Pmovmskb_r32_xmm
				0x00,// Previous

				// Pmovmskb_r64_xmm
				0x00,// Previous

				// VEX_Vpmovmskb_r32_xmm
				0x81,// 'v', Normal_1
				0x30,// 48 = "vpmovmskb"

				// VEX_Vpmovmskb_r64_xmm
				0x80,// 'v', Previous

				// VEX_Vpmovmskb_r32_ymm
				0x80,// 'v', Previous

				// VEX_Vpmovmskb_r64_ymm
				0x80,// 'v', Previous

				// Psubusb_mm_mmm64
				0x1B,// mmxmem_1
				0x47,// 71 = "psubusb"

				// Psubusb_xmm_xmmm128
				0x01,// Normal_1
				0x47,// 71 = "psubusb"

				// VEX_Vpsubusb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x47,// 71 = "vpsubusb"

				// VEX_Vpsubusb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubusb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsubusb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubusb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Psubusw_mm_mmm64
				0x1B,// mmxmem_1
				0x48,// 72 = "psubusw"

				// Psubusw_xmm_xmmm128
				0x01,// Normal_1
				0x48,// 72 = "psubusw"

				// VEX_Vpsubusw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x48,// 72 = "vpsubusw"

				// VEX_Vpsubusw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubusw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsubusw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubusw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pminub_mm_mmm64
				0x1B,// mmxmem_1
				0x49,// 73 = "pminub"

				// Pminub_xmm_xmmm128
				0x01,// Normal_1
				0x49,// 73 = "pminub"

				// VEX_Vpminub_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x49,// 73 = "vpminub"

				// VEX_Vpminub_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminub_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpminub_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminub_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pand_mm_mmm64
				0x1B,// mmxmem_1
				0xAB, 0x06,// 811 = "pand"

				// Pand_xmm_xmmm128
				0x01,// Normal_1
				0xAB, 0x06,// 811 = "pand"

				// VEX_Vpand_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAB, 0x06,// 811 = "vpand"

				// VEX_Vpand_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpandd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xAC, 0x06,// 812 = "vpandd"

				// EVEX_Vpandd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpandd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpandq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xAD, 0x06,// 813 = "vpandq"

				// EVEX_Vpandq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpandq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Paddusb_mm_mmm64
				0x1B,// mmxmem_1
				0x4A,// 74 = "paddusb"

				// Paddusb_xmm_xmmm128
				0x01,// Normal_1
				0x4A,// 74 = "paddusb"

				// VEX_Vpaddusb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x4A,// 74 = "vpaddusb"

				// VEX_Vpaddusb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddusb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpaddusb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddusb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Paddusw_mm_mmm64
				0x1B,// mmxmem_1
				0x4B,// 75 = "paddusw"

				// Paddusw_xmm_xmmm128
				0x01,// Normal_1
				0x4B,// 75 = "paddusw"

				// VEX_Vpaddusw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x4B,// 75 = "vpaddusw"

				// VEX_Vpaddusw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddusw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpaddusw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddusw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pmaxub_mm_mmm64
				0x1B,// mmxmem_1
				0x4C,// 76 = "pmaxub"

				// Pmaxub_xmm_xmmm128
				0x01,// Normal_1
				0x4C,// 76 = "pmaxub"

				// VEX_Vpmaxub_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x4C,// 76 = "vpmaxub"

				// VEX_Vpmaxub_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxub_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmaxub_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxub_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pandn_mm_mmm64
				0x1B,// mmxmem_1
				0xAE, 0x06,// 814 = "pandn"

				// Pandn_xmm_xmmm128
				0x01,// Normal_1
				0xAE, 0x06,// 814 = "pandn"

				// VEX_Vpandn_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAE, 0x06,// 814 = "vpandn"

				// VEX_Vpandn_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpandnd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xAF, 0x06,// 815 = "vpandnd"

				// EVEX_Vpandnd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpandnd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpandnq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xB0, 0x06,// 816 = "vpandnq"

				// EVEX_Vpandnq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpandnq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Pavgb_mm_mmm64
				0x1B,// mmxmem_1
				0x4D,// 77 = "pavgb"

				// Pavgb_xmm_xmmm128
				0x01,// Normal_1
				0x4D,// 77 = "pavgb"

				// VEX_Vpavgb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x4D,// 77 = "vpavgb"

				// VEX_Vpavgb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpavgb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpavgb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpavgb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Psraw_mm_mmm64
				0x1B,// mmxmem_1
				0x10,// 16 = "psraw"

				// Psraw_xmm_xmmm128
				0x01,// Normal_1
				0x10,// 16 = "psraw"

				// VEX_Vpsraw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x10,// 16 = "vpsraw"

				// VEX_Vpsraw_ymm_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsraw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsraw_ymm_k1z_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsraw_zmm_k1z_zmm_xmmm128
				0x80,// 'v', Previous

				// Psrad_mm_mmm64
				0x1B,// mmxmem_1
				0x13,// 19 = "psrad"

				// Psrad_xmm_xmmm128
				0x01,// Normal_1
				0x13,// 19 = "psrad"

				// VEX_Vpsrad_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x13,// 19 = "vpsrad"

				// VEX_Vpsrad_ymm_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrad_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrad_ymm_k1z_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsrad_zmm_k1z_zmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsraq_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xFA, 0x04,// 634 = "vpsraq"

				// EVEX_Vpsraq_ymm_k1z_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsraq_zmm_k1z_zmm_xmmm128
				0x80,// 'v', Previous

				// Pavgw_mm_mmm64
				0x1B,// mmxmem_1
				0x4E,// 78 = "pavgw"

				// Pavgw_xmm_xmmm128
				0x01,// Normal_1
				0x4E,// 78 = "pavgw"

				// VEX_Vpavgw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x4E,// 78 = "vpavgw"

				// VEX_Vpavgw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpavgw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpavgw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpavgw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pmulhuw_mm_mmm64
				0x1B,// mmxmem_1
				0x4F,// 79 = "pmulhuw"

				// Pmulhuw_xmm_xmmm128
				0x01,// Normal_1
				0x4F,// 79 = "pmulhuw"

				// VEX_Vpmulhuw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x4F,// 79 = "vpmulhuw"

				// VEX_Vpmulhuw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmulhuw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmulhuw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmulhuw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pmulhw_mm_mmm64
				0x1B,// mmxmem_1
				0x50,// 80 = "pmulhw"

				// Pmulhw_xmm_xmmm128
				0x01,// Normal_1
				0x50,// 80 = "pmulhw"

				// VEX_Vpmulhw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x50,// 80 = "vpmulhw"

				// VEX_Vpmulhw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmulhw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmulhw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmulhw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Cvttpd2dq_xmm_xmmm128
				0x01,// Normal_1
				0xB1, 0x06,// 817 = "cvttpd2dq"

				// VEX_Vcvttpd2dq_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xB1, 0x06,// 817 = "vcvttpd2dq"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// VEX_Vcvttpd2dq_xmm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vcvttpd2dq_xmm_k1z_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vcvttpd2dq_xmm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvttpd2dq_ymm_k1z_zmmm512b64_sae
				0x82,// 'v', Normal_2
				0xB1, 0x06,// 817 = "vcvttpd2dq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Cvtdq2pd_xmm_xmmm64
				0x02,// Normal_2
				0xB2, 0x06,// 818 = "cvtdq2pd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtdq2pd_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xB2, 0x06,// 818 = "vcvtdq2pd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtdq2pd_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vcvtdq2pd_xmm_k1z_xmmm64b32
				0x80,// 'v', Previous

				// EVEX_Vcvtdq2pd_ymm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vcvtdq2pd_zmm_k1z_ymmm256b32_er
				0x80,// 'v', Previous

				// EVEX_Vcvtqq2pd_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0xB3, 0x06,// 819 = "vcvtqq2pd"

				// EVEX_Vcvtqq2pd_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvtqq2pd_zmm_k1z_zmmm512b64_er
				0x80,// 'v', Previous

				// Cvtpd2dq_xmm_xmmm128
				0x01,// Normal_1
				0xB4, 0x06,// 820 = "cvtpd2dq"

				// VEX_Vcvtpd2dq_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xB4, 0x06,// 820 = "vcvtpd2dq"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// VEX_Vcvtpd2dq_xmm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2dq_xmm_k1z_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2dq_xmm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vcvtpd2dq_ymm_k1z_zmmm512b64_er
				0x82,// 'v', Normal_2
				0xB4, 0x06,// 820 = "vcvtpd2dq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Movntq_m64_mm
				0x1B,// mmxmem_1
				0xB5, 0x06,// 821 = "movntq"

				// Movntdq_m128_xmm
				0x01,// Normal_1
				0xB6, 0x06,// 822 = "movntdq"

				// VEX_Vmovntdq_m128_xmm
				0x82,// 'v', Normal_2
				0xB6, 0x06,// 822 = "vmovntdq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovntdq_m256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovntdq_m128_xmm
				0x80,// 'v', Previous

				// EVEX_Vmovntdq_m256_ymm
				0x80,// 'v', Previous

				// EVEX_Vmovntdq_m512_zmm
				0x80,// 'v', Previous

				// Psubsb_mm_mmm64
				0x1B,// mmxmem_1
				0x51,// 81 = "psubsb"

				// Psubsb_xmm_xmmm128
				0x01,// Normal_1
				0x51,// 81 = "psubsb"

				// VEX_Vpsubsb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x51,// 81 = "vpsubsb"

				// VEX_Vpsubsb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubsb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsubsb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubsb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Psubsw_mm_mmm64
				0x1B,// mmxmem_1
				0x52,// 82 = "psubsw"

				// Psubsw_xmm_xmmm128
				0x01,// Normal_1
				0x52,// 82 = "psubsw"

				// VEX_Vpsubsw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x52,// 82 = "vpsubsw"

				// VEX_Vpsubsw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubsw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsubsw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubsw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pminsw_mm_mmm64
				0x1B,// mmxmem_1
				0x53,// 83 = "pminsw"

				// Pminsw_xmm_xmmm128
				0x01,// Normal_1
				0x53,// 83 = "pminsw"

				// VEX_Vpminsw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x53,// 83 = "vpminsw"

				// VEX_Vpminsw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminsw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpminsw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminsw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Por_mm_mmm64
				0x1B,// mmxmem_1
				0xB7, 0x06,// 823 = "por"

				// Por_xmm_xmmm128
				0x01,// Normal_1
				0xB7, 0x06,// 823 = "por"

				// VEX_Vpor_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB7, 0x06,// 823 = "vpor"

				// VEX_Vpor_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpord_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xB8, 0x06,// 824 = "vpord"

				// EVEX_Vpord_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpord_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vporq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xB9, 0x06,// 825 = "vporq"

				// EVEX_Vporq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vporq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Paddsb_mm_mmm64
				0x1B,// mmxmem_1
				0x54,// 84 = "paddsb"

				// Paddsb_xmm_xmmm128
				0x01,// Normal_1
				0x54,// 84 = "paddsb"

				// VEX_Vpaddsb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x54,// 84 = "vpaddsb"

				// VEX_Vpaddsb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddsb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpaddsb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddsb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Paddsw_mm_mmm64
				0x1B,// mmxmem_1
				0x55,// 85 = "paddsw"

				// Paddsw_xmm_xmmm128
				0x01,// Normal_1
				0x55,// 85 = "paddsw"

				// VEX_Vpaddsw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x55,// 85 = "vpaddsw"

				// VEX_Vpaddsw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddsw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpaddsw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddsw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pmaxsw_mm_mmm64
				0x1B,// mmxmem_1
				0x56,// 86 = "pmaxsw"

				// Pmaxsw_xmm_xmmm128
				0x01,// Normal_1
				0x56,// 86 = "pmaxsw"

				// VEX_Vpmaxsw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x56,// 86 = "vpmaxsw"

				// VEX_Vpmaxsw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxsw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmaxsw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxsw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pxor_mm_mmm64
				0x1B,// mmxmem_1
				0xBA, 0x06,// 826 = "pxor"

				// Pxor_xmm_xmmm128
				0x01,// Normal_1
				0xBA, 0x06,// 826 = "pxor"

				// VEX_Vpxor_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xBA, 0x06,// 826 = "vpxor"

				// VEX_Vpxor_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpxord_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xBB, 0x06,// 827 = "vpxord"

				// EVEX_Vpxord_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpxord_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpxorq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xBC, 0x06,// 828 = "vpxorq"

				// EVEX_Vpxorq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpxorq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Lddqu_xmm_m128
				0x02,// Normal_2
				0xBD, 0x06,// 829 = "lddqu"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vlddqu_xmm_m128
				0x82,// 'v', Normal_2
				0xBD, 0x06,// 829 = "vlddqu"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vlddqu_ymm_m256
				0x80,// 'v', Previous

				// Psllw_mm_mmm64
				0x1B,// mmxmem_1
				0x11,// 17 = "psllw"

				// Psllw_xmm_xmmm128
				0x01,// Normal_1
				0x11,// 17 = "psllw"

				// VEX_Vpsllw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x11,// 17 = "vpsllw"

				// VEX_Vpsllw_ymm_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsllw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsllw_ymm_k1z_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsllw_zmm_k1z_zmm_xmmm128
				0x80,// 'v', Previous

				// Pslld_mm_mmm64
				0x1B,// mmxmem_1
				0x14,// 20 = "pslld"

				// Pslld_xmm_xmmm128
				0x01,// Normal_1
				0x14,// 20 = "pslld"

				// VEX_Vpslld_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x14,// 20 = "vpslld"

				// VEX_Vpslld_ymm_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpslld_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpslld_ymm_k1z_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpslld_zmm_k1z_zmm_xmmm128
				0x80,// 'v', Previous

				// Psllq_mm_mmm64
				0x1B,// mmxmem_1
				0x16,// 22 = "psllq"

				// Psllq_xmm_xmmm128
				0x01,// Normal_1
				0x16,// 22 = "psllq"

				// VEX_Vpsllq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x16,// 22 = "vpsllq"

				// VEX_Vpsllq_ymm_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsllq_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsllq_ymm_k1z_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsllq_zmm_k1z_zmm_xmmm128
				0x80,// 'v', Previous

				// Pmuludq_mm_mmm64
				0x1B,// mmxmem_1
				0x57,// 87 = "pmuludq"

				// Pmuludq_xmm_xmmm128
				0x01,// Normal_1
				0x57,// 87 = "pmuludq"

				// VEX_Vpmuludq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x57,// 87 = "vpmuludq"

				// VEX_Vpmuludq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmuludq_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vpmuludq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpmuludq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Pmaddwd_mm_mmm64
				0x1B,// mmxmem_1
				0x58,// 88 = "pmaddwd"

				// Pmaddwd_xmm_xmmm128
				0x01,// Normal_1
				0x58,// 88 = "pmaddwd"

				// VEX_Vpmaddwd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x58,// 88 = "vpmaddwd"

				// VEX_Vpmaddwd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaddwd_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmaddwd_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaddwd_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Psadbw_mm_mmm64
				0x1B,// mmxmem_1
				0x59,// 89 = "psadbw"

				// Psadbw_xmm_xmmm128
				0x01,// Normal_1
				0x59,// 89 = "psadbw"

				// VEX_Vpsadbw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x59,// 89 = "vpsadbw"

				// VEX_Vpsadbw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsadbw_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsadbw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsadbw_zmm_zmm_zmmm512
				0x80,// 'v', Previous

				// Maskmovq_rDI_mm_mm
				0x19,// maskmovq
				0xBE, 0x06,// 830 = "maskmovq"
				0x01,// 0x1 = MemSize_Mmx

				// Maskmovdqu_rDI_xmm_xmm
				0x19,// maskmovq
				0xBF, 0x06,// 831 = "maskmovdqu"
				0x00,// 0x0 = None

				// VEX_Vmaskmovdqu_rDI_xmm_xmm
				0x99,// 'v', maskmovq
				0xBF, 0x06,// 831 = "vmaskmovdqu"
				0x00,// 0x0 = None

				// Psubb_mm_mmm64
				0x1B,// mmxmem_1
				0x5A,// 90 = "psubb"

				// Psubb_xmm_xmmm128
				0x01,// Normal_1
				0x5A,// 90 = "psubb"

				// VEX_Vpsubb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x5A,// 90 = "vpsubb"

				// VEX_Vpsubb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsubb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Psubw_mm_mmm64
				0x1B,// mmxmem_1
				0x5B,// 91 = "psubw"

				// Psubw_xmm_xmmm128
				0x01,// Normal_1
				0x5B,// 91 = "psubw"

				// VEX_Vpsubw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x5B,// 91 = "vpsubw"

				// VEX_Vpsubw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpsubw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Psubd_mm_mmm64
				0x1B,// mmxmem_1
				0x5C,// 92 = "psubd"

				// Psubd_xmm_xmmm128
				0x01,// Normal_1
				0x5C,// 92 = "psubd"

				// VEX_Vpsubd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x5C,// 92 = "vpsubd"

				// VEX_Vpsubd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubd_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpsubd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpsubd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Psubq_mm_mmm64
				0x1B,// mmxmem_1
				0x5D,// 93 = "psubq"

				// Psubq_xmm_xmmm128
				0x01,// Normal_1
				0x5D,// 93 = "psubq"

				// VEX_Vpsubq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x5D,// 93 = "vpsubq"

				// VEX_Vpsubq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsubq_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vpsubq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpsubq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Paddb_mm_mmm64
				0x1B,// mmxmem_1
				0x5E,// 94 = "paddb"

				// Paddb_xmm_xmmm128
				0x01,// Normal_1
				0x5E,// 94 = "paddb"

				// VEX_Vpaddb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x5E,// 94 = "vpaddb"

				// VEX_Vpaddb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpaddb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Paddw_mm_mmm64
				0x1B,// mmxmem_1
				0x5F,// 95 = "paddw"

				// Paddw_xmm_xmmm128
				0x01,// Normal_1
				0x5F,// 95 = "paddw"

				// VEX_Vpaddw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x5F,// 95 = "vpaddw"

				// VEX_Vpaddw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpaddw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Paddd_mm_mmm64
				0x1B,// mmxmem_1
				0x60,// 96 = "paddd"

				// Paddd_xmm_xmmm128
				0x01,// Normal_1
				0x60,// 96 = "paddd"

				// VEX_Vpaddd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x60,// 96 = "vpaddd"

				// VEX_Vpaddd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpaddd_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpaddd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpaddd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// Ud0_r16_rm16
				0x01,// Normal_1
				0xC0, 0x06,// 832 = "ud0"

				// Ud0_r32_rm32
				0x00,// Previous

				// Ud0_r64_rm64
				0x00,// Previous

				// Pshufb_mm_mmm64
				0x1B,// mmxmem_1
				0x61,// 97 = "pshufb"

				// Pshufb_xmm_xmmm128
				0x01,// Normal_1
				0x61,// 97 = "pshufb"

				// VEX_Vpshufb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x61,// 97 = "vpshufb"

				// VEX_Vpshufb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpshufb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpshufb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpshufb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Phaddw_mm_mmm64
				0x1B,// mmxmem_1
				0xC1, 0x06,// 833 = "phaddw"

				// Phaddw_xmm_xmmm128
				0x01,// Normal_1
				0xC1, 0x06,// 833 = "phaddw"

				// VEX_Vphaddw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC1, 0x06,// 833 = "vphaddw"

				// VEX_Vphaddw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Phaddd_mm_mmm64
				0x1B,// mmxmem_1
				0xC2, 0x06,// 834 = "phaddd"

				// Phaddd_xmm_xmmm128
				0x01,// Normal_1
				0xC2, 0x06,// 834 = "phaddd"

				// VEX_Vphaddd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC2, 0x06,// 834 = "vphaddd"

				// VEX_Vphaddd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Phaddsw_mm_mmm64
				0x1B,// mmxmem_1
				0xC3, 0x06,// 835 = "phaddsw"

				// Phaddsw_xmm_xmmm128
				0x01,// Normal_1
				0xC3, 0x06,// 835 = "phaddsw"

				// VEX_Vphaddsw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC3, 0x06,// 835 = "vphaddsw"

				// VEX_Vphaddsw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Pmaddubsw_mm_mmm64
				0x1B,// mmxmem_1
				0x62,// 98 = "pmaddubsw"

				// Pmaddubsw_xmm_xmmm128
				0x01,// Normal_1
				0x62,// 98 = "pmaddubsw"

				// VEX_Vpmaddubsw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x62,// 98 = "vpmaddubsw"

				// VEX_Vpmaddubsw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaddubsw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmaddubsw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaddubsw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Phsubw_mm_mmm64
				0x1B,// mmxmem_1
				0xC4, 0x06,// 836 = "phsubw"

				// Phsubw_xmm_xmmm128
				0x01,// Normal_1
				0xC4, 0x06,// 836 = "phsubw"

				// VEX_Vphsubw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC4, 0x06,// 836 = "vphsubw"

				// VEX_Vphsubw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Phsubd_mm_mmm64
				0x1B,// mmxmem_1
				0xC5, 0x06,// 837 = "phsubd"

				// Phsubd_xmm_xmmm128
				0x01,// Normal_1
				0xC5, 0x06,// 837 = "phsubd"

				// VEX_Vphsubd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC5, 0x06,// 837 = "vphsubd"

				// VEX_Vphsubd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Phsubsw_mm_mmm64
				0x1B,// mmxmem_1
				0xC6, 0x06,// 838 = "phsubsw"

				// Phsubsw_xmm_xmmm128
				0x01,// Normal_1
				0xC6, 0x06,// 838 = "phsubsw"

				// VEX_Vphsubsw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC6, 0x06,// 838 = "vphsubsw"

				// VEX_Vphsubsw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Psignb_mm_mmm64
				0x1B,// mmxmem_1
				0xC7, 0x06,// 839 = "psignb"

				// Psignb_xmm_xmmm128
				0x01,// Normal_1
				0xC7, 0x06,// 839 = "psignb"

				// VEX_Vpsignb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC7, 0x06,// 839 = "vpsignb"

				// VEX_Vpsignb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Psignw_mm_mmm64
				0x1B,// mmxmem_1
				0xC8, 0x06,// 840 = "psignw"

				// Psignw_xmm_xmmm128
				0x01,// Normal_1
				0xC8, 0x06,// 840 = "psignw"

				// VEX_Vpsignw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC8, 0x06,// 840 = "vpsignw"

				// VEX_Vpsignw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Psignd_mm_mmm64
				0x1B,// mmxmem_1
				0xC9, 0x06,// 841 = "psignd"

				// Psignd_xmm_xmmm128
				0x01,// Normal_1
				0xC9, 0x06,// 841 = "psignd"

				// VEX_Vpsignd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC9, 0x06,// 841 = "vpsignd"

				// VEX_Vpsignd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Pmulhrsw_mm_mmm64
				0x1B,// mmxmem_1
				0x63,// 99 = "pmulhrsw"

				// Pmulhrsw_xmm_xmmm128
				0x01,// Normal_1
				0x63,// 99 = "pmulhrsw"

				// VEX_Vpmulhrsw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x63,// 99 = "vpmulhrsw"

				// VEX_Vpmulhrsw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmulhrsw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmulhrsw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmulhrsw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// VEX_Vpermilps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x27,// 39 = "vpermilps"

				// VEX_Vpermilps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpermilps_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpermilps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpermilps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// VEX_Vpermilpd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x28,// 40 = "vpermilpd"

				// VEX_Vpermilpd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpermilpd_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vpermilpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpermilpd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// VEX_Vtestps_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCA, 0x06,// 842 = "vtestps"

				// VEX_Vtestps_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vtestpd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCB, 0x06,// 843 = "vtestpd"

				// VEX_Vtestpd_ymm_ymmm256
				0x80,// 'v', Previous

				// Pblendvb_xmm_xmmm128
				0x25,// pblendvb
				0xCC, 0x06,// 844 = "pblendvb"

				// EVEX_Vpsrlvw_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCD, 0x06,// 845 = "vpsrlvw"

				// EVEX_Vpsrlvw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsrlvw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpmovuswb_xmmm64_k1z_xmm
				0x82,// 'v', Normal_2
				0xCE, 0x06,// 846 = "vpmovuswb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovuswb_xmmm128_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovuswb_ymmm256_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vpsravw_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCF, 0x06,// 847 = "vpsravw"

				// EVEX_Vpsravw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsravw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpmovusdb_xmmm32_k1z_xmm
				0x82,// 'v', Normal_2
				0xD0, 0x06,// 848 = "vpmovusdb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovusdb_xmmm64_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovusdb_xmmm128_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vpsllvw_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD1, 0x06,// 849 = "vpsllvw"

				// EVEX_Vpsllvw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsllvw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpmovusqb_xmmm16_k1z_xmm
				0x82,// 'v', Normal_2
				0xD2, 0x06,// 850 = "vpmovusqb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovusqb_xmmm32_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovusqb_xmmm64_k1z_zmm
				0x80,// 'v', Previous

				// VEX_Vcvtph2ps_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xD3, 0x06,// 851 = "vcvtph2ps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtph2ps_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vcvtph2ps_xmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vcvtph2ps_ymm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vcvtph2ps_zmm_k1z_ymmm256_sae
				0x80,// 'v', Previous

				// EVEX_Vpmovusdw_xmmm64_k1z_xmm
				0x82,// 'v', Normal_2
				0xD4, 0x06,// 852 = "vpmovusdw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovusdw_xmmm128_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovusdw_ymmm256_k1z_zmm
				0x80,// 'v', Previous

				// Blendvps_xmm_xmmm128
				0x25,// pblendvb
				0xD5, 0x06,// 853 = "blendvps"

				// EVEX_Vprorvd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xD6, 0x06,// 854 = "vprorvd"

				// EVEX_Vprorvd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vprorvd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vprorvq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xD7, 0x06,// 855 = "vprorvq"

				// EVEX_Vprorvq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vprorvq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpmovusqw_xmmm32_k1z_xmm
				0x82,// 'v', Normal_2
				0xD8, 0x06,// 856 = "vpmovusqw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovusqw_xmmm64_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovusqw_xmmm128_k1z_zmm
				0x80,// 'v', Previous

				// Blendvpd_xmm_xmmm128
				0x25,// pblendvb
				0xD9, 0x06,// 857 = "blendvpd"

				// EVEX_Vprolvd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xDA, 0x06,// 858 = "vprolvd"

				// EVEX_Vprolvd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vprolvd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vprolvq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xDB, 0x06,// 859 = "vprolvq"

				// EVEX_Vprolvq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vprolvq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpmovusqd_xmmm64_k1z_xmm
				0x82,// 'v', Normal_2
				0xDC, 0x06,// 860 = "vpmovusqd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovusqd_xmmm128_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovusqd_ymmm256_k1z_zmm
				0x80,// 'v', Previous

				// VEX_Vpermps_ymm_ymm_ymmm256
				0x81,// 'v', Normal_1
				0xDD, 0x06,// 861 = "vpermps"

				// EVEX_Vpermps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpermps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpermpd_ymm_k1z_ymm_ymmm256b64
				0x81,// 'v', Normal_1
				0xDE, 0x06,// 862 = "vpermpd"

				// EVEX_Vpermpd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Ptest_xmm_xmmm128
				0x02,// Normal_2
				0xDF, 0x06,// 863 = "ptest"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vptest_xmm_xmmm128
				0x82,// 'v', Normal_2
				0xDF, 0x06,// 863 = "vptest"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vptest_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vbroadcastss_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xE0, 0x06,// 864 = "vbroadcastss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vbroadcastss_ymm_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vbroadcastss_xmm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vbroadcastss_ymm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vbroadcastss_zmm_k1z_xmmm32
				0x80,// 'v', Previous

				// VEX_Vbroadcastsd_ymm_xmmm64
				0x82,// 'v', Normal_2
				0xE1, 0x06,// 865 = "vbroadcastsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcastf32x2_ymm_k1z_xmmm64
				0x82,// 'v', Normal_2
				0xE2, 0x06,// 866 = "vbroadcastf32x2"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcastf32x2_zmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vbroadcastsd_ymm_k1z_xmmm64
				0x82,// 'v', Normal_2
				0xE1, 0x06,// 865 = "vbroadcastsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcastsd_zmm_k1z_xmmm64
				0x80,// 'v', Previous

				// VEX_Vbroadcastf128_ymm_m128
				0x82,// 'v', Normal_2
				0xE3, 0x06,// 867 = "vbroadcastf128"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcastf32x4_ymm_k1z_m128
				0x82,// 'v', Normal_2
				0xE4, 0x06,// 868 = "vbroadcastf32x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcastf32x4_zmm_k1z_m128
				0x80,// 'v', Previous

				// EVEX_Vbroadcastf64x2_ymm_k1z_m128
				0x82,// 'v', Normal_2
				0xE5, 0x06,// 869 = "vbroadcastf64x2"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcastf64x2_zmm_k1z_m128
				0x80,// 'v', Previous

				// EVEX_Vbroadcastf32x8_zmm_k1z_m256
				0x82,// 'v', Normal_2
				0xE6, 0x06,// 870 = "vbroadcastf32x8"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcastf64x4_zmm_k1z_m256
				0x82,// 'v', Normal_2
				0xE7, 0x06,// 871 = "vbroadcastf64x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Pabsb_mm_mmm64
				0x1B,// mmxmem_1
				0x64,// 100 = "pabsb"

				// Pabsb_xmm_xmmm128
				0x01,// Normal_1
				0x64,// 100 = "pabsb"

				// VEX_Vpabsb_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x64,// 100 = "vpabsb"

				// VEX_Vpabsb_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpabsb_xmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpabsb_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpabsb_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Pabsw_mm_mmm64
				0x1B,// mmxmem_1
				0x65,// 101 = "pabsw"

				// Pabsw_xmm_xmmm128
				0x01,// Normal_1
				0x65,// 101 = "pabsw"

				// VEX_Vpabsw_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x65,// 101 = "vpabsw"

				// VEX_Vpabsw_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpabsw_xmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpabsw_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpabsw_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// Pabsd_mm_mmm64
				0x1B,// mmxmem_1
				0x66,// 102 = "pabsd"

				// Pabsd_xmm_xmmm128
				0x01,// Normal_1
				0x66,// 102 = "pabsd"

				// VEX_Vpabsd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x66,// 102 = "vpabsd"

				// VEX_Vpabsd_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpabsd_xmm_k1z_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpabsd_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpabsd_zmm_k1z_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpabsq_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0xE8, 0x06,// 872 = "vpabsq"

				// EVEX_Vpabsq_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpabsq_zmm_k1z_zmmm512b64
				0x80,// 'v', Previous

				// Pmovsxbw_xmm_xmmm64
				0x01,// Normal_1
				0xE9, 0x06,// 873 = "pmovsxbw"

				// VEX_Vpmovsxbw_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xE9, 0x06,// 873 = "vpmovsxbw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovsxbw_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovsxbw_xmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovsxbw_ymm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovsxbw_zmm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmovswb_xmmm64_k1z_xmm
				0x82,// 'v', Normal_2
				0xEA, 0x06,// 874 = "vpmovswb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovswb_xmmm128_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovswb_ymmm256_k1z_zmm
				0x80,// 'v', Previous

				// Pmovsxbd_xmm_xmmm32
				0x01,// Normal_1
				0xEB, 0x06,// 875 = "pmovsxbd"

				// VEX_Vpmovsxbd_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xEB, 0x06,// 875 = "vpmovsxbd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovsxbd_ymm_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovsxbd_xmm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpmovsxbd_ymm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovsxbd_zmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovsdb_xmmm32_k1z_xmm
				0x82,// 'v', Normal_2
				0xEC, 0x06,// 876 = "vpmovsdb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovsdb_xmmm64_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovsdb_xmmm128_k1z_zmm
				0x80,// 'v', Previous

				// Pmovsxbq_xmm_xmmm16
				0x01,// Normal_1
				0xED, 0x06,// 877 = "pmovsxbq"

				// VEX_Vpmovsxbq_xmm_xmmm16
				0x82,// 'v', Normal_2
				0xED, 0x06,// 877 = "vpmovsxbq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovsxbq_ymm_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpmovsxbq_xmm_k1z_xmmm16
				0x80,// 'v', Previous

				// EVEX_Vpmovsxbq_ymm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpmovsxbq_zmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovsqb_xmmm16_k1z_xmm
				0x82,// 'v', Normal_2
				0xEE, 0x06,// 878 = "vpmovsqb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovsqb_xmmm32_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovsqb_xmmm64_k1z_zmm
				0x80,// 'v', Previous

				// Pmovsxwd_xmm_xmmm64
				0x01,// Normal_1
				0xEF, 0x06,// 879 = "pmovsxwd"

				// VEX_Vpmovsxwd_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xEF, 0x06,// 879 = "vpmovsxwd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovsxwd_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovsxwd_xmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovsxwd_ymm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovsxwd_zmm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmovsdw_xmmm64_k1z_xmm
				0x82,// 'v', Normal_2
				0xF0, 0x06,// 880 = "vpmovsdw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovsdw_xmmm128_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovsdw_ymmm256_k1z_zmm
				0x80,// 'v', Previous

				// Pmovsxwq_xmm_xmmm32
				0x01,// Normal_1
				0xF1, 0x06,// 881 = "pmovsxwq"

				// VEX_Vpmovsxwq_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xF1, 0x06,// 881 = "vpmovsxwq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovsxwq_ymm_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovsxwq_xmm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpmovsxwq_ymm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovsxwq_zmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovsqw_xmmm32_k1z_xmm
				0x82,// 'v', Normal_2
				0xF2, 0x06,// 882 = "vpmovsqw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovsqw_xmmm64_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovsqw_xmmm128_k1z_zmm
				0x80,// 'v', Previous

				// Pmovsxdq_xmm_xmmm64
				0x01,// Normal_1
				0xF3, 0x06,// 883 = "pmovsxdq"

				// VEX_Vpmovsxdq_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xF3, 0x06,// 883 = "vpmovsxdq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovsxdq_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovsxdq_xmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovsxdq_ymm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovsxdq_zmm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmovsqd_xmmm64_k1z_xmm
				0x82,// 'v', Normal_2
				0xF4, 0x06,// 884 = "vpmovsqd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovsqd_xmmm128_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovsqd_ymmm256_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vptestmb_kr_k1_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xF5, 0x06,// 885 = "vptestmb"

				// EVEX_Vptestmb_kr_k1_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vptestmb_kr_k1_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vptestmw_kr_k1_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xF6, 0x06,// 886 = "vptestmw"

				// EVEX_Vptestmw_kr_k1_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vptestmw_kr_k1_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vptestnmb_kr_k1_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xF7, 0x06,// 887 = "vptestnmb"

				// EVEX_Vptestnmb_kr_k1_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vptestnmb_kr_k1_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vptestnmw_kr_k1_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xF8, 0x06,// 888 = "vptestnmw"

				// EVEX_Vptestnmw_kr_k1_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vptestnmw_kr_k1_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vptestmd_kr_k1_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xF9, 0x06,// 889 = "vptestmd"

				// EVEX_Vptestmd_kr_k1_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vptestmd_kr_k1_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vptestmq_kr_k1_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xFA, 0x06,// 890 = "vptestmq"

				// EVEX_Vptestmq_kr_k1_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vptestmq_kr_k1_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vptestnmd_kr_k1_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xFB, 0x06,// 891 = "vptestnmd"

				// EVEX_Vptestnmd_kr_k1_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vptestnmd_kr_k1_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vptestnmq_kr_k1_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xFC, 0x06,// 892 = "vptestnmq"

				// EVEX_Vptestnmq_kr_k1_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vptestnmq_kr_k1_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Pmuldq_xmm_xmmm128
				0x01,// Normal_1
				0xFD, 0x06,// 893 = "pmuldq"

				// VEX_Vpmuldq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xFD, 0x06,// 893 = "vpmuldq"

				// VEX_Vpmuldq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmuldq_xmm_k1z_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vpmuldq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpmuldq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpmovm2b_xmm_kr
				0x81,// 'v', Normal_1
				0xFE, 0x06,// 894 = "vpmovm2b"

				// EVEX_Vpmovm2b_ymm_kr
				0x80,// 'v', Previous

				// EVEX_Vpmovm2b_zmm_kr
				0x80,// 'v', Previous

				// EVEX_Vpmovm2w_xmm_kr
				0x81,// 'v', Normal_1
				0xFF, 0x06,// 895 = "vpmovm2w"

				// EVEX_Vpmovm2w_ymm_kr
				0x80,// 'v', Previous

				// EVEX_Vpmovm2w_zmm_kr
				0x80,// 'v', Previous

				// Pcmpeqq_xmm_xmmm128
				0x01,// Normal_1
				0x80, 0x07,// 896 = "pcmpeqq"

				// VEX_Vpcmpeqq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x80, 0x07,// 896 = "vpcmpeqq"

				// VEX_Vpcmpeqq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqq_kr_k1_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqq_kr_k1_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpcmpeqq_kr_k1_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpmovb2m_kr_xmm
				0x81,// 'v', Normal_1
				0x81, 0x07,// 897 = "vpmovb2m"

				// EVEX_Vpmovb2m_kr_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovb2m_kr_zmm
				0x80,// 'v', Previous

				// EVEX_Vpmovw2m_kr_xmm
				0x81,// 'v', Normal_1
				0x82, 0x07,// 898 = "vpmovw2m"

				// EVEX_Vpmovw2m_kr_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovw2m_kr_zmm
				0x80,// 'v', Previous

				// Movntdqa_xmm_m128
				0x02,// Normal_2
				0x83, 0x07,// 899 = "movntdqa"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovntdqa_xmm_m128
				0x82,// 'v', Normal_2
				0x83, 0x07,// 899 = "vmovntdqa"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmovntdqa_ymm_m256
				0x80,// 'v', Previous

				// EVEX_Vmovntdqa_xmm_m128
				0x80,// 'v', Previous

				// EVEX_Vmovntdqa_ymm_m256
				0x80,// 'v', Previous

				// EVEX_Vmovntdqa_zmm_m512
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastmb2q_xmm_kr
				0x81,// 'v', Normal_1
				0x84, 0x07,// 900 = "vpbroadcastmb2q"

				// EVEX_Vpbroadcastmb2q_ymm_kr
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastmb2q_zmm_kr
				0x80,// 'v', Previous

				// Packusdw_xmm_xmmm128
				0x01,// Normal_1
				0x85, 0x07,// 901 = "packusdw"

				// VEX_Vpackusdw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x85, 0x07,// 901 = "vpackusdw"

				// VEX_Vpackusdw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpackusdw_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpackusdw_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpackusdw_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// VEX_Vmaskmovps_xmm_xmm_m128
				0x81,// 'v', Normal_1
				0x86, 0x07,// 902 = "vmaskmovps"

				// VEX_Vmaskmovps_ymm_ymm_m256
				0x80,// 'v', Previous

				// EVEX_Vscalefps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0x87, 0x07,// 903 = "vscalefps"

				// EVEX_Vscalefps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vscalefps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vscalefpd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0x88, 0x07,// 904 = "vscalefpd"

				// EVEX_Vscalefpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vscalefpd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vmaskmovpd_xmm_xmm_m128
				0x81,// 'v', Normal_1
				0x89, 0x07,// 905 = "vmaskmovpd"

				// VEX_Vmaskmovpd_ymm_ymm_m256
				0x80,// 'v', Previous

				// EVEX_Vscalefss_xmm_k1z_xmm_xmmm32_er
				0x82,// 'v', Normal_2
				0x8A, 0x07,// 906 = "vscalefss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vscalefsd_xmm_k1z_xmm_xmmm64_er
				0x82,// 'v', Normal_2
				0x8B, 0x07,// 907 = "vscalefsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vmaskmovps_m128_xmm_xmm
				0x81,// 'v', Normal_1
				0x86, 0x07,// 902 = "vmaskmovps"

				// VEX_Vmaskmovps_m256_ymm_ymm
				0x80,// 'v', Previous

				// VEX_Vmaskmovpd_m128_xmm_xmm
				0x81,// 'v', Normal_1
				0x89, 0x07,// 905 = "vmaskmovpd"

				// VEX_Vmaskmovpd_m256_ymm_ymm
				0x80,// 'v', Previous

				// Pmovzxbw_xmm_xmmm64
				0x01,// Normal_1
				0x8C, 0x07,// 908 = "pmovzxbw"

				// VEX_Vpmovzxbw_xmm_xmmm64
				0x82,// 'v', Normal_2
				0x8C, 0x07,// 908 = "vpmovzxbw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovzxbw_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovzxbw_xmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovzxbw_ymm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovzxbw_zmm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmovwb_xmmm64_k1z_xmm
				0x82,// 'v', Normal_2
				0x8D, 0x07,// 909 = "vpmovwb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovwb_xmmm128_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovwb_ymmm256_k1z_zmm
				0x80,// 'v', Previous

				// Pmovzxbd_xmm_xmmm32
				0x01,// Normal_1
				0x8E, 0x07,// 910 = "pmovzxbd"

				// VEX_Vpmovzxbd_xmm_xmmm32
				0x82,// 'v', Normal_2
				0x8E, 0x07,// 910 = "vpmovzxbd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovzxbd_ymm_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovzxbd_xmm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpmovzxbd_ymm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovzxbd_zmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovdb_xmmm32_k1z_xmm
				0x82,// 'v', Normal_2
				0x8F, 0x07,// 911 = "vpmovdb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovdb_xmmm64_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovdb_xmmm128_k1z_zmm
				0x80,// 'v', Previous

				// Pmovzxbq_xmm_xmmm16
				0x01,// Normal_1
				0x90, 0x07,// 912 = "pmovzxbq"

				// VEX_Vpmovzxbq_xmm_xmmm16
				0x82,// 'v', Normal_2
				0x90, 0x07,// 912 = "vpmovzxbq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovzxbq_ymm_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpmovzxbq_xmm_k1z_xmmm16
				0x80,// 'v', Previous

				// EVEX_Vpmovzxbq_ymm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpmovzxbq_zmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovqb_xmmm16_k1z_xmm
				0x82,// 'v', Normal_2
				0x91, 0x07,// 913 = "vpmovqb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovqb_xmmm32_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovqb_xmmm64_k1z_zmm
				0x80,// 'v', Previous

				// Pmovzxwd_xmm_xmmm64
				0x01,// Normal_1
				0x92, 0x07,// 914 = "pmovzxwd"

				// VEX_Vpmovzxwd_xmm_xmmm64
				0x82,// 'v', Normal_2
				0x92, 0x07,// 914 = "vpmovzxwd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovzxwd_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovzxwd_xmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovzxwd_ymm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovzxwd_zmm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmovdw_xmmm64_k1z_xmm
				0x82,// 'v', Normal_2
				0x93, 0x07,// 915 = "vpmovdw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovdw_xmmm128_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovdw_ymmm256_k1z_zmm
				0x80,// 'v', Previous

				// Pmovzxwq_xmm_xmmm32
				0x01,// Normal_1
				0x94, 0x07,// 916 = "pmovzxwq"

				// VEX_Vpmovzxwq_xmm_xmmm32
				0x82,// 'v', Normal_2
				0x94, 0x07,// 916 = "vpmovzxwq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovzxwq_ymm_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovzxwq_xmm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpmovzxwq_ymm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovzxwq_zmm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovqw_xmmm32_k1z_xmm
				0x82,// 'v', Normal_2
				0x95, 0x07,// 917 = "vpmovqw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovqw_xmmm64_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovqw_xmmm128_k1z_zmm
				0x80,// 'v', Previous

				// Pmovzxdq_xmm_xmmm64
				0x01,// Normal_1
				0x96, 0x07,// 918 = "pmovzxdq"

				// VEX_Vpmovzxdq_xmm_xmmm64
				0x82,// 'v', Normal_2
				0x96, 0x07,// 918 = "vpmovzxdq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpmovzxdq_ymm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovzxdq_xmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpmovzxdq_ymm_k1z_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmovzxdq_zmm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmovqd_xmmm64_k1z_xmm
				0x82,// 'v', Normal_2
				0x97, 0x07,// 919 = "vpmovqd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpmovqd_xmmm128_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovqd_ymmm256_k1z_zmm
				0x80,// 'v', Previous

				// VEX_Vpermd_ymm_ymm_ymmm256
				0x81,// 'v', Normal_1
				0x98, 0x07,// 920 = "vpermd"

				// EVEX_Vpermd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpermd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpermq_ymm_k1z_ymm_ymmm256b64
				0x81,// 'v', Normal_1
				0x99, 0x07,// 921 = "vpermq"

				// EVEX_Vpermq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Pcmpgtq_xmm_xmmm128
				0x01,// Normal_1
				0x9A, 0x07,// 922 = "pcmpgtq"

				// VEX_Vpcmpgtq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9A, 0x07,// 922 = "vpcmpgtq"

				// VEX_Vpcmpgtq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtq_kr_k1_xmm_xmmm128b64
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtq_kr_k1_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpcmpgtq_kr_k1_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Pminsb_xmm_xmmm128
				0x01,// Normal_1
				0x9B, 0x07,// 923 = "pminsb"

				// VEX_Vpminsb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9B, 0x07,// 923 = "vpminsb"

				// VEX_Vpminsb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminsb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpminsb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminsb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpmovm2d_xmm_kr
				0x81,// 'v', Normal_1
				0x9C, 0x07,// 924 = "vpmovm2d"

				// EVEX_Vpmovm2d_ymm_kr
				0x80,// 'v', Previous

				// EVEX_Vpmovm2d_zmm_kr
				0x80,// 'v', Previous

				// EVEX_Vpmovm2q_xmm_kr
				0x81,// 'v', Normal_1
				0x9D, 0x07,// 925 = "vpmovm2q"

				// EVEX_Vpmovm2q_ymm_kr
				0x80,// 'v', Previous

				// EVEX_Vpmovm2q_zmm_kr
				0x80,// 'v', Previous

				// Pminsd_xmm_xmmm128
				0x01,// Normal_1
				0x9E, 0x07,// 926 = "pminsd"

				// VEX_Vpminsd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9E, 0x07,// 926 = "vpminsd"

				// VEX_Vpminsd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminsd_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpminsd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpminsd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpminsq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0x9F, 0x07,// 927 = "vpminsq"

				// EVEX_Vpminsq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpminsq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpmovd2m_kr_xmm
				0x81,// 'v', Normal_1
				0xA0, 0x07,// 928 = "vpmovd2m"

				// EVEX_Vpmovd2m_kr_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovd2m_kr_zmm
				0x80,// 'v', Previous

				// EVEX_Vpmovq2m_kr_xmm
				0x81,// 'v', Normal_1
				0xA1, 0x07,// 929 = "vpmovq2m"

				// EVEX_Vpmovq2m_kr_ymm
				0x80,// 'v', Previous

				// EVEX_Vpmovq2m_kr_zmm
				0x80,// 'v', Previous

				// Pminuw_xmm_xmmm128
				0x01,// Normal_1
				0xA2, 0x07,// 930 = "pminuw"

				// VEX_Vpminuw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xA2, 0x07,// 930 = "vpminuw"

				// VEX_Vpminuw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminuw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpminuw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminuw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastmw2d_xmm_kr
				0x81,// 'v', Normal_1
				0xA3, 0x07,// 931 = "vpbroadcastmw2d"

				// EVEX_Vpbroadcastmw2d_ymm_kr
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastmw2d_zmm_kr
				0x80,// 'v', Previous

				// Pminud_xmm_xmmm128
				0x01,// Normal_1
				0xA4, 0x07,// 932 = "pminud"

				// VEX_Vpminud_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xA4, 0x07,// 932 = "vpminud"

				// VEX_Vpminud_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpminud_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpminud_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpminud_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpminuq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xA5, 0x07,// 933 = "vpminuq"

				// EVEX_Vpminuq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpminuq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Pmaxsb_xmm_xmmm128
				0x01,// Normal_1
				0xA6, 0x07,// 934 = "pmaxsb"

				// VEX_Vpmaxsb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xA6, 0x07,// 934 = "vpmaxsb"

				// VEX_Vpmaxsb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxsb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmaxsb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxsb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pmaxsd_xmm_xmmm128
				0x01,// Normal_1
				0xA7, 0x07,// 935 = "pmaxsd"

				// VEX_Vpmaxsd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xA7, 0x07,// 935 = "vpmaxsd"

				// VEX_Vpmaxsd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxsd_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpmaxsd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpmaxsd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpmaxsq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xA8, 0x07,// 936 = "vpmaxsq"

				// EVEX_Vpmaxsq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpmaxsq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Pmaxuw_xmm_xmmm128
				0x01,// Normal_1
				0xA9, 0x07,// 937 = "pmaxuw"

				// VEX_Vpmaxuw_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xA9, 0x07,// 937 = "vpmaxuw"

				// VEX_Vpmaxuw_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxuw_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vpmaxuw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxuw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Pmaxud_xmm_xmmm128
				0x01,// Normal_1
				0xAA, 0x07,// 938 = "pmaxud"

				// VEX_Vpmaxud_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAA, 0x07,// 938 = "vpmaxud"

				// VEX_Vpmaxud_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmaxud_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpmaxud_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpmaxud_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpmaxuq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xAB, 0x07,// 939 = "vpmaxuq"

				// EVEX_Vpmaxuq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpmaxuq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Pmulld_xmm_xmmm128
				0x01,// Normal_1
				0xAC, 0x07,// 940 = "pmulld"

				// VEX_Vpmulld_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAC, 0x07,// 940 = "vpmulld"

				// VEX_Vpmulld_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpmulld_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpmulld_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpmulld_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpmullq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xAD, 0x07,// 941 = "vpmullq"

				// EVEX_Vpmullq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpmullq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Phminposuw_xmm_xmmm128
				0x01,// Normal_1
				0xAE, 0x07,// 942 = "phminposuw"

				// VEX_Vphminposuw_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAE, 0x07,// 942 = "vphminposuw"

				// EVEX_Vgetexpps_xmm_k1z_xmmm128b32
				0x81,// 'v', Normal_1
				0xAF, 0x07,// 943 = "vgetexpps"

				// EVEX_Vgetexpps_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vgetexpps_zmm_k1z_zmmm512b32_sae
				0x80,// 'v', Previous

				// EVEX_Vgetexppd_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0xB0, 0x07,// 944 = "vgetexppd"

				// EVEX_Vgetexppd_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vgetexppd_zmm_k1z_zmmm512b64_sae
				0x80,// 'v', Previous

				// EVEX_Vgetexpss_xmm_k1z_xmm_xmmm32_sae
				0x81,// 'v', Normal_1
				0xB1, 0x07,// 945 = "vgetexpss"

				// EVEX_Vgetexpsd_xmm_k1z_xmm_xmmm64_sae
				0x81,// 'v', Normal_1
				0xB2, 0x07,// 946 = "vgetexpsd"

				// EVEX_Vplzcntd_xmm_k1z_xmmm128b32
				0x81,// 'v', Normal_1
				0xB3, 0x07,// 947 = "vplzcntd"

				// EVEX_Vplzcntd_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vplzcntd_zmm_k1z_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vplzcntq_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0xB4, 0x07,// 948 = "vplzcntq"

				// EVEX_Vplzcntq_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vplzcntq_zmm_k1z_zmmm512b64
				0x80,// 'v', Previous

				// VEX_Vpsrlvd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB5, 0x07,// 949 = "vpsrlvd"

				// VEX_Vpsrlvd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vpsrlvq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB6, 0x07,// 950 = "vpsrlvq"

				// VEX_Vpsrlvq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsrlvd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xB5, 0x07,// 949 = "vpsrlvd"

				// EVEX_Vpsrlvd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpsrlvd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpsrlvq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xB6, 0x07,// 950 = "vpsrlvq"

				// EVEX_Vpsrlvq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpsrlvq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// VEX_Vpsravd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB7, 0x07,// 951 = "vpsravd"

				// VEX_Vpsravd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsravd_xmm_k1z_xmm_xmmm128b32
				0x80,// 'v', Previous

				// EVEX_Vpsravd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpsravd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpsravq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xB8, 0x07,// 952 = "vpsravq"

				// EVEX_Vpsravq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpsravq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// VEX_Vpsllvd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB9, 0x07,// 953 = "vpsllvd"

				// VEX_Vpsllvd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vpsllvq_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xBA, 0x07,// 954 = "vpsllvq"

				// VEX_Vpsllvq_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpsllvd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xB9, 0x07,// 953 = "vpsllvd"

				// EVEX_Vpsllvd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpsllvd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpsllvq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xBA, 0x07,// 954 = "vpsllvq"

				// EVEX_Vpsllvq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpsllvq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vrcp14ps_xmm_k1z_xmmm128b32
				0x81,// 'v', Normal_1
				0xBB, 0x07,// 955 = "vrcp14ps"

				// EVEX_Vrcp14ps_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vrcp14ps_zmm_k1z_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vrcp14pd_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0xBC, 0x07,// 956 = "vrcp14pd"

				// EVEX_Vrcp14pd_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vrcp14pd_zmm_k1z_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vrcp14ss_xmm_k1z_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xBD, 0x07,// 957 = "vrcp14ss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vrcp14sd_xmm_k1z_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xBE, 0x07,// 958 = "vrcp14sd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vrsqrt14ps_xmm_k1z_xmmm128b32
				0x81,// 'v', Normal_1
				0xBF, 0x07,// 959 = "vrsqrt14ps"

				// EVEX_Vrsqrt14ps_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vrsqrt14ps_zmm_k1z_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vrsqrt14pd_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0xC0, 0x07,// 960 = "vrsqrt14pd"

				// EVEX_Vrsqrt14pd_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vrsqrt14pd_zmm_k1z_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vrsqrt14ss_xmm_k1z_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xC1, 0x07,// 961 = "vrsqrt14ss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vrsqrt14sd_xmm_k1z_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xC2, 0x07,// 962 = "vrsqrt14sd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpdpbusd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xC3, 0x07,// 963 = "vpdpbusd"

				// EVEX_Vpdpbusd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpdpbusd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpdpbusds_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xC4, 0x07,// 964 = "vpdpbusds"

				// EVEX_Vpdpbusds_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpdpbusds_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpdpwssd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xC5, 0x07,// 965 = "vpdpwssd"

				// EVEX_Vpdpwssd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpdpwssd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vdpbf16ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xC6, 0x07,// 966 = "vdpbf16ps"

				// EVEX_Vdpbf16ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vdpbf16ps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vp4dpwssd_zmm_k1z_zmmp3_m128
				0x82,// 'v', Normal_2
				0xC7, 0x07,// 967 = "vp4dpwssd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpdpwssds_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xC8, 0x07,// 968 = "vpdpwssds"

				// EVEX_Vpdpwssds_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpdpwssds_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vp4dpwssds_zmm_k1z_zmmp3_m128
				0x82,// 'v', Normal_2
				0xC9, 0x07,// 969 = "vp4dpwssds"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpopcntb_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xCA, 0x07,// 970 = "vpopcntb"

				// EVEX_Vpopcntb_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpopcntb_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpopcntw_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xCB, 0x07,// 971 = "vpopcntw"

				// EVEX_Vpopcntw_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpopcntw_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpopcntd_xmm_k1z_xmmm128b32
				0x81,// 'v', Normal_1
				0xCC, 0x07,// 972 = "vpopcntd"

				// EVEX_Vpopcntd_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpopcntd_zmm_k1z_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpopcntq_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0xCD, 0x07,// 973 = "vpopcntq"

				// EVEX_Vpopcntq_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpopcntq_zmm_k1z_zmmm512b64
				0x80,// 'v', Previous

				// VEX_Vpbroadcastd_xmm_xmmm32
				0x82,// 'v', Normal_2
				0x31,// 49 = "vpbroadcastd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpbroadcastd_ymm_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastd_xmm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastd_ymm_k1z_xmmm32
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastd_zmm_k1z_xmmm32
				0x80,// 'v', Previous

				// VEX_Vpbroadcastq_xmm_xmmm64
				0x82,// 'v', Normal_2
				0x32,// 50 = "vpbroadcastq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpbroadcastq_ymm_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vbroadcasti32x2_xmm_k1z_xmmm64
				0x82,// 'v', Normal_2
				0xCE, 0x07,// 974 = "vbroadcasti32x2"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcasti32x2_ymm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vbroadcasti32x2_zmm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastq_xmm_k1z_xmmm64
				0x82,// 'v', Normal_2
				0x32,// 50 = "vpbroadcastq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpbroadcastq_ymm_k1z_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastq_zmm_k1z_xmmm64
				0x80,// 'v', Previous

				// VEX_Vbroadcasti128_ymm_m128
				0x82,// 'v', Normal_2
				0xCF, 0x07,// 975 = "vbroadcasti128"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcasti32x4_ymm_k1z_m128
				0x82,// 'v', Normal_2
				0xD0, 0x07,// 976 = "vbroadcasti32x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcasti32x4_zmm_k1z_m128
				0x80,// 'v', Previous

				// EVEX_Vbroadcasti64x2_ymm_k1z_m128
				0x82,// 'v', Normal_2
				0xD1, 0x07,// 977 = "vbroadcasti64x2"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcasti64x2_zmm_k1z_m128
				0x80,// 'v', Previous

				// EVEX_Vbroadcasti32x8_zmm_k1z_m256
				0x82,// 'v', Normal_2
				0xD2, 0x07,// 978 = "vbroadcasti32x8"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vbroadcasti64x4_zmm_k1z_m256
				0x82,// 'v', Normal_2
				0xD3, 0x07,// 979 = "vbroadcasti64x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpexpandb_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xD4, 0x07,// 980 = "vpexpandb"

				// EVEX_Vpexpandb_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpexpandb_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpexpandw_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xD5, 0x07,// 981 = "vpexpandw"

				// EVEX_Vpexpandw_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpexpandw_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpcompressb_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xD6, 0x07,// 982 = "vpcompressb"

				// EVEX_Vpcompressb_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpcompressb_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vpcompressw_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xD7, 0x07,// 983 = "vpcompressw"

				// EVEX_Vpcompressw_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpcompressw_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vpblendmd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xD8, 0x07,// 984 = "vpblendmd"

				// EVEX_Vpblendmd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpblendmd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpblendmq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xD9, 0x07,// 985 = "vpblendmq"

				// EVEX_Vpblendmq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpblendmq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vblendmps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xDA, 0x07,// 986 = "vblendmps"

				// EVEX_Vblendmps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vblendmps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vblendmpd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xDB, 0x07,// 987 = "vblendmpd"

				// EVEX_Vblendmpd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vblendmpd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpblendmb_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xDC, 0x07,// 988 = "vpblendmb"

				// EVEX_Vpblendmb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpblendmb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpblendmw_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xDD, 0x07,// 989 = "vpblendmw"

				// EVEX_Vpblendmw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpblendmw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vp2intersectd_kp1_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xDE, 0x07,// 990 = "vp2intersectd"

				// EVEX_Vp2intersectd_kp1_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vp2intersectd_kp1_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vp2intersectq_kp1_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xDF, 0x07,// 991 = "vp2intersectq"

				// EVEX_Vp2intersectq_kp1_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vp2intersectq_kp1_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpshldvw_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE0, 0x07,// 992 = "vpshldvw"

				// EVEX_Vpshldvw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpshldvw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpshldvd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xE1, 0x07,// 993 = "vpshldvd"

				// EVEX_Vpshldvd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpshldvd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpshldvq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xE2, 0x07,// 994 = "vpshldvq"

				// EVEX_Vpshldvq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpshldvq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpshrdvw_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE3, 0x07,// 995 = "vpshrdvw"

				// EVEX_Vpshrdvw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpshrdvw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vcvtneps2bf16_xmm_k1z_xmmm128b32
				0x82,// 'v', Normal_2
				0xE4, 0x07,// 996 = "vcvtneps2bf16"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vcvtneps2bf16_xmm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vcvtneps2bf16_ymm_k1z_zmmm512b32
				0x82,// 'v', Normal_2
				0xE4, 0x07,// 996 = "vcvtneps2bf16"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vcvtne2ps2bf16_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xE5, 0x07,// 997 = "vcvtne2ps2bf16"

				// EVEX_Vcvtne2ps2bf16_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vcvtne2ps2bf16_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpshrdvd_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xE6, 0x07,// 998 = "vpshrdvd"

				// EVEX_Vpshrdvd_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpshrdvd_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpshrdvq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xE7, 0x07,// 999 = "vpshrdvq"

				// EVEX_Vpshrdvq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpshrdvq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpermi2b_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE8, 0x07,// 1000 = "vpermi2b"

				// EVEX_Vpermi2b_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpermi2b_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpermi2w_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xE9, 0x07,// 1001 = "vpermi2w"

				// EVEX_Vpermi2w_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpermi2w_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpermi2d_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xEA, 0x07,// 1002 = "vpermi2d"

				// EVEX_Vpermi2d_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpermi2d_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpermi2q_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xEB, 0x07,// 1003 = "vpermi2q"

				// EVEX_Vpermi2q_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpermi2q_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpermi2ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xEC, 0x07,// 1004 = "vpermi2ps"

				// EVEX_Vpermi2ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpermi2ps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpermi2pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xED, 0x07,// 1005 = "vpermi2pd"

				// EVEX_Vpermi2pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpermi2pd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// VEX_Vpbroadcastb_xmm_xmmm8
				0x82,// 'v', Normal_2
				0x33,// 51 = "vpbroadcastb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpbroadcastb_ymm_xmmm8
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastb_xmm_k1z_xmmm8
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastb_ymm_k1z_xmmm8
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastb_zmm_k1z_xmmm8
				0x80,// 'v', Previous

				// VEX_Vpbroadcastw_xmm_xmmm16
				0x82,// 'v', Normal_2
				0x34,// 52 = "vpbroadcastw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpbroadcastw_ymm_xmmm16
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastw_xmm_k1z_xmmm16
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastw_ymm_k1z_xmmm16
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastw_zmm_k1z_xmmm16
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastb_xmm_k1z_r32
				0x81,// 'v', Normal_1
				0x33,// 51 = "vpbroadcastb"

				// EVEX_Vpbroadcastb_ymm_k1z_r32
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastb_zmm_k1z_r32
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastw_xmm_k1z_r32
				0x81,// 'v', Normal_1
				0x34,// 52 = "vpbroadcastw"

				// EVEX_Vpbroadcastw_ymm_k1z_r32
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastw_zmm_k1z_r32
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastd_xmm_k1z_r32
				0x81,// 'v', Normal_1
				0x31,// 49 = "vpbroadcastd"

				// EVEX_Vpbroadcastd_ymm_k1z_r32
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastd_zmm_k1z_r32
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastq_xmm_k1z_r64
				0x81,// 'v', Normal_1
				0x32,// 50 = "vpbroadcastq"

				// EVEX_Vpbroadcastq_ymm_k1z_r64
				0x80,// 'v', Previous

				// EVEX_Vpbroadcastq_zmm_k1z_r64
				0x80,// 'v', Previous

				// EVEX_Vpermt2b_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xEE, 0x07,// 1006 = "vpermt2b"

				// EVEX_Vpermt2b_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpermt2b_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpermt2w_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xEF, 0x07,// 1007 = "vpermt2w"

				// EVEX_Vpermt2w_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpermt2w_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpermt2d_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xF0, 0x07,// 1008 = "vpermt2d"

				// EVEX_Vpermt2d_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpermt2d_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpermt2q_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xF1, 0x07,// 1009 = "vpermt2q"

				// EVEX_Vpermt2q_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpermt2q_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpermt2ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xF2, 0x07,// 1010 = "vpermt2ps"

				// EVEX_Vpermt2ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpermt2ps_zmm_k1z_zmm_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpermt2pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xF3, 0x07,// 1011 = "vpermt2pd"

				// EVEX_Vpermt2pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpermt2pd_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// Invept_r32_m128
				0x02,// Normal_2
				0xF4, 0x07,// 1012 = "invept"
				0x0A,// 0xA = MemSize_Normal, ShowNoMemSize_ForceSize

				// Invept_r64_m128
				0x00,// Previous

				// Invvpid_r32_m128
				0x02,// Normal_2
				0xF5, 0x07,// 1013 = "invvpid"
				0x0A,// 0xA = MemSize_Normal, ShowNoMemSize_ForceSize

				// Invvpid_r64_m128
				0x00,// Previous

				// Invpcid_r32_m128
				0x02,// Normal_2
				0xF6, 0x07,// 1014 = "invpcid"
				0x0A,// 0xA = MemSize_Normal, ShowNoMemSize_ForceSize

				// Invpcid_r64_m128
				0x00,// Previous

				// EVEX_Vpmultishiftqb_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xF7, 0x07,// 1015 = "vpmultishiftqb"

				// EVEX_Vpmultishiftqb_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpmultishiftqb_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vexpandps_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xF8, 0x07,// 1016 = "vexpandps"

				// EVEX_Vexpandps_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vexpandps_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vexpandpd_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xF9, 0x07,// 1017 = "vexpandpd"

				// EVEX_Vexpandpd_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vexpandpd_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpexpandd_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xFA, 0x07,// 1018 = "vpexpandd"

				// EVEX_Vpexpandd_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpexpandd_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpexpandq_xmm_k1z_xmmm128
				0x81,// 'v', Normal_1
				0xFB, 0x07,// 1019 = "vpexpandq"

				// EVEX_Vpexpandq_ymm_k1z_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpexpandq_zmm_k1z_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vcompressps_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xFC, 0x07,// 1020 = "vcompressps"

				// EVEX_Vcompressps_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vcompressps_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vcompresspd_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xFD, 0x07,// 1021 = "vcompresspd"

				// EVEX_Vcompresspd_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vcompresspd_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vpcompressd_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xFE, 0x07,// 1022 = "vpcompressd"

				// EVEX_Vpcompressd_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpcompressd_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// EVEX_Vpcompressq_xmmm128_k1z_xmm
				0x81,// 'v', Normal_1
				0xFF, 0x07,// 1023 = "vpcompressq"

				// EVEX_Vpcompressq_ymmm256_k1z_ymm
				0x80,// 'v', Previous

				// EVEX_Vpcompressq_zmmm512_k1z_zmm
				0x80,// 'v', Previous

				// VEX_Vpmaskmovd_xmm_xmm_m128
				0x81,// 'v', Normal_1
				0x80, 0x08,// 1024 = "vpmaskmovd"

				// VEX_Vpmaskmovd_ymm_ymm_m256
				0x80,// 'v', Previous

				// VEX_Vpmaskmovq_xmm_xmm_m128
				0x81,// 'v', Normal_1
				0x81, 0x08,// 1025 = "vpmaskmovq"

				// VEX_Vpmaskmovq_ymm_ymm_m256
				0x80,// 'v', Previous

				// EVEX_Vpermb_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x82, 0x08,// 1026 = "vpermb"

				// EVEX_Vpermb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpermb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// EVEX_Vpermw_xmm_k1z_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x83, 0x08,// 1027 = "vpermw"

				// EVEX_Vpermw_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpermw_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// VEX_Vpmaskmovd_m128_xmm_xmm
				0x81,// 'v', Normal_1
				0x80, 0x08,// 1024 = "vpmaskmovd"

				// VEX_Vpmaskmovd_m256_ymm_ymm
				0x80,// 'v', Previous

				// VEX_Vpmaskmovq_m128_xmm_xmm
				0x81,// 'v', Normal_1
				0x81, 0x08,// 1025 = "vpmaskmovq"

				// VEX_Vpmaskmovq_m256_ymm_ymm
				0x80,// 'v', Previous

				// EVEX_Vpshufbitqmb_kr_k1_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x84, 0x08,// 1028 = "vpshufbitqmb"

				// EVEX_Vpshufbitqmb_kr_k1_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vpshufbitqmb_kr_k1_zmm_zmmm512
				0x80,// 'v', Previous

				// VEX_Vpgatherdd_xmm_vm32x_xmm
				0x81,// 'v', Normal_1
				0x85, 0x08,// 1029 = "vpgatherdd"

				// VEX_Vpgatherdd_ymm_vm32y_ymm
				0x80,// 'v', Previous

				// VEX_Vpgatherdq_xmm_vm32x_xmm
				0x81,// 'v', Normal_1
				0x86, 0x08,// 1030 = "vpgatherdq"

				// VEX_Vpgatherdq_ymm_vm32x_ymm
				0x80,// 'v', Previous

				// EVEX_Vpgatherdd_xmm_k1_vm32x
				0x81,// 'v', Normal_1
				0x85, 0x08,// 1029 = "vpgatherdd"

				// EVEX_Vpgatherdd_ymm_k1_vm32y
				0x80,// 'v', Previous

				// EVEX_Vpgatherdd_zmm_k1_vm32z
				0x80,// 'v', Previous

				// EVEX_Vpgatherdq_xmm_k1_vm32x
				0x81,// 'v', Normal_1
				0x86, 0x08,// 1030 = "vpgatherdq"

				// EVEX_Vpgatherdq_ymm_k1_vm32x
				0x80,// 'v', Previous

				// EVEX_Vpgatherdq_zmm_k1_vm32y
				0x80,// 'v', Previous

				// VEX_Vpgatherqd_xmm_vm64x_xmm
				0x81,// 'v', Normal_1
				0x87, 0x08,// 1031 = "vpgatherqd"

				// VEX_Vpgatherqd_xmm_vm64y_xmm
				0x80,// 'v', Previous

				// VEX_Vpgatherqq_xmm_vm64x_xmm
				0x81,// 'v', Normal_1
				0x88, 0x08,// 1032 = "vpgatherqq"

				// VEX_Vpgatherqq_ymm_vm64y_ymm
				0x80,// 'v', Previous

				// EVEX_Vpgatherqd_xmm_k1_vm64x
				0x81,// 'v', Normal_1
				0x87, 0x08,// 1031 = "vpgatherqd"

				// EVEX_Vpgatherqd_xmm_k1_vm64y
				0x80,// 'v', Previous

				// EVEX_Vpgatherqd_ymm_k1_vm64z
				0x80,// 'v', Previous

				// EVEX_Vpgatherqq_xmm_k1_vm64x
				0x81,// 'v', Normal_1
				0x88, 0x08,// 1032 = "vpgatherqq"

				// EVEX_Vpgatherqq_ymm_k1_vm64y
				0x80,// 'v', Previous

				// EVEX_Vpgatherqq_zmm_k1_vm64z
				0x80,// 'v', Previous

				// VEX_Vgatherdps_xmm_vm32x_xmm
				0x81,// 'v', Normal_1
				0x89, 0x08,// 1033 = "vgatherdps"

				// VEX_Vgatherdps_ymm_vm32y_ymm
				0x80,// 'v', Previous

				// VEX_Vgatherdpd_xmm_vm32x_xmm
				0x81,// 'v', Normal_1
				0x8A, 0x08,// 1034 = "vgatherdpd"

				// VEX_Vgatherdpd_ymm_vm32x_ymm
				0x80,// 'v', Previous

				// EVEX_Vgatherdps_xmm_k1_vm32x
				0x81,// 'v', Normal_1
				0x89, 0x08,// 1033 = "vgatherdps"

				// EVEX_Vgatherdps_ymm_k1_vm32y
				0x80,// 'v', Previous

				// EVEX_Vgatherdps_zmm_k1_vm32z
				0x80,// 'v', Previous

				// EVEX_Vgatherdpd_xmm_k1_vm32x
				0x81,// 'v', Normal_1
				0x8A, 0x08,// 1034 = "vgatherdpd"

				// EVEX_Vgatherdpd_ymm_k1_vm32x
				0x80,// 'v', Previous

				// EVEX_Vgatherdpd_zmm_k1_vm32y
				0x80,// 'v', Previous

				// VEX_Vgatherqps_xmm_vm64x_xmm
				0x81,// 'v', Normal_1
				0x8B, 0x08,// 1035 = "vgatherqps"

				// VEX_Vgatherqps_xmm_vm64y_xmm
				0x80,// 'v', Previous

				// VEX_Vgatherqpd_xmm_vm64x_xmm
				0x81,// 'v', Normal_1
				0x8C, 0x08,// 1036 = "vgatherqpd"

				// VEX_Vgatherqpd_ymm_vm64y_ymm
				0x80,// 'v', Previous

				// EVEX_Vgatherqps_xmm_k1_vm64x
				0x81,// 'v', Normal_1
				0x8B, 0x08,// 1035 = "vgatherqps"

				// EVEX_Vgatherqps_xmm_k1_vm64y
				0x80,// 'v', Previous

				// EVEX_Vgatherqps_ymm_k1_vm64z
				0x80,// 'v', Previous

				// EVEX_Vgatherqpd_xmm_k1_vm64x
				0x81,// 'v', Normal_1
				0x8C, 0x08,// 1036 = "vgatherqpd"

				// EVEX_Vgatherqpd_ymm_k1_vm64y
				0x80,// 'v', Previous

				// EVEX_Vgatherqpd_zmm_k1_vm64z
				0x80,// 'v', Previous

				// VEX_Vfmaddsub132ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x8D, 0x08,// 1037 = "vfmaddsub132ps"

				// VEX_Vfmaddsub132ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmaddsub132pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x8E, 0x08,// 1038 = "vfmaddsub132pd"

				// VEX_Vfmaddsub132pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub132ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0x8D, 0x08,// 1037 = "vfmaddsub132ps"

				// EVEX_Vfmaddsub132ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub132ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub132pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0x8E, 0x08,// 1038 = "vfmaddsub132pd"

				// EVEX_Vfmaddsub132pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub132pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmsubadd132ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x8F, 0x08,// 1039 = "vfmsubadd132ps"

				// VEX_Vfmsubadd132ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsubadd132pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x90, 0x08,// 1040 = "vfmsubadd132pd"

				// VEX_Vfmsubadd132pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd132ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0x8F, 0x08,// 1039 = "vfmsubadd132ps"

				// EVEX_Vfmsubadd132ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd132ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd132pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0x90, 0x08,// 1040 = "vfmsubadd132pd"

				// EVEX_Vfmsubadd132pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd132pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmadd132ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x91, 0x08,// 1041 = "vfmadd132ps"

				// VEX_Vfmadd132ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmadd132pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x92, 0x08,// 1042 = "vfmadd132pd"

				// VEX_Vfmadd132pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmadd132ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0x91, 0x08,// 1041 = "vfmadd132ps"

				// EVEX_Vfmadd132ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmadd132ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmadd132pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0x92, 0x08,// 1042 = "vfmadd132pd"

				// EVEX_Vfmadd132pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmadd132pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmadd132ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0x93, 0x08,// 1043 = "vfmadd132ss"

				// VEX_Vfmadd132sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0x94, 0x08,// 1044 = "vfmadd132sd"

				// EVEX_Vfmadd132ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0x93, 0x08,// 1043 = "vfmadd132ss"

				// EVEX_Vfmadd132sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0x94, 0x08,// 1044 = "vfmadd132sd"

				// VEX_Vfmsub132ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x95, 0x08,// 1045 = "vfmsub132ps"

				// VEX_Vfmsub132ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsub132pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x96, 0x08,// 1046 = "vfmsub132pd"

				// VEX_Vfmsub132pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmsub132ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0x95, 0x08,// 1045 = "vfmsub132ps"

				// EVEX_Vfmsub132ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmsub132ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmsub132pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0x96, 0x08,// 1046 = "vfmsub132pd"

				// EVEX_Vfmsub132pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmsub132pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// EVEX_V4fmaddps_zmm_k1z_zmmp3_m128
				0x82,// 'v', Normal_2
				0x97, 0x08,// 1047 = "v4fmaddps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vfmsub132ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0x98, 0x08,// 1048 = "vfmsub132ss"

				// VEX_Vfmsub132sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0x99, 0x08,// 1049 = "vfmsub132sd"

				// EVEX_Vfmsub132ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0x98, 0x08,// 1048 = "vfmsub132ss"

				// EVEX_Vfmsub132sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0x99, 0x08,// 1049 = "vfmsub132sd"

				// EVEX_V4fmaddss_xmm_k1z_xmmp3_m128
				0x82,// 'v', Normal_2
				0x9A, 0x08,// 1050 = "v4fmaddss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vfnmadd132ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9B, 0x08,// 1051 = "vfnmadd132ps"

				// VEX_Vfnmadd132ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmadd132pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9C, 0x08,// 1052 = "vfnmadd132pd"

				// VEX_Vfnmadd132pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfnmadd132ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0x9B, 0x08,// 1051 = "vfnmadd132ps"

				// EVEX_Vfnmadd132ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfnmadd132ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfnmadd132pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0x9C, 0x08,// 1052 = "vfnmadd132pd"

				// EVEX_Vfnmadd132pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfnmadd132pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfnmadd132ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0x9D, 0x08,// 1053 = "vfnmadd132ss"

				// VEX_Vfnmadd132sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0x9E, 0x08,// 1054 = "vfnmadd132sd"

				// EVEX_Vfnmadd132ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0x9D, 0x08,// 1053 = "vfnmadd132ss"

				// EVEX_Vfnmadd132sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0x9E, 0x08,// 1054 = "vfnmadd132sd"

				// VEX_Vfnmsub132ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0x9F, 0x08,// 1055 = "vfnmsub132ps"

				// VEX_Vfnmsub132ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmsub132pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xA0, 0x08,// 1056 = "vfnmsub132pd"

				// VEX_Vfnmsub132pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfnmsub132ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0x9F, 0x08,// 1055 = "vfnmsub132ps"

				// EVEX_Vfnmsub132ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfnmsub132ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfnmsub132pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xA0, 0x08,// 1056 = "vfnmsub132pd"

				// EVEX_Vfnmsub132pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfnmsub132pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfnmsub132ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xA1, 0x08,// 1057 = "vfnmsub132ss"

				// VEX_Vfnmsub132sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xA2, 0x08,// 1058 = "vfnmsub132sd"

				// EVEX_Vfnmsub132ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0xA1, 0x08,// 1057 = "vfnmsub132ss"

				// EVEX_Vfnmsub132sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0xA2, 0x08,// 1058 = "vfnmsub132sd"

				// EVEX_Vpscatterdd_vm32x_k1_xmm
				0x81,// 'v', Normal_1
				0xA3, 0x08,// 1059 = "vpscatterdd"

				// EVEX_Vpscatterdd_vm32y_k1_ymm
				0x80,// 'v', Previous

				// EVEX_Vpscatterdd_vm32z_k1_zmm
				0x80,// 'v', Previous

				// EVEX_Vpscatterdq_vm32x_k1_xmm
				0x81,// 'v', Normal_1
				0xA4, 0x08,// 1060 = "vpscatterdq"

				// EVEX_Vpscatterdq_vm32x_k1_ymm
				0x80,// 'v', Previous

				// EVEX_Vpscatterdq_vm32y_k1_zmm
				0x80,// 'v', Previous

				// EVEX_Vpscatterqd_vm64x_k1_xmm
				0x81,// 'v', Normal_1
				0xA5, 0x08,// 1061 = "vpscatterqd"

				// EVEX_Vpscatterqd_vm64y_k1_xmm
				0x80,// 'v', Previous

				// EVEX_Vpscatterqd_vm64z_k1_ymm
				0x80,// 'v', Previous

				// EVEX_Vpscatterqq_vm64x_k1_xmm
				0x81,// 'v', Normal_1
				0xA6, 0x08,// 1062 = "vpscatterqq"

				// EVEX_Vpscatterqq_vm64y_k1_ymm
				0x80,// 'v', Previous

				// EVEX_Vpscatterqq_vm64z_k1_zmm
				0x80,// 'v', Previous

				// EVEX_Vscatterdps_vm32x_k1_xmm
				0x81,// 'v', Normal_1
				0xA7, 0x08,// 1063 = "vscatterdps"

				// EVEX_Vscatterdps_vm32y_k1_ymm
				0x80,// 'v', Previous

				// EVEX_Vscatterdps_vm32z_k1_zmm
				0x80,// 'v', Previous

				// EVEX_Vscatterdpd_vm32x_k1_xmm
				0x81,// 'v', Normal_1
				0xA8, 0x08,// 1064 = "vscatterdpd"

				// EVEX_Vscatterdpd_vm32x_k1_ymm
				0x80,// 'v', Previous

				// EVEX_Vscatterdpd_vm32y_k1_zmm
				0x80,// 'v', Previous

				// EVEX_Vscatterqps_vm64x_k1_xmm
				0x81,// 'v', Normal_1
				0xA9, 0x08,// 1065 = "vscatterqps"

				// EVEX_Vscatterqps_vm64y_k1_xmm
				0x80,// 'v', Previous

				// EVEX_Vscatterqps_vm64z_k1_ymm
				0x80,// 'v', Previous

				// EVEX_Vscatterqpd_vm64x_k1_xmm
				0x81,// 'v', Normal_1
				0xAA, 0x08,// 1066 = "vscatterqpd"

				// EVEX_Vscatterqpd_vm64y_k1_ymm
				0x80,// 'v', Previous

				// EVEX_Vscatterqpd_vm64z_k1_zmm
				0x80,// 'v', Previous

				// VEX_Vfmaddsub213ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAB, 0x08,// 1067 = "vfmaddsub213ps"

				// VEX_Vfmaddsub213ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmaddsub213pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAC, 0x08,// 1068 = "vfmaddsub213pd"

				// VEX_Vfmaddsub213pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub213ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xAB, 0x08,// 1067 = "vfmaddsub213ps"

				// EVEX_Vfmaddsub213ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub213ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub213pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xAC, 0x08,// 1068 = "vfmaddsub213pd"

				// EVEX_Vfmaddsub213pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub213pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmsubadd213ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAD, 0x08,// 1069 = "vfmsubadd213ps"

				// VEX_Vfmsubadd213ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsubadd213pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAE, 0x08,// 1070 = "vfmsubadd213pd"

				// VEX_Vfmsubadd213pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd213ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xAD, 0x08,// 1069 = "vfmsubadd213ps"

				// EVEX_Vfmsubadd213ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd213ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd213pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xAE, 0x08,// 1070 = "vfmsubadd213pd"

				// EVEX_Vfmsubadd213pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd213pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmadd213ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xAF, 0x08,// 1071 = "vfmadd213ps"

				// VEX_Vfmadd213ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmadd213pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB0, 0x08,// 1072 = "vfmadd213pd"

				// VEX_Vfmadd213pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmadd213ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xAF, 0x08,// 1071 = "vfmadd213ps"

				// EVEX_Vfmadd213ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmadd213ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmadd213pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xB0, 0x08,// 1072 = "vfmadd213pd"

				// EVEX_Vfmadd213pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmadd213pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmadd213ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xB1, 0x08,// 1073 = "vfmadd213ss"

				// VEX_Vfmadd213sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xB2, 0x08,// 1074 = "vfmadd213sd"

				// EVEX_Vfmadd213ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0xB1, 0x08,// 1073 = "vfmadd213ss"

				// EVEX_Vfmadd213sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0xB2, 0x08,// 1074 = "vfmadd213sd"

				// VEX_Vfmsub213ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB3, 0x08,// 1075 = "vfmsub213ps"

				// VEX_Vfmsub213ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsub213pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB4, 0x08,// 1076 = "vfmsub213pd"

				// VEX_Vfmsub213pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmsub213ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xB3, 0x08,// 1075 = "vfmsub213ps"

				// EVEX_Vfmsub213ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmsub213ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmsub213pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xB4, 0x08,// 1076 = "vfmsub213pd"

				// EVEX_Vfmsub213pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmsub213pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// EVEX_V4fnmaddps_zmm_k1z_zmmp3_m128
				0x81,// 'v', Normal_1
				0xB5, 0x08,// 1077 = "v4fnmaddps"

				// VEX_Vfmsub213ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xB6, 0x08,// 1078 = "vfmsub213ss"

				// VEX_Vfmsub213sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xB7, 0x08,// 1079 = "vfmsub213sd"

				// EVEX_Vfmsub213ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0xB6, 0x08,// 1078 = "vfmsub213ss"

				// EVEX_Vfmsub213sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0xB7, 0x08,// 1079 = "vfmsub213sd"

				// EVEX_V4fnmaddss_xmm_k1z_xmmp3_m128
				0x82,// 'v', Normal_2
				0xB8, 0x08,// 1080 = "v4fnmaddss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vfnmadd213ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xB9, 0x08,// 1081 = "vfnmadd213ps"

				// VEX_Vfnmadd213ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmadd213pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xBA, 0x08,// 1082 = "vfnmadd213pd"

				// VEX_Vfnmadd213pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfnmadd213ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xB9, 0x08,// 1081 = "vfnmadd213ps"

				// EVEX_Vfnmadd213ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfnmadd213ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfnmadd213pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xBA, 0x08,// 1082 = "vfnmadd213pd"

				// EVEX_Vfnmadd213pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfnmadd213pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfnmadd213ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xBB, 0x08,// 1083 = "vfnmadd213ss"

				// VEX_Vfnmadd213sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xBC, 0x08,// 1084 = "vfnmadd213sd"

				// EVEX_Vfnmadd213ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0xBB, 0x08,// 1083 = "vfnmadd213ss"

				// EVEX_Vfnmadd213sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0xBC, 0x08,// 1084 = "vfnmadd213sd"

				// VEX_Vfnmsub213ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xBD, 0x08,// 1085 = "vfnmsub213ps"

				// VEX_Vfnmsub213ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmsub213pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xBE, 0x08,// 1086 = "vfnmsub213pd"

				// VEX_Vfnmsub213pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfnmsub213ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xBD, 0x08,// 1085 = "vfnmsub213ps"

				// EVEX_Vfnmsub213ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfnmsub213ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfnmsub213pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xBE, 0x08,// 1086 = "vfnmsub213pd"

				// EVEX_Vfnmsub213pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfnmsub213pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfnmsub213ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xBF, 0x08,// 1087 = "vfnmsub213ss"

				// VEX_Vfnmsub213sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xC0, 0x08,// 1088 = "vfnmsub213sd"

				// EVEX_Vfnmsub213ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0xBF, 0x08,// 1087 = "vfnmsub213ss"

				// EVEX_Vfnmsub213sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0xC0, 0x08,// 1088 = "vfnmsub213sd"

				// EVEX_Vpmadd52luq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xC1, 0x08,// 1089 = "vpmadd52luq"

				// EVEX_Vpmadd52luq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpmadd52luq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vpmadd52huq_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xC2, 0x08,// 1090 = "vpmadd52huq"

				// EVEX_Vpmadd52huq_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpmadd52huq_zmm_k1z_zmm_zmmm512b64
				0x80,// 'v', Previous

				// VEX_Vfmaddsub231ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC3, 0x08,// 1091 = "vfmaddsub231ps"

				// VEX_Vfmaddsub231ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmaddsub231pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC4, 0x08,// 1092 = "vfmaddsub231pd"

				// VEX_Vfmaddsub231pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub231ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xC3, 0x08,// 1091 = "vfmaddsub231ps"

				// EVEX_Vfmaddsub231ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub231ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub231pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xC4, 0x08,// 1092 = "vfmaddsub231pd"

				// EVEX_Vfmaddsub231pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmaddsub231pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmsubadd231ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC5, 0x08,// 1093 = "vfmsubadd231ps"

				// VEX_Vfmsubadd231ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsubadd231pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC6, 0x08,// 1094 = "vfmsubadd231pd"

				// VEX_Vfmsubadd231pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd231ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xC5, 0x08,// 1093 = "vfmsubadd231ps"

				// EVEX_Vfmsubadd231ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd231ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd231pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xC6, 0x08,// 1094 = "vfmsubadd231pd"

				// EVEX_Vfmsubadd231pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmsubadd231pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmadd231ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC7, 0x08,// 1095 = "vfmadd231ps"

				// VEX_Vfmadd231ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmadd231pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC8, 0x08,// 1096 = "vfmadd231pd"

				// VEX_Vfmadd231pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmadd231ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xC7, 0x08,// 1095 = "vfmadd231ps"

				// EVEX_Vfmadd231ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmadd231ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmadd231pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xC8, 0x08,// 1096 = "vfmadd231pd"

				// EVEX_Vfmadd231pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmadd231pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmadd231ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xC9, 0x08,// 1097 = "vfmadd231ss"

				// VEX_Vfmadd231sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xCA, 0x08,// 1098 = "vfmadd231sd"

				// EVEX_Vfmadd231ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0xC9, 0x08,// 1097 = "vfmadd231ss"

				// EVEX_Vfmadd231sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0xCA, 0x08,// 1098 = "vfmadd231sd"

				// VEX_Vfmsub231ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCB, 0x08,// 1099 = "vfmsub231ps"

				// VEX_Vfmsub231ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsub231pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCC, 0x08,// 1100 = "vfmsub231pd"

				// VEX_Vfmsub231pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfmsub231ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xCB, 0x08,// 1099 = "vfmsub231ps"

				// EVEX_Vfmsub231ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfmsub231ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfmsub231pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xCC, 0x08,// 1100 = "vfmsub231pd"

				// EVEX_Vfmsub231pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfmsub231pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfmsub231ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xCD, 0x08,// 1101 = "vfmsub231ss"

				// VEX_Vfmsub231sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xCE, 0x08,// 1102 = "vfmsub231sd"

				// EVEX_Vfmsub231ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0xCD, 0x08,// 1101 = "vfmsub231ss"

				// EVEX_Vfmsub231sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0xCE, 0x08,// 1102 = "vfmsub231sd"

				// VEX_Vfnmadd231ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCF, 0x08,// 1103 = "vfnmadd231ps"

				// VEX_Vfnmadd231ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmadd231pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD0, 0x08,// 1104 = "vfnmadd231pd"

				// VEX_Vfnmadd231pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfnmadd231ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xCF, 0x08,// 1103 = "vfnmadd231ps"

				// EVEX_Vfnmadd231ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfnmadd231ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfnmadd231pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xD0, 0x08,// 1104 = "vfnmadd231pd"

				// EVEX_Vfnmadd231pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfnmadd231pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfnmadd231ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xD1, 0x08,// 1105 = "vfnmadd231ss"

				// VEX_Vfnmadd231sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xD2, 0x08,// 1106 = "vfnmadd231sd"

				// EVEX_Vfnmadd231ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0xD1, 0x08,// 1105 = "vfnmadd231ss"

				// EVEX_Vfnmadd231sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0xD2, 0x08,// 1106 = "vfnmadd231sd"

				// VEX_Vfnmsub231ps_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD3, 0x08,// 1107 = "vfnmsub231ps"

				// VEX_Vfnmsub231ps_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmsub231pd_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD4, 0x08,// 1108 = "vfnmsub231pd"

				// VEX_Vfnmsub231pd_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vfnmsub231ps_xmm_k1z_xmm_xmmm128b32
				0x81,// 'v', Normal_1
				0xD3, 0x08,// 1107 = "vfnmsub231ps"

				// EVEX_Vfnmsub231ps_ymm_k1z_ymm_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vfnmsub231ps_zmm_k1z_zmm_zmmm512b32_er
				0x80,// 'v', Previous

				// EVEX_Vfnmsub231pd_xmm_k1z_xmm_xmmm128b64
				0x81,// 'v', Normal_1
				0xD4, 0x08,// 1108 = "vfnmsub231pd"

				// EVEX_Vfnmsub231pd_ymm_k1z_ymm_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vfnmsub231pd_zmm_k1z_zmm_zmmm512b64_er
				0x80,// 'v', Previous

				// VEX_Vfnmsub231ss_xmm_xmm_xmmm32
				0x81,// 'v', Normal_1
				0xD5, 0x08,// 1109 = "vfnmsub231ss"

				// VEX_Vfnmsub231sd_xmm_xmm_xmmm64
				0x81,// 'v', Normal_1
				0xD6, 0x08,// 1110 = "vfnmsub231sd"

				// EVEX_Vfnmsub231ss_xmm_k1z_xmm_xmmm32_er
				0x81,// 'v', Normal_1
				0xD5, 0x08,// 1109 = "vfnmsub231ss"

				// EVEX_Vfnmsub231sd_xmm_k1z_xmm_xmmm64_er
				0x81,// 'v', Normal_1
				0xD6, 0x08,// 1110 = "vfnmsub231sd"

				// EVEX_Vpconflictd_xmm_k1z_xmmm128b32
				0x81,// 'v', Normal_1
				0xD7, 0x08,// 1111 = "vpconflictd"

				// EVEX_Vpconflictd_ymm_k1z_ymmm256b32
				0x80,// 'v', Previous

				// EVEX_Vpconflictd_zmm_k1z_zmmm512b32
				0x80,// 'v', Previous

				// EVEX_Vpconflictq_xmm_k1z_xmmm128b64
				0x81,// 'v', Normal_1
				0xD8, 0x08,// 1112 = "vpconflictq"

				// EVEX_Vpconflictq_ymm_k1z_ymmm256b64
				0x80,// 'v', Previous

				// EVEX_Vpconflictq_zmm_k1z_zmmm512b64
				0x80,// 'v', Previous

				// EVEX_Vgatherpf0dps_vm32z_k1
				0x81,// 'v', Normal_1
				0xD9, 0x08,// 1113 = "vgatherpf0dps"

				// EVEX_Vgatherpf0dpd_vm32y_k1
				0x81,// 'v', Normal_1
				0xDA, 0x08,// 1114 = "vgatherpf0dpd"

				// EVEX_Vgatherpf1dps_vm32z_k1
				0x81,// 'v', Normal_1
				0xDB, 0x08,// 1115 = "vgatherpf1dps"

				// EVEX_Vgatherpf1dpd_vm32y_k1
				0x81,// 'v', Normal_1
				0xDC, 0x08,// 1116 = "vgatherpf1dpd"

				// EVEX_Vscatterpf0dps_vm32z_k1
				0x81,// 'v', Normal_1
				0xDD, 0x08,// 1117 = "vscatterpf0dps"

				// EVEX_Vscatterpf0dpd_vm32y_k1
				0x81,// 'v', Normal_1
				0xDE, 0x08,// 1118 = "vscatterpf0dpd"

				// EVEX_Vscatterpf1dps_vm32z_k1
				0x81,// 'v', Normal_1
				0xDF, 0x08,// 1119 = "vscatterpf1dps"

				// EVEX_Vscatterpf1dpd_vm32y_k1
				0x81,// 'v', Normal_1
				0xE0, 0x08,// 1120 = "vscatterpf1dpd"

				// EVEX_Vgatherpf0qps_vm64z_k1
				0x81,// 'v', Normal_1
				0xE1, 0x08,// 1121 = "vgatherpf0qps"

				// EVEX_Vgatherpf0qpd_vm64z_k1
				0x81,// 'v', Normal_1
				0xE2, 0x08,// 1122 = "vgatherpf0qpd"

				// EVEX_Vgatherpf1qps_vm64z_k1
				0x81,// 'v', Normal_1
				0xE3, 0x08,// 1123 = "vgatherpf1qps"

				// EVEX_Vgatherpf1qpd_vm64z_k1
				0x81,// 'v', Normal_1
				0xE4, 0x08,// 1124 = "vgatherpf1qpd"

				// EVEX_Vscatterpf0qps_vm64z_k1
				0x81,// 'v', Normal_1
				0xE5, 0x08,// 1125 = "vscatterpf0qps"

				// EVEX_Vscatterpf0qpd_vm64z_k1
				0x81,// 'v', Normal_1
				0xE6, 0x08,// 1126 = "vscatterpf0qpd"

				// EVEX_Vscatterpf1qps_vm64z_k1
				0x81,// 'v', Normal_1
				0xE7, 0x08,// 1127 = "vscatterpf1qps"

				// EVEX_Vscatterpf1qpd_vm64z_k1
				0x81,// 'v', Normal_1
				0xE8, 0x08,// 1128 = "vscatterpf1qpd"

				// Sha1nexte_xmm_xmmm128
				0x01,// Normal_1
				0xE9, 0x08,// 1129 = "sha1nexte"

				// EVEX_Vexp2ps_zmm_k1z_zmmm512b32_sae
				0x81,// 'v', Normal_1
				0xEA, 0x08,// 1130 = "vexp2ps"

				// EVEX_Vexp2pd_zmm_k1z_zmmm512b64_sae
				0x81,// 'v', Normal_1
				0xEB, 0x08,// 1131 = "vexp2pd"

				// Sha1msg1_xmm_xmmm128
				0x01,// Normal_1
				0xEC, 0x08,// 1132 = "sha1msg1"

				// Sha1msg2_xmm_xmmm128
				0x01,// Normal_1
				0xED, 0x08,// 1133 = "sha1msg2"

				// EVEX_Vrcp28ps_zmm_k1z_zmmm512b32_sae
				0x81,// 'v', Normal_1
				0xEE, 0x08,// 1134 = "vrcp28ps"

				// EVEX_Vrcp28pd_zmm_k1z_zmmm512b64_sae
				0x81,// 'v', Normal_1
				0xEF, 0x08,// 1135 = "vrcp28pd"

				// Sha256rnds2_xmm_xmmm128
				0x25,// pblendvb
				0xF0, 0x08,// 1136 = "sha256rnds2"

				// EVEX_Vrcp28ss_xmm_k1z_xmm_xmmm32_sae
				0x82,// 'v', Normal_2
				0xF1, 0x08,// 1137 = "vrcp28ss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vrcp28sd_xmm_k1z_xmm_xmmm64_sae
				0x82,// 'v', Normal_2
				0xF2, 0x08,// 1138 = "vrcp28sd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Sha256msg1_xmm_xmmm128
				0x01,// Normal_1
				0xF3, 0x08,// 1139 = "sha256msg1"

				// EVEX_Vrsqrt28ps_zmm_k1z_zmmm512b32_sae
				0x81,// 'v', Normal_1
				0xF4, 0x08,// 1140 = "vrsqrt28ps"

				// EVEX_Vrsqrt28pd_zmm_k1z_zmmm512b64_sae
				0x81,// 'v', Normal_1
				0xF5, 0x08,// 1141 = "vrsqrt28pd"

				// Sha256msg2_xmm_xmmm128
				0x01,// Normal_1
				0xF6, 0x08,// 1142 = "sha256msg2"

				// EVEX_Vrsqrt28ss_xmm_k1z_xmm_xmmm32_sae
				0x82,// 'v', Normal_2
				0xF7, 0x08,// 1143 = "vrsqrt28ss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vrsqrt28sd_xmm_k1z_xmm_xmmm64_sae
				0x82,// 'v', Normal_2
				0xF8, 0x08,// 1144 = "vrsqrt28sd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Gf2p8mulb_xmm_xmmm128
				0x01,// Normal_1
				0xF9, 0x08,// 1145 = "gf2p8mulb"

				// VEX_Vgf2p8mulb_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xF9, 0x08,// 1145 = "vgf2p8mulb"

				// VEX_Vgf2p8mulb_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vgf2p8mulb_xmm_k1z_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vgf2p8mulb_ymm_k1z_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vgf2p8mulb_zmm_k1z_zmm_zmmm512
				0x80,// 'v', Previous

				// Aesimc_xmm_xmmm128
				0x01,// Normal_1
				0xFA, 0x08,// 1146 = "aesimc"

				// VEX_Vaesimc_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xFA, 0x08,// 1146 = "vaesimc"

				// Aesenc_xmm_xmmm128
				0x01,// Normal_1
				0xFB, 0x08,// 1147 = "aesenc"

				// VEX_Vaesenc_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xFB, 0x08,// 1147 = "vaesenc"

				// VEX_Vaesenc_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaesenc_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vaesenc_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaesenc_zmm_zmm_zmmm512
				0x80,// 'v', Previous

				// Aesenclast_xmm_xmmm128
				0x01,// Normal_1
				0xFC, 0x08,// 1148 = "aesenclast"

				// VEX_Vaesenclast_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xFC, 0x08,// 1148 = "vaesenclast"

				// VEX_Vaesenclast_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaesenclast_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vaesenclast_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaesenclast_zmm_zmm_zmmm512
				0x80,// 'v', Previous

				// Aesdec_xmm_xmmm128
				0x01,// Normal_1
				0xFD, 0x08,// 1149 = "aesdec"

				// VEX_Vaesdec_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xFD, 0x08,// 1149 = "vaesdec"

				// VEX_Vaesdec_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaesdec_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vaesdec_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaesdec_zmm_zmm_zmmm512
				0x80,// 'v', Previous

				// Aesdeclast_xmm_xmmm128
				0x01,// Normal_1
				0xFE, 0x08,// 1150 = "aesdeclast"

				// VEX_Vaesdeclast_xmm_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xFE, 0x08,// 1150 = "vaesdeclast"

				// VEX_Vaesdeclast_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaesdeclast_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// EVEX_Vaesdeclast_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// EVEX_Vaesdeclast_zmm_zmm_zmmm512
				0x80,// 'v', Previous

				// Movbe_r16_m16
				0x01,// Normal_1
				0xFF, 0x08,// 1151 = "movbe"

				// Movbe_r32_m32
				0x00,// Previous

				// Movbe_r64_m64
				0x00,// Previous

				// Crc32_r32_rm8
				0x02,// Normal_2
				0x80, 0x09,// 1152 = "crc32"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Crc32_r64_rm8
				0x00,// Previous

				// Movbe_m16_r16
				0x01,// Normal_1
				0xFF, 0x08,// 1151 = "movbe"

				// Movbe_m32_r32
				0x00,// Previous

				// Movbe_m64_r64
				0x00,// Previous

				// Crc32_r32_rm16
				0x02,// Normal_2
				0x80, 0x09,// 1152 = "crc32"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Crc32_r32_rm32
				0x00,// Previous

				// Crc32_r64_rm64
				0x00,// Previous

				// VEX_Andn_r32_r32_rm32
				0x01,// Normal_1
				0x81, 0x09,// 1153 = "andn"

				// VEX_Andn_r64_r64_rm64
				0x00,// Previous

				// VEX_Blsr_r32_rm32
				0x01,// Normal_1
				0x82, 0x09,// 1154 = "blsr"

				// VEX_Blsr_r64_rm64
				0x00,// Previous

				// VEX_Blsmsk_r32_rm32
				0x01,// Normal_1
				0x83, 0x09,// 1155 = "blsmsk"

				// VEX_Blsmsk_r64_rm64
				0x00,// Previous

				// VEX_Blsi_r32_rm32
				0x01,// Normal_1
				0x84, 0x09,// 1156 = "blsi"

				// VEX_Blsi_r64_rm64
				0x00,// Previous

				// VEX_Bzhi_r32_rm32_r32
				0x01,// Normal_1
				0x85, 0x09,// 1157 = "bzhi"

				// VEX_Bzhi_r64_rm64_r64
				0x00,// Previous

				// Wrussd_m32_r32
				0x01,// Normal_1
				0x86, 0x09,// 1158 = "wrussd"

				// Wrussq_m64_r64
				0x01,// Normal_1
				0x87, 0x09,// 1159 = "wrussq"

				// VEX_Pext_r32_r32_rm32
				0x01,// Normal_1
				0x88, 0x09,// 1160 = "pext"

				// VEX_Pext_r64_r64_rm64
				0x00,// Previous

				// VEX_Pdep_r32_r32_rm32
				0x01,// Normal_1
				0x89, 0x09,// 1161 = "pdep"

				// VEX_Pdep_r64_r64_rm64
				0x00,// Previous

				// Wrssd_m32_r32
				0x01,// Normal_1
				0x8A, 0x09,// 1162 = "wrssd"

				// Wrssq_m64_r64
				0x01,// Normal_1
				0x8B, 0x09,// 1163 = "wrssq"

				// Adcx_r32_rm32
				0x01,// Normal_1
				0x8C, 0x09,// 1164 = "adcx"

				// Adcx_r64_rm64
				0x00,// Previous

				// Adox_r32_rm32
				0x01,// Normal_1
				0x8D, 0x09,// 1165 = "adox"

				// Adox_r64_rm64
				0x00,// Previous

				// VEX_Mulx_r32_r32_rm32
				0x01,// Normal_1
				0x8E, 0x09,// 1166 = "mulx"

				// VEX_Mulx_r64_r64_rm64
				0x00,// Previous

				// VEX_Bextr_r32_rm32_r32
				0x01,// Normal_1
				0x8F, 0x09,// 1167 = "bextr"

				// VEX_Bextr_r64_rm64_r64
				0x00,// Previous

				// VEX_Shlx_r32_rm32_r32
				0x01,// Normal_1
				0x90, 0x09,// 1168 = "shlx"

				// VEX_Shlx_r64_rm64_r64
				0x00,// Previous

				// VEX_Sarx_r32_rm32_r32
				0x01,// Normal_1
				0x91, 0x09,// 1169 = "sarx"

				// VEX_Sarx_r64_rm64_r64
				0x00,// Previous

				// VEX_Shrx_r32_rm32_r32
				0x01,// Normal_1
				0x92, 0x09,// 1170 = "shrx"

				// VEX_Shrx_r64_rm64_r64
				0x00,// Previous

				// Movdir64b_r16_m512
				0x01,// Normal_1
				0x93, 0x09,// 1171 = "movdir64b"

				// Movdir64b_r32_m512
				0x00,// Previous

				// Movdir64b_r64_m512
				0x00,// Previous

				// Enqcmds_r16_m512
				0x01,// Normal_1
				0x94, 0x09,// 1172 = "enqcmds"

				// Enqcmds_r32_m512
				0x00,// Previous

				// Enqcmds_r64_m512
				0x00,// Previous

				// Enqcmd_r16_m512
				0x01,// Normal_1
				0x95, 0x09,// 1173 = "enqcmd"

				// Enqcmd_r32_m512
				0x00,// Previous

				// Enqcmd_r64_m512
				0x00,// Previous

				// Movdiri_m32_r32
				0x01,// Normal_1
				0x96, 0x09,// 1174 = "movdiri"

				// Movdiri_m64_r64
				0x00,// Previous

				// VEX_Vpermq_ymm_ymmm256_imm8
				0x81,// 'v', Normal_1
				0x99, 0x07,// 921 = "vpermq"

				// EVEX_Vpermq_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpermq_zmm_k1z_zmmm512b64_imm8
				0x80,// 'v', Previous

				// VEX_Vpermpd_ymm_ymmm256_imm8
				0x81,// 'v', Normal_1
				0xDE, 0x06,// 862 = "vpermpd"

				// EVEX_Vpermpd_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpermpd_zmm_k1z_zmmm512b64_imm8
				0x80,// 'v', Previous

				// VEX_Vpblendd_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x97, 0x09,// 1175 = "vpblendd"

				// VEX_Vpblendd_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Valignd_xmm_k1z_xmm_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0x98, 0x09,// 1176 = "valignd"

				// EVEX_Valignd_ymm_k1z_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Valignd_zmm_k1z_zmm_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Valignq_xmm_k1z_xmm_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0x99, 0x09,// 1177 = "valignq"

				// EVEX_Valignq_ymm_k1z_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Valignq_zmm_k1z_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// VEX_Vpermilps_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x27,// 39 = "vpermilps"

				// VEX_Vpermilps_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpermilps_xmm_k1z_xmmm128b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpermilps_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpermilps_zmm_k1z_zmmm512b32_imm8
				0x80,// 'v', Previous

				// VEX_Vpermilpd_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x28,// 40 = "vpermilpd"

				// VEX_Vpermilpd_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpermilpd_xmm_k1z_xmmm128b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpermilpd_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpermilpd_zmm_k1z_zmmm512b64_imm8
				0x80,// 'v', Previous

				// VEX_Vperm2f128_ymm_ymm_ymmm256_imm8
				0x81,// 'v', Normal_1
				0x9A, 0x09,// 1178 = "vperm2f128"

				// Roundps_xmm_xmmm128_imm8
				0x01,// Normal_1
				0x9B, 0x09,// 1179 = "roundps"

				// VEX_Vroundps_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x9B, 0x09,// 1179 = "vroundps"

				// VEX_Vroundps_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vrndscaleps_xmm_k1z_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0x9C, 0x09,// 1180 = "vrndscaleps"

				// EVEX_Vrndscaleps_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vrndscaleps_zmm_k1z_zmmm512b32_imm8_sae
				0x80,// 'v', Previous

				// Roundpd_xmm_xmmm128_imm8
				0x01,// Normal_1
				0x9D, 0x09,// 1181 = "roundpd"

				// VEX_Vroundpd_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x9D, 0x09,// 1181 = "vroundpd"

				// VEX_Vroundpd_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vrndscalepd_xmm_k1z_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0x9E, 0x09,// 1182 = "vrndscalepd"

				// EVEX_Vrndscalepd_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vrndscalepd_zmm_k1z_zmmm512b64_imm8_sae
				0x80,// 'v', Previous

				// Roundss_xmm_xmmm32_imm8
				0x01,// Normal_1
				0x9F, 0x09,// 1183 = "roundss"

				// VEX_Vroundss_xmm_xmm_xmmm32_imm8
				0x82,// 'v', Normal_2
				0x9F, 0x09,// 1183 = "vroundss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vrndscaless_xmm_k1z_xmm_xmmm32_imm8_sae
				0x81,// 'v', Normal_1
				0xA0, 0x09,// 1184 = "vrndscaless"

				// Roundsd_xmm_xmmm64_imm8
				0x01,// Normal_1
				0xA1, 0x09,// 1185 = "roundsd"

				// VEX_Vroundsd_xmm_xmm_xmmm64_imm8
				0x82,// 'v', Normal_2
				0xA1, 0x09,// 1185 = "vroundsd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vrndscalesd_xmm_k1z_xmm_xmmm64_imm8_sae
				0x81,// 'v', Normal_1
				0xA2, 0x09,// 1186 = "vrndscalesd"

				// Blendps_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xA3, 0x09,// 1187 = "blendps"

				// VEX_Vblendps_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xA3, 0x09,// 1187 = "vblendps"

				// VEX_Vblendps_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// Blendpd_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xA4, 0x09,// 1188 = "blendpd"

				// VEX_Vblendpd_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xA4, 0x09,// 1188 = "vblendpd"

				// VEX_Vblendpd_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// Pblendw_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xA5, 0x09,// 1189 = "pblendw"

				// VEX_Vpblendw_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xA5, 0x09,// 1189 = "vpblendw"

				// VEX_Vpblendw_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// Palignr_mm_mmm64_imm8
				0x1B,// mmxmem_1
				0x67,// 103 = "palignr"

				// Palignr_xmm_xmmm128_imm8
				0x01,// Normal_1
				0x67,// 103 = "palignr"

				// VEX_Vpalignr_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x67,// 103 = "vpalignr"

				// VEX_Vpalignr_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpalignr_xmm_k1z_xmm_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vpalignr_ymm_k1z_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpalignr_zmm_k1z_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// Pextrb_r32m8_xmm_imm8
				0x02,// Normal_2
				0xA6, 0x09,// 1190 = "pextrb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Pextrb_r64m8_xmm_imm8
				0x00,// Previous

				// VEX_Vpextrb_r32m8_xmm_imm8
				0x82,// 'v', Normal_2
				0xA6, 0x09,// 1190 = "vpextrb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpextrb_r64m8_xmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpextrb_r32m8_xmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpextrb_r64m8_xmm_imm8
				0x80,// 'v', Previous

				// Pextrw_r32m16_xmm_imm8
				0x02,// Normal_2
				0x17,// 23 = "pextrw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Pextrw_r64m16_xmm_imm8
				0x00,// Previous

				// VEX_Vpextrw_r32m16_xmm_imm8
				0x82,// 'v', Normal_2
				0x17,// 23 = "vpextrw"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpextrw_r64m16_xmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpextrw_r32m16_xmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vpextrw_r64m16_xmm_imm8
				0x80,// 'v', Previous

				// Pextrd_rm32_xmm_imm8
				0x02,// Normal_2
				0xA7, 0x09,// 1191 = "pextrd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Pextrq_rm64_xmm_imm8
				0x02,// Normal_2
				0xA8, 0x09,// 1192 = "pextrq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpextrd_rm32_xmm_imm8
				0x82,// 'v', Normal_2
				0xA7, 0x09,// 1191 = "vpextrd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpextrq_rm64_xmm_imm8
				0x82,// 'v', Normal_2
				0xA8, 0x09,// 1192 = "vpextrq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpextrd_rm32_xmm_imm8
				0x82,// 'v', Normal_2
				0xA7, 0x09,// 1191 = "vpextrd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpextrq_rm64_xmm_imm8
				0x82,// 'v', Normal_2
				0xA8, 0x09,// 1192 = "vpextrq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Extractps_rm32_xmm_imm8
				0x02,// Normal_2
				0xA9, 0x09,// 1193 = "extractps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// Extractps_r64m32_xmm_imm8
				0x2C,// Reg32
				0xA9, 0x09,// 1193 = "extractps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// VEX_Vextractps_rm32_xmm_imm8
				0x82,// 'v', Normal_2
				0xA9, 0x09,// 1193 = "vextractps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// VEX_Vextractps_r64m32_xmm_imm8
				0xAC,// 'v', Reg32
				0xA9, 0x09,// 1193 = "vextractps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vextractps_rm32_xmm_imm8
				0x82,// 'v', Normal_2
				0xA9, 0x09,// 1193 = "vextractps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vextractps_r64m32_xmm_imm8
				0xAC,// 'v', Reg32
				0xA9, 0x09,// 1193 = "vextractps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// VEX_Vinsertf128_ymm_ymm_xmmm128_imm8
				0x82,// 'v', Normal_2
				0xAA, 0x09,// 1194 = "vinsertf128"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vinsertf32x4_ymm_k1z_ymm_xmmm128_imm8
				0x82,// 'v', Normal_2
				0xAB, 0x09,// 1195 = "vinsertf32x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vinsertf32x4_zmm_k1z_zmm_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vinsertf64x2_ymm_k1z_ymm_xmmm128_imm8
				0x82,// 'v', Normal_2
				0xAC, 0x09,// 1196 = "vinsertf64x2"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vinsertf64x2_zmm_k1z_zmm_xmmm128_imm8
				0x80,// 'v', Previous

				// VEX_Vextractf128_xmmm128_ymm_imm8
				0x82,// 'v', Normal_2
				0xAD, 0x09,// 1197 = "vextractf128"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vextractf32x4_xmmm128_k1z_ymm_imm8
				0x82,// 'v', Normal_2
				0xAE, 0x09,// 1198 = "vextractf32x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vextractf32x4_xmmm128_k1z_zmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vextractf64x2_xmmm128_k1z_ymm_imm8
				0x82,// 'v', Normal_2
				0xAF, 0x09,// 1199 = "vextractf64x2"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vextractf64x2_xmmm128_k1z_zmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vinsertf32x8_zmm_k1z_zmm_ymmm256_imm8
				0x81,// 'v', Normal_1
				0xB0, 0x09,// 1200 = "vinsertf32x8"

				// EVEX_Vinsertf64x4_zmm_k1z_zmm_ymmm256_imm8
				0x81,// 'v', Normal_1
				0xB1, 0x09,// 1201 = "vinsertf64x4"

				// EVEX_Vextractf32x8_ymmm256_k1z_zmm_imm8
				0x82,// 'v', Normal_2
				0xB2, 0x09,// 1202 = "vextractf32x8"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vextractf64x4_ymmm256_k1z_zmm_imm8
				0x82,// 'v', Normal_2
				0xB3, 0x09,// 1203 = "vextractf64x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtps2ph_xmmm64_xmm_imm8
				0x82,// 'v', Normal_2
				0xB4, 0x09,// 1204 = "vcvtps2ph"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vcvtps2ph_xmmm128_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vcvtps2ph_xmmm64_k1z_xmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vcvtps2ph_xmmm128_k1z_ymm_imm8
				0x80,// 'v', Previous

				// EVEX_Vcvtps2ph_ymmm256_k1z_zmm_imm8_sae
				0x80,// 'v', Previous

				// EVEX_Vpcmpud_kr_k1_xmm_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0xB5, 0x09,// 1205 = "vpcmpud"

				// EVEX_Vpcmpud_kr_k1_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpud_kr_k1_zmm_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpuq_kr_k1_xmm_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xB6, 0x09,// 1206 = "vpcmpuq"

				// EVEX_Vpcmpuq_kr_k1_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpuq_kr_k1_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpd_kr_k1_xmm_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0xB7, 0x09,// 1207 = "vpcmpd"

				// EVEX_Vpcmpd_kr_k1_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpd_kr_k1_zmm_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpq_kr_k1_xmm_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xB8, 0x09,// 1208 = "vpcmpq"

				// EVEX_Vpcmpq_kr_k1_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpq_kr_k1_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// Pinsrb_xmm_r32m8_imm8
				0x02,// Normal_2
				0xB9, 0x09,// 1209 = "pinsrb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Pinsrb_xmm_r64m8_imm8
				0x00,// Previous

				// VEX_Vpinsrb_xmm_xmm_r32m8_imm8
				0x82,// 'v', Normal_2
				0xB9, 0x09,// 1209 = "vpinsrb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpinsrb_xmm_xmm_r64m8_imm8
				0xAC,// 'v', Reg32
				0xB9, 0x09,// 1209 = "vpinsrb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpinsrb_xmm_xmm_r32m8_imm8
				0x82,// 'v', Normal_2
				0xB9, 0x09,// 1209 = "vpinsrb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpinsrb_xmm_xmm_r64m8_imm8
				0xAC,// 'v', Reg32
				0xB9, 0x09,// 1209 = "vpinsrb"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Insertps_xmm_xmmm32_imm8
				0x02,// Normal_2
				0xBA, 0x09,// 1210 = "insertps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vinsertps_xmm_xmm_xmmm32_imm8
				0x82,// 'v', Normal_2
				0xBA, 0x09,// 1210 = "vinsertps"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vinsertps_xmm_xmm_xmmm32_imm8
				0x80,// 'v', Previous

				// Pinsrd_xmm_rm32_imm8
				0x02,// Normal_2
				0xBB, 0x09,// 1211 = "pinsrd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// Pinsrq_xmm_rm64_imm8
				0x02,// Normal_2
				0xBC, 0x09,// 1212 = "pinsrq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpinsrd_xmm_xmm_rm32_imm8
				0x82,// 'v', Normal_2
				0xBB, 0x09,// 1211 = "vpinsrd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vpinsrq_xmm_xmm_rm64_imm8
				0x82,// 'v', Normal_2
				0xBC, 0x09,// 1212 = "vpinsrq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpinsrd_xmm_xmm_rm32_imm8
				0x82,// 'v', Normal_2
				0xBB, 0x09,// 1211 = "vpinsrd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpinsrq_xmm_xmm_rm64_imm8
				0x82,// 'v', Normal_2
				0xBC, 0x09,// 1212 = "vpinsrq"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vshuff32x4_ymm_k1z_ymm_ymmm256b32_imm8
				0x81,// 'v', Normal_1
				0xBD, 0x09,// 1213 = "vshuff32x4"

				// EVEX_Vshuff32x4_zmm_k1z_zmm_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vshuff64x2_ymm_k1z_ymm_ymmm256b64_imm8
				0x81,// 'v', Normal_1
				0xBE, 0x09,// 1214 = "vshuff64x2"

				// EVEX_Vshuff64x2_zmm_k1z_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpternlogd_xmm_k1z_xmm_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0xBF, 0x09,// 1215 = "vpternlogd"

				// EVEX_Vpternlogd_ymm_k1z_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpternlogd_zmm_k1z_zmm_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpternlogq_xmm_k1z_xmm_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xC0, 0x09,// 1216 = "vpternlogq"

				// EVEX_Vpternlogq_ymm_k1z_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpternlogq_zmm_k1z_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vgetmantps_xmm_k1z_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0xC1, 0x09,// 1217 = "vgetmantps"

				// EVEX_Vgetmantps_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vgetmantps_zmm_k1z_zmmm512b32_imm8_sae
				0x80,// 'v', Previous

				// EVEX_Vgetmantpd_xmm_k1z_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xC2, 0x09,// 1218 = "vgetmantpd"

				// EVEX_Vgetmantpd_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vgetmantpd_zmm_k1z_zmmm512b64_imm8_sae
				0x80,// 'v', Previous

				// EVEX_Vgetmantss_xmm_k1z_xmm_xmmm32_imm8_sae
				0x81,// 'v', Normal_1
				0xC3, 0x09,// 1219 = "vgetmantss"

				// EVEX_Vgetmantsd_xmm_k1z_xmm_xmmm64_imm8_sae
				0x81,// 'v', Normal_1
				0xC4, 0x09,// 1220 = "vgetmantsd"

				// VEX_Kshiftrb_kr_kr_imm8
				0x01,// Normal_1
				0xC5, 0x09,// 1221 = "kshiftrb"

				// VEX_Kshiftrw_kr_kr_imm8
				0x01,// Normal_1
				0xC6, 0x09,// 1222 = "kshiftrw"

				// VEX_Kshiftrd_kr_kr_imm8
				0x01,// Normal_1
				0xC7, 0x09,// 1223 = "kshiftrd"

				// VEX_Kshiftrq_kr_kr_imm8
				0x01,// Normal_1
				0xC8, 0x09,// 1224 = "kshiftrq"

				// VEX_Kshiftlb_kr_kr_imm8
				0x01,// Normal_1
				0xC9, 0x09,// 1225 = "kshiftlb"

				// VEX_Kshiftlw_kr_kr_imm8
				0x01,// Normal_1
				0xCA, 0x09,// 1226 = "kshiftlw"

				// VEX_Kshiftld_kr_kr_imm8
				0x01,// Normal_1
				0xCB, 0x09,// 1227 = "kshiftld"

				// VEX_Kshiftlq_kr_kr_imm8
				0x01,// Normal_1
				0xCC, 0x09,// 1228 = "kshiftlq"

				// VEX_Vinserti128_ymm_ymm_xmmm128_imm8
				0x82,// 'v', Normal_2
				0xCD, 0x09,// 1229 = "vinserti128"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vinserti32x4_ymm_k1z_ymm_xmmm128_imm8
				0x82,// 'v', Normal_2
				0xCE, 0x09,// 1230 = "vinserti32x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vinserti32x4_zmm_k1z_zmm_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vinserti64x2_ymm_k1z_ymm_xmmm128_imm8
				0x82,// 'v', Normal_2
				0xCF, 0x09,// 1231 = "vinserti64x2"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vinserti64x2_zmm_k1z_zmm_xmmm128_imm8
				0x80,// 'v', Previous

				// VEX_Vextracti128_xmmm128_ymm_imm8
				0x82,// 'v', Normal_2
				0xD0, 0x09,// 1232 = "vextracti128"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vextracti32x4_xmmm128_k1z_ymm_imm8
				0x82,// 'v', Normal_2
				0xD1, 0x09,// 1233 = "vextracti32x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vextracti32x4_xmmm128_k1z_zmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vextracti64x2_xmmm128_k1z_ymm_imm8
				0x82,// 'v', Normal_2
				0xD2, 0x09,// 1234 = "vextracti64x2"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vextracti64x2_xmmm128_k1z_zmm_imm8
				0x80,// 'v', Previous

				// EVEX_Vinserti32x8_zmm_k1z_zmm_ymmm256_imm8
				0x82,// 'v', Normal_2
				0xD3, 0x09,// 1235 = "vinserti32x8"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vinserti64x4_zmm_k1z_zmm_ymmm256_imm8
				0x82,// 'v', Normal_2
				0xD4, 0x09,// 1236 = "vinserti64x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vextracti32x8_ymmm256_k1z_zmm_imm8
				0x82,// 'v', Normal_2
				0xD5, 0x09,// 1237 = "vextracti32x8"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vextracti64x4_ymmm256_k1z_zmm_imm8
				0x82,// 'v', Normal_2
				0xD6, 0x09,// 1238 = "vextracti64x4"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vpcmpub_kr_k1_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xD7, 0x09,// 1239 = "vpcmpub"

				// EVEX_Vpcmpub_kr_k1_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpub_kr_k1_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpuw_kr_k1_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xD8, 0x09,// 1240 = "vpcmpuw"

				// EVEX_Vpcmpuw_kr_k1_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpuw_kr_k1_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpb_kr_k1_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xD9, 0x09,// 1241 = "vpcmpb"

				// EVEX_Vpcmpb_kr_k1_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpb_kr_k1_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpw_kr_k1_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xDA, 0x09,// 1242 = "vpcmpw"

				// EVEX_Vpcmpw_kr_k1_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpcmpw_kr_k1_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// Dpps_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xDB, 0x09,// 1243 = "dpps"

				// VEX_Vdpps_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xDB, 0x09,// 1243 = "vdpps"

				// VEX_Vdpps_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// Dppd_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xDC, 0x09,// 1244 = "dppd"

				// VEX_Vdppd_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xDC, 0x09,// 1244 = "vdppd"

				// Mpsadbw_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xDD, 0x09,// 1245 = "mpsadbw"

				// VEX_Vmpsadbw_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xDD, 0x09,// 1245 = "vmpsadbw"

				// VEX_Vmpsadbw_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vdbpsadbw_xmm_k1z_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xDE, 0x09,// 1246 = "vdbpsadbw"

				// EVEX_Vdbpsadbw_ymm_k1z_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vdbpsadbw_zmm_k1z_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// EVEX_Vshufi32x4_ymm_k1z_ymm_ymmm256b32_imm8
				0x81,// 'v', Normal_1
				0xDF, 0x09,// 1247 = "vshufi32x4"

				// EVEX_Vshufi32x4_zmm_k1z_zmm_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vshufi64x2_ymm_k1z_ymm_ymmm256b64_imm8
				0x81,// 'v', Normal_1
				0xE0, 0x09,// 1248 = "vshufi64x2"

				// EVEX_Vshufi64x2_zmm_k1z_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// Pclmulqdq_xmm_xmmm128_imm8
				0x26,// pclmulqdq
				0xE1, 0x09,// 1249 = "pclmulqdq"
				0x08,// pclmulqdq

				// VEX_Vpclmulqdq_xmm_xmm_xmmm128_imm8
				0xA6,// 'v', pclmulqdq
				0xE1, 0x09,// 1249 = "vpclmulqdq"
				0x09,// vpclmulqdq

				// VEX_Vpclmulqdq_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpclmulqdq_xmm_xmm_xmmm128_imm8
				0x80,// 'v', Previous

				// EVEX_Vpclmulqdq_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpclmulqdq_zmm_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// VEX_Vperm2i128_ymm_ymm_ymmm256_imm8
				0x81,// 'v', Normal_1
				0xE2, 0x09,// 1250 = "vperm2i128"

				// VEX_Vpermil2ps_xmm_xmm_xmmm128_xmm_imm2
				0x81,// 'v', Normal_1
				0xE3, 0x09,// 1251 = "vpermil2ps"

				// VEX_Vpermil2ps_ymm_ymm_ymmm256_ymm_imm2
				0x80,// 'v', Previous

				// VEX_Vpermil2ps_xmm_xmm_xmm_xmmm128_imm2
				0x80,// 'v', Previous

				// VEX_Vpermil2ps_ymm_ymm_ymm_ymmm256_imm2
				0x80,// 'v', Previous

				// VEX_Vpermil2pd_xmm_xmm_xmmm128_xmm_imm2
				0x81,// 'v', Normal_1
				0xE4, 0x09,// 1252 = "vpermil2pd"

				// VEX_Vpermil2pd_ymm_ymm_ymmm256_ymm_imm2
				0x80,// 'v', Previous

				// VEX_Vpermil2pd_xmm_xmm_xmm_xmmm128_imm2
				0x80,// 'v', Previous

				// VEX_Vpermil2pd_ymm_ymm_ymm_ymmm256_imm2
				0x80,// 'v', Previous

				// VEX_Vblendvps_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xD5, 0x06,// 853 = "vblendvps"

				// VEX_Vblendvps_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vblendvpd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xD9, 0x06,// 857 = "vblendvpd"

				// VEX_Vblendvpd_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vpblendvb_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xCC, 0x06,// 844 = "vpblendvb"

				// VEX_Vpblendvb_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// EVEX_Vrangeps_xmm_k1z_xmm_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0xE5, 0x09,// 1253 = "vrangeps"

				// EVEX_Vrangeps_ymm_k1z_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vrangeps_zmm_k1z_zmm_zmmm512b32_imm8_sae
				0x80,// 'v', Previous

				// EVEX_Vrangepd_xmm_k1z_xmm_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xE6, 0x09,// 1254 = "vrangepd"

				// EVEX_Vrangepd_ymm_k1z_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vrangepd_zmm_k1z_zmm_zmmm512b64_imm8_sae
				0x80,// 'v', Previous

				// EVEX_Vrangess_xmm_k1z_xmm_xmmm32_imm8_sae
				0x81,// 'v', Normal_1
				0xE7, 0x09,// 1255 = "vrangess"

				// EVEX_Vrangesd_xmm_k1z_xmm_xmmm64_imm8_sae
				0x81,// 'v', Normal_1
				0xE8, 0x09,// 1256 = "vrangesd"

				// EVEX_Vfixupimmps_xmm_k1z_xmm_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0xE9, 0x09,// 1257 = "vfixupimmps"

				// EVEX_Vfixupimmps_ymm_k1z_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vfixupimmps_zmm_k1z_zmm_zmmm512b32_imm8_sae
				0x80,// 'v', Previous

				// EVEX_Vfixupimmpd_xmm_k1z_xmm_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xEA, 0x09,// 1258 = "vfixupimmpd"

				// EVEX_Vfixupimmpd_ymm_k1z_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vfixupimmpd_zmm_k1z_zmm_zmmm512b64_imm8_sae
				0x80,// 'v', Previous

				// EVEX_Vfixupimmss_xmm_k1z_xmm_xmmm32_imm8_sae
				0x81,// 'v', Normal_1
				0xEB, 0x09,// 1259 = "vfixupimmss"

				// EVEX_Vfixupimmsd_xmm_k1z_xmm_xmmm64_imm8_sae
				0x81,// 'v', Normal_1
				0xEC, 0x09,// 1260 = "vfixupimmsd"

				// EVEX_Vreduceps_xmm_k1z_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0xED, 0x09,// 1261 = "vreduceps"

				// EVEX_Vreduceps_ymm_k1z_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vreduceps_zmm_k1z_zmmm512b32_imm8_sae
				0x80,// 'v', Previous

				// EVEX_Vreducepd_xmm_k1z_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0xEE, 0x09,// 1262 = "vreducepd"

				// EVEX_Vreducepd_ymm_k1z_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vreducepd_zmm_k1z_zmmm512b64_imm8_sae
				0x80,// 'v', Previous

				// EVEX_Vreducess_xmm_k1z_xmm_xmmm32_imm8_sae
				0x81,// 'v', Normal_1
				0xEF, 0x09,// 1263 = "vreducess"

				// EVEX_Vreducesd_xmm_k1z_xmm_xmmm64_imm8_sae
				0x81,// 'v', Normal_1
				0xF0, 0x09,// 1264 = "vreducesd"

				// VEX_Vfmaddsubps_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xF1, 0x09,// 1265 = "vfmaddsubps"

				// VEX_Vfmaddsubps_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfmaddsubps_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfmaddsubps_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmaddsubpd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xF2, 0x09,// 1266 = "vfmaddsubpd"

				// VEX_Vfmaddsubpd_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfmaddsubpd_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfmaddsubpd_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsubaddps_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xF3, 0x09,// 1267 = "vfmsubaddps"

				// VEX_Vfmsubaddps_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfmsubaddps_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfmsubaddps_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsubaddpd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xF4, 0x09,// 1268 = "vfmsubaddpd"

				// VEX_Vfmsubaddpd_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfmsubaddpd_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfmsubaddpd_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// Pcmpestrm_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xF5, 0x09,// 1269 = "pcmpestrm"

				// Pcmpestrm64_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xF6, 0x09,// 1270 = "pcmpestrm64"

				// VEX_Vpcmpestrm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xF5, 0x09,// 1269 = "vpcmpestrm"

				// VEX_Vpcmpestrm64_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xF6, 0x09,// 1270 = "vpcmpestrm64"

				// Pcmpestri_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xF7, 0x09,// 1271 = "pcmpestri"

				// Pcmpestri64_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xF8, 0x09,// 1272 = "pcmpestri64"

				// VEX_Vpcmpestri_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xF7, 0x09,// 1271 = "vpcmpestri"

				// VEX_Vpcmpestri64_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xF8, 0x09,// 1272 = "vpcmpestri64"

				// Pcmpistrm_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xF9, 0x09,// 1273 = "pcmpistrm"

				// VEX_Vpcmpistrm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xF9, 0x09,// 1273 = "vpcmpistrm"

				// Pcmpistri_xmm_xmmm128_imm8
				0x01,// Normal_1
				0xFA, 0x09,// 1274 = "pcmpistri"

				// VEX_Vpcmpistri_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xFA, 0x09,// 1274 = "vpcmpistri"

				// EVEX_Vfpclassps_kr_k1_xmmm128b32_imm8
				0x82,// 'v', Normal_2
				0xFB, 0x09,// 1275 = "vfpclassps"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vfpclassps_kr_k1_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vfpclassps_kr_k1_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vfpclasspd_kr_k1_xmmm128b64_imm8
				0x82,// 'v', Normal_2
				0xFC, 0x09,// 1276 = "vfpclasspd"
				0x18,// 0x18 = ShowNoMemSize_ForceSize, ShowMinMemSize_ForceSize

				// EVEX_Vfpclasspd_kr_k1_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vfpclasspd_kr_k1_zmmm512b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vfpclassss_kr_k1_xmmm32_imm8
				0x82,// 'v', Normal_2
				0xFD, 0x09,// 1277 = "vfpclassss"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// EVEX_Vfpclasssd_kr_k1_xmmm64_imm8
				0x82,// 'v', Normal_2
				0xFE, 0x09,// 1278 = "vfpclasssd"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// VEX_Vfmaddps_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xFF, 0x09,// 1279 = "vfmaddps"

				// VEX_Vfmaddps_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfmaddps_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfmaddps_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmaddpd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x80, 0x0A,// 1280 = "vfmaddpd"

				// VEX_Vfmaddpd_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfmaddpd_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfmaddpd_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmaddss_xmm_xmm_xmmm32_xmm
				0x82,// 'v', Normal_2
				0x81, 0x0A,// 1281 = "vfmaddss"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// VEX_Vfmaddss_xmm_xmm_xmm_xmmm32
				0x80,// 'v', Previous

				// VEX_Vfmaddsd_xmm_xmm_xmmm64_xmm
				0x82,// 'v', Normal_2
				0x82, 0x0A,// 1282 = "vfmaddsd"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// VEX_Vfmaddsd_xmm_xmm_xmm_xmmm64
				0x80,// 'v', Previous

				// VEX_Vfmsubps_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x83, 0x0A,// 1283 = "vfmsubps"

				// VEX_Vfmsubps_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfmsubps_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfmsubps_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsubpd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x84, 0x0A,// 1284 = "vfmsubpd"

				// VEX_Vfmsubpd_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfmsubpd_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfmsubpd_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfmsubss_xmm_xmm_xmmm32_xmm
				0x82,// 'v', Normal_2
				0x85, 0x0A,// 1285 = "vfmsubss"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// VEX_Vfmsubss_xmm_xmm_xmm_xmmm32
				0x80,// 'v', Previous

				// VEX_Vfmsubsd_xmm_xmm_xmmm64_xmm
				0x82,// 'v', Normal_2
				0x86, 0x0A,// 1286 = "vfmsubsd"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// VEX_Vfmsubsd_xmm_xmm_xmm_xmmm64
				0x80,// 'v', Previous

				// EVEX_Vpshldw_xmm_k1z_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x87, 0x0A,// 1287 = "vpshldw"

				// EVEX_Vpshldw_ymm_k1z_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshldw_zmm_k1z_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshldd_xmm_k1z_xmm_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0x88, 0x0A,// 1288 = "vpshldd"

				// EVEX_Vpshldd_ymm_k1z_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshldd_zmm_k1z_zmm_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshldq_xmm_k1z_xmm_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0x89, 0x0A,// 1289 = "vpshldq"

				// EVEX_Vpshldq_ymm_k1z_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshldq_zmm_k1z_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshrdw_xmm_k1z_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x8A, 0x0A,// 1290 = "vpshrdw"

				// EVEX_Vpshrdw_ymm_k1z_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshrdw_zmm_k1z_zmm_zmmm512_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshrdd_xmm_k1z_xmm_xmmm128b32_imm8
				0x81,// 'v', Normal_1
				0x8B, 0x0A,// 1291 = "vpshrdd"

				// EVEX_Vpshrdd_ymm_k1z_ymm_ymmm256b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshrdd_zmm_k1z_zmm_zmmm512b32_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshrdq_xmm_k1z_xmm_xmmm128b64_imm8
				0x81,// 'v', Normal_1
				0x8C, 0x0A,// 1292 = "vpshrdq"

				// EVEX_Vpshrdq_ymm_k1z_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vpshrdq_zmm_k1z_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// VEX_Vfnmaddps_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x8D, 0x0A,// 1293 = "vfnmaddps"

				// VEX_Vfnmaddps_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfnmaddps_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfnmaddps_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmaddpd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x8E, 0x0A,// 1294 = "vfnmaddpd"

				// VEX_Vfnmaddpd_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfnmaddpd_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfnmaddpd_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmaddss_xmm_xmm_xmmm32_xmm
				0x82,// 'v', Normal_2
				0x8F, 0x0A,// 1295 = "vfnmaddss"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// VEX_Vfnmaddss_xmm_xmm_xmm_xmmm32
				0x80,// 'v', Previous

				// VEX_Vfnmaddsd_xmm_xmm_xmmm64_xmm
				0x82,// 'v', Normal_2
				0x90, 0x0A,// 1296 = "vfnmaddsd"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// VEX_Vfnmaddsd_xmm_xmm_xmm_xmmm64
				0x80,// 'v', Previous

				// VEX_Vfnmsubps_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x91, 0x0A,// 1297 = "vfnmsubps"

				// VEX_Vfnmsubps_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfnmsubps_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfnmsubps_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmsubpd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x92, 0x0A,// 1298 = "vfnmsubpd"

				// VEX_Vfnmsubpd_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// VEX_Vfnmsubpd_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// VEX_Vfnmsubpd_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// VEX_Vfnmsubss_xmm_xmm_xmmm32_xmm
				0x82,// 'v', Normal_2
				0x93, 0x0A,// 1299 = "vfnmsubss"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// VEX_Vfnmsubss_xmm_xmm_xmm_xmmm32
				0x80,// 'v', Previous

				// VEX_Vfnmsubsd_xmm_xmm_xmmm64_xmm
				0x82,// 'v', Normal_2
				0x94, 0x0A,// 1300 = "vfnmsubsd"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// VEX_Vfnmsubsd_xmm_xmm_xmm_xmmm64
				0x80,// 'v', Previous

				// Sha1rnds4_xmm_xmmm128_imm8
				0x01,// Normal_1
				0x95, 0x0A,// 1301 = "sha1rnds4"

				// Gf2p8affineqb_xmm_xmmm128_imm8
				0x01,// Normal_1
				0x96, 0x0A,// 1302 = "gf2p8affineqb"

				// VEX_Vgf2p8affineqb_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x96, 0x0A,// 1302 = "vgf2p8affineqb"

				// VEX_Vgf2p8affineqb_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vgf2p8affineqb_xmm_k1z_xmm_xmmm128b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vgf2p8affineqb_ymm_k1z_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vgf2p8affineqb_zmm_k1z_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// Gf2p8affineinvqb_xmm_xmmm128_imm8
				0x01,// Normal_1
				0x97, 0x0A,// 1303 = "gf2p8affineinvqb"

				// VEX_Vgf2p8affineinvqb_xmm_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x97, 0x0A,// 1303 = "vgf2p8affineinvqb"

				// VEX_Vgf2p8affineinvqb_ymm_ymm_ymmm256_imm8
				0x80,// 'v', Previous

				// EVEX_Vgf2p8affineinvqb_xmm_k1z_xmm_xmmm128b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vgf2p8affineinvqb_ymm_k1z_ymm_ymmm256b64_imm8
				0x80,// 'v', Previous

				// EVEX_Vgf2p8affineinvqb_zmm_k1z_zmm_zmmm512b64_imm8
				0x80,// 'v', Previous

				// Aeskeygenassist_xmm_xmmm128_imm8
				0x01,// Normal_1
				0x98, 0x0A,// 1304 = "aeskeygenassist"

				// VEX_Vaeskeygenassist_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0x98, 0x0A,// 1304 = "vaeskeygenassist"

				// VEX_Rorx_r32_rm32_imm8
				0x01,// Normal_1
				0x99, 0x0A,// 1305 = "rorx"

				// VEX_Rorx_r64_rm64_imm8
				0x00,// Previous

				// XOP_Vpmacssww_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x9A, 0x0A,// 1306 = "vpmacssww"

				// XOP_Vpmacsswd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x9B, 0x0A,// 1307 = "vpmacsswd"

				// XOP_Vpmacssdql_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x9C, 0x0A,// 1308 = "vpmacssdql"

				// XOP_Vpmacssdd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x9D, 0x0A,// 1309 = "vpmacssdd"

				// XOP_Vpmacssdqh_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x9E, 0x0A,// 1310 = "vpmacssdqh"

				// XOP_Vpmacsww_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0x9F, 0x0A,// 1311 = "vpmacsww"

				// XOP_Vpmacswd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA0, 0x0A,// 1312 = "vpmacswd"

				// XOP_Vpmacsdql_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA1, 0x0A,// 1313 = "vpmacsdql"

				// XOP_Vpmacsdd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA2, 0x0A,// 1314 = "vpmacsdd"

				// XOP_Vpmacsdqh_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA3, 0x0A,// 1315 = "vpmacsdqh"

				// XOP_Vpcmov_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA4, 0x0A,// 1316 = "vpcmov"

				// XOP_Vpcmov_ymm_ymm_ymmm256_ymm
				0x80,// 'v', Previous

				// XOP_Vpcmov_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpcmov_ymm_ymm_ymm_ymmm256
				0x80,// 'v', Previous

				// XOP_Vpperm_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA5, 0x0A,// 1317 = "vpperm"

				// XOP_Vpperm_xmm_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpmadcsswd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA6, 0x0A,// 1318 = "vpmadcsswd"

				// XOP_Vpmadcswd_xmm_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA7, 0x0A,// 1319 = "vpmadcswd"

				// XOP_Vprotb_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xA8, 0x0A,// 1320 = "vprotb"

				// XOP_Vprotw_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xA9, 0x0A,// 1321 = "vprotw"

				// XOP_Vprotd_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xAA, 0x0A,// 1322 = "vprotd"

				// XOP_Vprotq_xmm_xmmm128_imm8
				0x81,// 'v', Normal_1
				0xAB, 0x0A,// 1323 = "vprotq"

				// XOP_Vpcomb_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0xAC, 0x0A,// 1324 = "vpcomb"
				0x0A,// vpcomb

				// XOP_Vpcomw_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0xAD, 0x0A,// 1325 = "vpcomw"
				0x0B,// vpcomw

				// XOP_Vpcomd_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0xAE, 0x0A,// 1326 = "vpcomd"
				0x0C,// vpcomd

				// XOP_Vpcomq_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0xAF, 0x0A,// 1327 = "vpcomq"
				0x0D,// vpcomq

				// XOP_Vpcomub_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0xB0, 0x0A,// 1328 = "vpcomub"
				0x0E,// vpcomub

				// XOP_Vpcomuw_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0xB1, 0x0A,// 1329 = "vpcomuw"
				0x0F,// vpcomuw

				// XOP_Vpcomud_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0xB2, 0x0A,// 1330 = "vpcomud"
				0x10,// vpcomud

				// XOP_Vpcomuq_xmm_xmm_xmmm128_imm8
				0xA7,// 'v', pops_2
				0xB3, 0x0A,// 1331 = "vpcomuq"
				0x11,// vpcomuq

				// XOP_Blcfill_r32_rm32
				0x01,// Normal_1
				0xB4, 0x0A,// 1332 = "blcfill"

				// XOP_Blcfill_r64_rm64
				0x00,// Previous

				// XOP_Blsfill_r32_rm32
				0x01,// Normal_1
				0xB5, 0x0A,// 1333 = "blsfill"

				// XOP_Blsfill_r64_rm64
				0x00,// Previous

				// XOP_Blcs_r32_rm32
				0x01,// Normal_1
				0xB6, 0x0A,// 1334 = "blcs"

				// XOP_Blcs_r64_rm64
				0x00,// Previous

				// XOP_Tzmsk_r32_rm32
				0x01,// Normal_1
				0xB7, 0x0A,// 1335 = "tzmsk"

				// XOP_Tzmsk_r64_rm64
				0x00,// Previous

				// XOP_Blcic_r32_rm32
				0x01,// Normal_1
				0xB8, 0x0A,// 1336 = "blcic"

				// XOP_Blcic_r64_rm64
				0x00,// Previous

				// XOP_Blsic_r32_rm32
				0x01,// Normal_1
				0xB9, 0x0A,// 1337 = "blsic"

				// XOP_Blsic_r64_rm64
				0x00,// Previous

				// XOP_T1mskc_r32_rm32
				0x01,// Normal_1
				0xBA, 0x0A,// 1338 = "t1mskc"

				// XOP_T1mskc_r64_rm64
				0x00,// Previous

				// XOP_Blcmsk_r32_rm32
				0x01,// Normal_1
				0xBB, 0x0A,// 1339 = "blcmsk"

				// XOP_Blcmsk_r64_rm64
				0x00,// Previous

				// XOP_Blci_r32_rm32
				0x01,// Normal_1
				0xBC, 0x0A,// 1340 = "blci"

				// XOP_Blci_r64_rm64
				0x00,// Previous

				// XOP_Llwpcb_r32
				0x01,// Normal_1
				0xBD, 0x0A,// 1341 = "llwpcb"

				// XOP_Llwpcb_r64
				0x00,// Previous

				// XOP_Slwpcb_r32
				0x01,// Normal_1
				0xBE, 0x0A,// 1342 = "slwpcb"

				// XOP_Slwpcb_r64
				0x00,// Previous

				// XOP_Vfrczps_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xBF, 0x0A,// 1343 = "vfrczps"

				// XOP_Vfrczps_ymm_ymmm256
				0x80,// 'v', Previous

				// XOP_Vfrczpd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xC0, 0x0A,// 1344 = "vfrczpd"

				// XOP_Vfrczpd_ymm_ymmm256
				0x80,// 'v', Previous

				// XOP_Vfrczss_xmm_xmmm32
				0x82,// 'v', Normal_2
				0xC1, 0x0A,// 1345 = "vfrczss"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// XOP_Vfrczsd_xmm_xmmm64
				0x82,// 'v', Normal_2
				0xC2, 0x0A,// 1346 = "vfrczsd"
				0x04,// 0x4 = MemSize_XmmwordPtr

				// XOP_Vprotb_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA8, 0x0A,// 1320 = "vprotb"

				// XOP_Vprotb_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vprotw_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xA9, 0x0A,// 1321 = "vprotw"

				// XOP_Vprotw_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vprotd_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xAA, 0x0A,// 1322 = "vprotd"

				// XOP_Vprotd_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vprotq_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xAB, 0x0A,// 1323 = "vprotq"

				// XOP_Vprotq_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpshlb_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xC3, 0x0A,// 1347 = "vpshlb"

				// XOP_Vpshlb_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpshlw_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xC4, 0x0A,// 1348 = "vpshlw"

				// XOP_Vpshlw_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpshld_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xC5, 0x0A,// 1349 = "vpshld"

				// XOP_Vpshld_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpshlq_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xC6, 0x0A,// 1350 = "vpshlq"

				// XOP_Vpshlq_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpshab_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xC7, 0x0A,// 1351 = "vpshab"

				// XOP_Vpshab_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpshaw_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xC8, 0x0A,// 1352 = "vpshaw"

				// XOP_Vpshaw_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpshad_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xC9, 0x0A,// 1353 = "vpshad"

				// XOP_Vpshad_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vpshaq_xmm_xmmm128_xmm
				0x81,// 'v', Normal_1
				0xCA, 0x0A,// 1354 = "vpshaq"

				// XOP_Vpshaq_xmm_xmm_xmmm128
				0x80,// 'v', Previous

				// XOP_Vphaddbw_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCB, 0x0A,// 1355 = "vphaddbw"

				// XOP_Vphaddbd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCC, 0x0A,// 1356 = "vphaddbd"

				// XOP_Vphaddbq_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCD, 0x0A,// 1357 = "vphaddbq"

				// XOP_Vphaddwd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCE, 0x0A,// 1358 = "vphaddwd"

				// XOP_Vphaddwq_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xCF, 0x0A,// 1359 = "vphaddwq"

				// XOP_Vphadddq_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD0, 0x0A,// 1360 = "vphadddq"

				// XOP_Vphaddubw_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD1, 0x0A,// 1361 = "vphaddubw"

				// XOP_Vphaddubd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD2, 0x0A,// 1362 = "vphaddubd"

				// XOP_Vphaddubq_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD3, 0x0A,// 1363 = "vphaddubq"

				// XOP_Vphadduwd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD4, 0x0A,// 1364 = "vphadduwd"

				// XOP_Vphadduwq_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD5, 0x0A,// 1365 = "vphadduwq"

				// XOP_Vphaddudq_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD6, 0x0A,// 1366 = "vphaddudq"

				// XOP_Vphsubbw_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD7, 0x0A,// 1367 = "vphsubbw"

				// XOP_Vphsubwd_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD8, 0x0A,// 1368 = "vphsubwd"

				// XOP_Vphsubdq_xmm_xmmm128
				0x81,// 'v', Normal_1
				0xD9, 0x0A,// 1369 = "vphsubdq"

				// XOP_Bextr_r32_rm32_imm32
				0x01,// Normal_1
				0x8F, 0x09,// 1167 = "bextr"

				// XOP_Bextr_r64_rm64_imm32
				0x00,// Previous

				// XOP_Lwpins_r32_rm32_imm32
				0x02,// Normal_2
				0xDA, 0x0A,// 1370 = "lwpins"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// XOP_Lwpins_r64_rm32_imm32
				0x00,// Previous

				// XOP_Lwpval_r32_rm32_imm32
				0x02,// Normal_2
				0xDB, 0x0A,// 1371 = "lwpval"
				0x08,// 0x8 = ShowNoMemSize_ForceSize

				// XOP_Lwpval_r64_rm32_imm32
				0x00,// Previous

				// D3NOW_Pi2fw_mm_mmm64
				0x02,// Normal_2
				0xDC, 0x0A,// 1372 = "pi2fw"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pi2fd_mm_mmm64
				0x02,// Normal_2
				0xDD, 0x0A,// 1373 = "pi2fd"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pf2iw_mm_mmm64
				0x02,// Normal_2
				0xDE, 0x0A,// 1374 = "pf2iw"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pf2id_mm_mmm64
				0x02,// Normal_2
				0xDF, 0x0A,// 1375 = "pf2id"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfrcpv_mm_mmm64
				0x02,// Normal_2
				0xE0, 0x0A,// 1376 = "pfrcpv"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfrsqrtv_mm_mmm64
				0x02,// Normal_2
				0xE1, 0x0A,// 1377 = "pfrsqrtv"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfnacc_mm_mmm64
				0x02,// Normal_2
				0xE2, 0x0A,// 1378 = "pfnacc"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfpnacc_mm_mmm64
				0x02,// Normal_2
				0xE3, 0x0A,// 1379 = "pfpnacc"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfcmpge_mm_mmm64
				0x02,// Normal_2
				0xE4, 0x0A,// 1380 = "pfcmpge"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfmin_mm_mmm64
				0x02,// Normal_2
				0xE5, 0x0A,// 1381 = "pfmin"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfrcp_mm_mmm64
				0x02,// Normal_2
				0xE6, 0x0A,// 1382 = "pfrcp"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfrsqrt_mm_mmm64
				0x02,// Normal_2
				0xE7, 0x0A,// 1383 = "pfrsqrt"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfsub_mm_mmm64
				0x02,// Normal_2
				0xE8, 0x0A,// 1384 = "pfsub"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfadd_mm_mmm64
				0x02,// Normal_2
				0xE9, 0x0A,// 1385 = "pfadd"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfcmpgt_mm_mmm64
				0x02,// Normal_2
				0xEA, 0x0A,// 1386 = "pfcmpgt"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfmax_mm_mmm64
				0x02,// Normal_2
				0xEB, 0x0A,// 1387 = "pfmax"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfrcpit1_mm_mmm64
				0x02,// Normal_2
				0xEC, 0x0A,// 1388 = "pfrcpit1"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfrsqit1_mm_mmm64
				0x02,// Normal_2
				0xED, 0x0A,// 1389 = "pfrsqit1"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfsubr_mm_mmm64
				0x02,// Normal_2
				0xEE, 0x0A,// 1390 = "pfsubr"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfacc_mm_mmm64
				0x02,// Normal_2
				0xEF, 0x0A,// 1391 = "pfacc"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfcmpeq_mm_mmm64
				0x02,// Normal_2
				0xF0, 0x0A,// 1392 = "pfcmpeq"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfmul_mm_mmm64
				0x02,// Normal_2
				0xF1, 0x0A,// 1393 = "pfmul"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pfrcpit2_mm_mmm64
				0x02,// Normal_2
				0xF2, 0x0A,// 1394 = "pfrcpit2"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pmulhrw_mm_mmm64
				0x02,// Normal_2
				0xF3, 0x0A,// 1395 = "pmulhrw"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pswapd_mm_mmm64
				0x02,// Normal_2
				0xF5, 0x0A,// 1397 = "pswapd"
				0x01,// 0x1 = MemSize_Mmx

				// D3NOW_Pavgusb_mm_mmm64
				0x02,// Normal_2
				0xF6, 0x0A,// 1398 = "pavgusb"
				0x01,// 0x1 = MemSize_Mmx

				// Rmpadjust
				0x01,// Normal_1
				0xF7, 0x0A,// 1399 = "rmpadjust"

				// Rmpupdate
				0x01,// Normal_1
				0xF8, 0x0A,// 1400 = "rmpupdate"

				// Psmash
				0x01,// Normal_1
				0xF9, 0x0A,// 1401 = "psmash"

				// Pvalidatew
				0x01,// Normal_1
				0xFA, 0x0A,// 1402 = "pvalidate"

				// Pvalidated
				0x00,// Previous

				// Pvalidateq
				0x00,// Previous

				// Serialize
				0x01,// Normal_1
				0xFB, 0x0A,// 1403 = "serialize"

				// Xsusldtrk
				0x01,// Normal_1
				0xFC, 0x0A,// 1404 = "xsusldtrk"

				// Xresldtrk
				0x01,// Normal_1
				0xFD, 0x0A,// 1405 = "xresldtrk"

				// Invlpgbw
				0x01,// Normal_1
				0xFE, 0x0A,// 1406 = "invlpgb"

				// Invlpgbd
				0x00,// Previous

				// Invlpgbq
				0x00,// Previous

				// Tlbsync
				0x01,// Normal_1
				0xFF, 0x0A,// 1407 = "tlbsync"

				// PrefetchReserved3_m8
				0x01,// Normal_1
				0xBC, 0x03,// 444 = "prefetchw"

				// PrefetchReserved4_m8
				0x01,// Normal_1
				0xBA, 0x03,// 442 = "prefetch"

				// PrefetchReserved5_m8
				0x00,// Previous

				// PrefetchReserved6_m8
				0x00,// Previous

				// PrefetchReserved7_m8
				0x00,// Previous

				// Ud0
				0x01,// Normal_1
				0xC0, 0x06,// 832 = "ud0"

				// Vmgexit
				0x81,// 'v', Normal_1
				0x81, 0x0B,// 1409 = "vmgexit"

				// Getsecq
				0x01,// Normal_1
				0x82, 0x0B,// 1410 = "getsecq"

				// VEX_Ldtilecfg_m512
				0x01,// Normal_1
				0x83, 0x0B,// 1411 = "ldtilecfg"

				// VEX_Tilerelease
				0x01,// Normal_1
				0x84, 0x0B,// 1412 = "tilerelease"

				// VEX_Sttilecfg_m512
				0x01,// Normal_1
				0x85, 0x0B,// 1413 = "sttilecfg"

				// VEX_Tilezero_tmm
				0x01,// Normal_1
				0x86, 0x0B,// 1414 = "tilezero"

				// VEX_Tileloaddt1_tmm_sibmem
				0x01,// Normal_1
				0x87, 0x0B,// 1415 = "tileloaddt1"

				// VEX_Tilestored_sibmem_tmm
				0x01,// Normal_1
				0x88, 0x0B,// 1416 = "tilestored"

				// VEX_Tileloadd_tmm_sibmem
				0x01,// Normal_1
				0x89, 0x0B,// 1417 = "tileloadd"

				// VEX_Tdpbf16ps_tmm_tmm_tmm
				0x01,// Normal_1
				0x8A, 0x0B,// 1418 = "tdpbf16ps"

				// VEX_Tdpbuud_tmm_tmm_tmm
				0x01,// Normal_1
				0x8B, 0x0B,// 1419 = "tdpbuud"

				// VEX_Tdpbusd_tmm_tmm_tmm
				0x01,// Normal_1
				0x8C, 0x0B,// 1420 = "tdpbusd"

				// VEX_Tdpbsud_tmm_tmm_tmm
				0x01,// Normal_1
				0x8D, 0x0B,// 1421 = "tdpbsud"

				// VEX_Tdpbssd_tmm_tmm_tmm
				0x01,// Normal_1
				0x8E, 0x0B,// 1422 = "tdpbssd"
			};
	}
}
#endif
